"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransformJob = exports.Trial = exports.TrialComponentSimpleSummary = exports.TrainingJob = exports.SearchSortOrder = exports.RetryPipelineExecutionResponse = exports.RetryPipelineExecutionRequest = exports.RenderUiTemplateResponse = exports.RenderUiTemplateRequest = exports.RenderingError = exports.RenderableTask = exports.RegisterDevicesRequest = exports.QueryLineageResponse = exports.Vertex = exports.QueryLineageRequest = exports.QueryFilters = exports.PutModelPackageGroupPolicyOutput = exports.PutModelPackageGroupPolicyInput = exports.Project = exports.ProfilerConfigForUpdate = exports.ProcessingJob = exports.PipelineExecution = exports.Pipeline = exports.Parent = exports.NestedFilters = exports.ModelPackageGroup = exports.ModelPackage = exports.ListWorkteamsResponse = exports.ListWorkteamsRequest = exports.ListWorkteamsSortByOptions = exports.ListWorkforcesResponse = exports.ListWorkforcesRequest = exports.ListWorkforcesSortByOptions = exports.ListUserProfilesResponse = exports.UserProfileDetails = exports.ListUserProfilesRequest = exports.UserProfileSortKey = exports.ListTrialsResponse = exports.TrialSummary = exports.ListTrialsRequest = exports.SortTrialsBy = exports.ListTrialComponentsResponse = exports.TrialComponentSummary = exports.ListTrialComponentsRequest = exports.SortTrialComponentsBy = exports.ListTransformJobsResponse = exports.TransformJobSummary = exports.ListTransformJobsRequest = exports.ListTrainingJobsForHyperParameterTuningJobResponse = exports.ListTrainingJobsForHyperParameterTuningJobRequest = void 0;
exports.UpdateModelPackageInput = exports.UpdateImageResponse = exports.UpdateImageRequest = exports.UpdateExperimentResponse = exports.UpdateExperimentRequest = exports.UpdateEndpointWeightsAndCapacitiesOutput = exports.UpdateEndpointWeightsAndCapacitiesInput = exports.UpdateEndpointOutput = exports.UpdateEndpointInput = exports.VariantProperty = exports.VariantPropertyType = exports.UpdateDomainResponse = exports.UpdateDomainRequest = exports.UpdateDevicesRequest = exports.UpdateDeviceFleetRequest = exports.UpdateContextResponse = exports.UpdateContextRequest = exports.UpdateCodeRepositoryOutput = exports.UpdateCodeRepositoryInput = exports.UpdateArtifactResponse = exports.UpdateArtifactRequest = exports.UpdateAppImageConfigResponse = exports.UpdateAppImageConfigRequest = exports.UpdateActionResponse = exports.UpdateActionRequest = exports.StopTransformJobRequest = exports.StopTrainingJobRequest = exports.StopProcessingJobRequest = exports.StopPipelineExecutionResponse = exports.StopPipelineExecutionRequest = exports.StopNotebookInstanceInput = exports.StopMonitoringScheduleRequest = exports.StopLabelingJobRequest = exports.StopInferenceRecommendationsJobRequest = exports.StopHyperParameterTuningJobRequest = exports.StopEdgePackagingJobRequest = exports.StopCompilationJobRequest = exports.StopAutoMLJobRequest = exports.StartPipelineExecutionResponse = exports.StartPipelineExecutionRequest = exports.StartNotebookInstanceInput = exports.StartMonitoringScheduleRequest = exports.SendPipelineExecutionStepSuccessResponse = exports.SendPipelineExecutionStepSuccessRequest = exports.SendPipelineExecutionStepFailureResponse = exports.SendPipelineExecutionStepFailureRequest = exports.SearchResponse = exports.SearchRecord = exports.TrialComponent = exports.TrialComponentSourceDetail = void 0;
exports.SearchRequest = exports.SearchExpression = exports.UpdateWorkteamResponse = exports.UpdateWorkteamRequest = exports.UpdateWorkforceResponse = exports.UpdateWorkforceRequest = exports.UpdateUserProfileResponse = exports.UpdateUserProfileRequest = exports.UpdateTrialComponentResponse = exports.UpdateTrialComponentRequest = exports.UpdateTrialResponse = exports.UpdateTrialRequest = exports.UpdateTrainingJobResponse = exports.UpdateTrainingJobRequest = exports.UpdateProjectOutput = exports.UpdateProjectInput = exports.ServiceCatalogProvisioningUpdateDetails = exports.UpdatePipelineExecutionResponse = exports.UpdatePipelineExecutionRequest = exports.UpdatePipelineResponse = exports.UpdatePipelineRequest = exports.UpdateNotebookInstanceLifecycleConfigOutput = exports.UpdateNotebookInstanceLifecycleConfigInput = exports.UpdateNotebookInstanceOutput = exports.UpdateNotebookInstanceInput = exports.UpdateMonitoringScheduleResponse = exports.UpdateMonitoringScheduleRequest = exports.UpdateModelPackageOutput = void 0;
const models_1_1 = require("./models_1");
var ListTrainingJobsForHyperParameterTuningJobRequest;
(function (ListTrainingJobsForHyperParameterTuningJobRequest) {
    ListTrainingJobsForHyperParameterTuningJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrainingJobsForHyperParameterTuningJobRequest = exports.ListTrainingJobsForHyperParameterTuningJobRequest || (exports.ListTrainingJobsForHyperParameterTuningJobRequest = {}));
var ListTrainingJobsForHyperParameterTuningJobResponse;
(function (ListTrainingJobsForHyperParameterTuningJobResponse) {
    ListTrainingJobsForHyperParameterTuningJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrainingJobsForHyperParameterTuningJobResponse = exports.ListTrainingJobsForHyperParameterTuningJobResponse || (exports.ListTrainingJobsForHyperParameterTuningJobResponse = {}));
var ListTransformJobsRequest;
(function (ListTransformJobsRequest) {
    ListTransformJobsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTransformJobsRequest = exports.ListTransformJobsRequest || (exports.ListTransformJobsRequest = {}));
var TransformJobSummary;
(function (TransformJobSummary) {
    TransformJobSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformJobSummary = exports.TransformJobSummary || (exports.TransformJobSummary = {}));
var ListTransformJobsResponse;
(function (ListTransformJobsResponse) {
    ListTransformJobsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTransformJobsResponse = exports.ListTransformJobsResponse || (exports.ListTransformJobsResponse = {}));
var SortTrialComponentsBy;
(function (SortTrialComponentsBy) {
    SortTrialComponentsBy["CREATION_TIME"] = "CreationTime";
    SortTrialComponentsBy["NAME"] = "Name";
})(SortTrialComponentsBy = exports.SortTrialComponentsBy || (exports.SortTrialComponentsBy = {}));
var ListTrialComponentsRequest;
(function (ListTrialComponentsRequest) {
    ListTrialComponentsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrialComponentsRequest = exports.ListTrialComponentsRequest || (exports.ListTrialComponentsRequest = {}));
var TrialComponentSummary;
(function (TrialComponentSummary) {
    TrialComponentSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrialComponentSummary = exports.TrialComponentSummary || (exports.TrialComponentSummary = {}));
var ListTrialComponentsResponse;
(function (ListTrialComponentsResponse) {
    ListTrialComponentsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrialComponentsResponse = exports.ListTrialComponentsResponse || (exports.ListTrialComponentsResponse = {}));
var SortTrialsBy;
(function (SortTrialsBy) {
    SortTrialsBy["CREATION_TIME"] = "CreationTime";
    SortTrialsBy["NAME"] = "Name";
})(SortTrialsBy = exports.SortTrialsBy || (exports.SortTrialsBy = {}));
var ListTrialsRequest;
(function (ListTrialsRequest) {
    ListTrialsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrialsRequest = exports.ListTrialsRequest || (exports.ListTrialsRequest = {}));
var TrialSummary;
(function (TrialSummary) {
    TrialSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrialSummary = exports.TrialSummary || (exports.TrialSummary = {}));
var ListTrialsResponse;
(function (ListTrialsResponse) {
    ListTrialsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrialsResponse = exports.ListTrialsResponse || (exports.ListTrialsResponse = {}));
var UserProfileSortKey;
(function (UserProfileSortKey) {
    UserProfileSortKey["CreationTime"] = "CreationTime";
    UserProfileSortKey["LastModifiedTime"] = "LastModifiedTime";
})(UserProfileSortKey = exports.UserProfileSortKey || (exports.UserProfileSortKey = {}));
var ListUserProfilesRequest;
(function (ListUserProfilesRequest) {
    ListUserProfilesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListUserProfilesRequest = exports.ListUserProfilesRequest || (exports.ListUserProfilesRequest = {}));
var UserProfileDetails;
(function (UserProfileDetails) {
    UserProfileDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UserProfileDetails = exports.UserProfileDetails || (exports.UserProfileDetails = {}));
var ListUserProfilesResponse;
(function (ListUserProfilesResponse) {
    ListUserProfilesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListUserProfilesResponse = exports.ListUserProfilesResponse || (exports.ListUserProfilesResponse = {}));
var ListWorkforcesSortByOptions;
(function (ListWorkforcesSortByOptions) {
    ListWorkforcesSortByOptions["CreateDate"] = "CreateDate";
    ListWorkforcesSortByOptions["Name"] = "Name";
})(ListWorkforcesSortByOptions = exports.ListWorkforcesSortByOptions || (exports.ListWorkforcesSortByOptions = {}));
var ListWorkforcesRequest;
(function (ListWorkforcesRequest) {
    ListWorkforcesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListWorkforcesRequest = exports.ListWorkforcesRequest || (exports.ListWorkforcesRequest = {}));
var ListWorkforcesResponse;
(function (ListWorkforcesResponse) {
    ListWorkforcesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListWorkforcesResponse = exports.ListWorkforcesResponse || (exports.ListWorkforcesResponse = {}));
var ListWorkteamsSortByOptions;
(function (ListWorkteamsSortByOptions) {
    ListWorkteamsSortByOptions["CreateDate"] = "CreateDate";
    ListWorkteamsSortByOptions["Name"] = "Name";
})(ListWorkteamsSortByOptions = exports.ListWorkteamsSortByOptions || (exports.ListWorkteamsSortByOptions = {}));
var ListWorkteamsRequest;
(function (ListWorkteamsRequest) {
    ListWorkteamsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListWorkteamsRequest = exports.ListWorkteamsRequest || (exports.ListWorkteamsRequest = {}));
var ListWorkteamsResponse;
(function (ListWorkteamsResponse) {
    ListWorkteamsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListWorkteamsResponse = exports.ListWorkteamsResponse || (exports.ListWorkteamsResponse = {}));
var ModelPackage;
(function (ModelPackage) {
    ModelPackage.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelPackage = exports.ModelPackage || (exports.ModelPackage = {}));
var ModelPackageGroup;
(function (ModelPackageGroup) {
    ModelPackageGroup.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelPackageGroup = exports.ModelPackageGroup || (exports.ModelPackageGroup = {}));
var NestedFilters;
(function (NestedFilters) {
    NestedFilters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NestedFilters = exports.NestedFilters || (exports.NestedFilters = {}));
var Parent;
(function (Parent) {
    Parent.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Parent = exports.Parent || (exports.Parent = {}));
var Pipeline;
(function (Pipeline) {
    Pipeline.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Pipeline = exports.Pipeline || (exports.Pipeline = {}));
var PipelineExecution;
(function (PipelineExecution) {
    PipelineExecution.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineExecution = exports.PipelineExecution || (exports.PipelineExecution = {}));
var ProcessingJob;
(function (ProcessingJob) {
    ProcessingJob.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingJob = exports.ProcessingJob || (exports.ProcessingJob = {}));
var ProfilerConfigForUpdate;
(function (ProfilerConfigForUpdate) {
    ProfilerConfigForUpdate.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProfilerConfigForUpdate = exports.ProfilerConfigForUpdate || (exports.ProfilerConfigForUpdate = {}));
var Project;
(function (Project) {
    Project.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Project = exports.Project || (exports.Project = {}));
var PutModelPackageGroupPolicyInput;
(function (PutModelPackageGroupPolicyInput) {
    PutModelPackageGroupPolicyInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutModelPackageGroupPolicyInput = exports.PutModelPackageGroupPolicyInput || (exports.PutModelPackageGroupPolicyInput = {}));
var PutModelPackageGroupPolicyOutput;
(function (PutModelPackageGroupPolicyOutput) {
    PutModelPackageGroupPolicyOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutModelPackageGroupPolicyOutput = exports.PutModelPackageGroupPolicyOutput || (exports.PutModelPackageGroupPolicyOutput = {}));
var QueryFilters;
(function (QueryFilters) {
    QueryFilters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(QueryFilters = exports.QueryFilters || (exports.QueryFilters = {}));
var QueryLineageRequest;
(function (QueryLineageRequest) {
    QueryLineageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(QueryLineageRequest = exports.QueryLineageRequest || (exports.QueryLineageRequest = {}));
var Vertex;
(function (Vertex) {
    Vertex.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Vertex = exports.Vertex || (exports.Vertex = {}));
var QueryLineageResponse;
(function (QueryLineageResponse) {
    QueryLineageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(QueryLineageResponse = exports.QueryLineageResponse || (exports.QueryLineageResponse = {}));
var RegisterDevicesRequest;
(function (RegisterDevicesRequest) {
    RegisterDevicesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RegisterDevicesRequest = exports.RegisterDevicesRequest || (exports.RegisterDevicesRequest = {}));
var RenderableTask;
(function (RenderableTask) {
    RenderableTask.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RenderableTask = exports.RenderableTask || (exports.RenderableTask = {}));
var RenderingError;
(function (RenderingError) {
    RenderingError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RenderingError = exports.RenderingError || (exports.RenderingError = {}));
var RenderUiTemplateRequest;
(function (RenderUiTemplateRequest) {
    RenderUiTemplateRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RenderUiTemplateRequest = exports.RenderUiTemplateRequest || (exports.RenderUiTemplateRequest = {}));
var RenderUiTemplateResponse;
(function (RenderUiTemplateResponse) {
    RenderUiTemplateResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RenderUiTemplateResponse = exports.RenderUiTemplateResponse || (exports.RenderUiTemplateResponse = {}));
var RetryPipelineExecutionRequest;
(function (RetryPipelineExecutionRequest) {
    RetryPipelineExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RetryPipelineExecutionRequest = exports.RetryPipelineExecutionRequest || (exports.RetryPipelineExecutionRequest = {}));
var RetryPipelineExecutionResponse;
(function (RetryPipelineExecutionResponse) {
    RetryPipelineExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RetryPipelineExecutionResponse = exports.RetryPipelineExecutionResponse || (exports.RetryPipelineExecutionResponse = {}));
var SearchSortOrder;
(function (SearchSortOrder) {
    SearchSortOrder["ASCENDING"] = "Ascending";
    SearchSortOrder["DESCENDING"] = "Descending";
})(SearchSortOrder = exports.SearchSortOrder || (exports.SearchSortOrder = {}));
var TrainingJob;
(function (TrainingJob) {
    TrainingJob.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrainingJob = exports.TrainingJob || (exports.TrainingJob = {}));
var TrialComponentSimpleSummary;
(function (TrialComponentSimpleSummary) {
    TrialComponentSimpleSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrialComponentSimpleSummary = exports.TrialComponentSimpleSummary || (exports.TrialComponentSimpleSummary = {}));
var Trial;
(function (Trial) {
    Trial.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Trial = exports.Trial || (exports.Trial = {}));
var TransformJob;
(function (TransformJob) {
    TransformJob.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformJob = exports.TransformJob || (exports.TransformJob = {}));
var TrialComponentSourceDetail;
(function (TrialComponentSourceDetail) {
    TrialComponentSourceDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrialComponentSourceDetail = exports.TrialComponentSourceDetail || (exports.TrialComponentSourceDetail = {}));
var TrialComponent;
(function (TrialComponent) {
    TrialComponent.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Parameters && {
            Parameters: Object.entries(obj.Parameters).reduce((acc, [key, value]) => ({
                ...acc,
                [key]: models_1_1.TrialComponentParameterValue.filterSensitiveLog(value),
            }), {}),
        }),
    });
})(TrialComponent = exports.TrialComponent || (exports.TrialComponent = {}));
var SearchRecord;
(function (SearchRecord) {
    SearchRecord.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.TrialComponent && { TrialComponent: TrialComponent.filterSensitiveLog(obj.TrialComponent) }),
    });
})(SearchRecord = exports.SearchRecord || (exports.SearchRecord = {}));
var SearchResponse;
(function (SearchResponse) {
    SearchResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Results && { Results: obj.Results.map((item) => SearchRecord.filterSensitiveLog(item)) }),
    });
})(SearchResponse = exports.SearchResponse || (exports.SearchResponse = {}));
var SendPipelineExecutionStepFailureRequest;
(function (SendPipelineExecutionStepFailureRequest) {
    SendPipelineExecutionStepFailureRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SendPipelineExecutionStepFailureRequest = exports.SendPipelineExecutionStepFailureRequest || (exports.SendPipelineExecutionStepFailureRequest = {}));
var SendPipelineExecutionStepFailureResponse;
(function (SendPipelineExecutionStepFailureResponse) {
    SendPipelineExecutionStepFailureResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SendPipelineExecutionStepFailureResponse = exports.SendPipelineExecutionStepFailureResponse || (exports.SendPipelineExecutionStepFailureResponse = {}));
var SendPipelineExecutionStepSuccessRequest;
(function (SendPipelineExecutionStepSuccessRequest) {
    SendPipelineExecutionStepSuccessRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SendPipelineExecutionStepSuccessRequest = exports.SendPipelineExecutionStepSuccessRequest || (exports.SendPipelineExecutionStepSuccessRequest = {}));
var SendPipelineExecutionStepSuccessResponse;
(function (SendPipelineExecutionStepSuccessResponse) {
    SendPipelineExecutionStepSuccessResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SendPipelineExecutionStepSuccessResponse = exports.SendPipelineExecutionStepSuccessResponse || (exports.SendPipelineExecutionStepSuccessResponse = {}));
var StartMonitoringScheduleRequest;
(function (StartMonitoringScheduleRequest) {
    StartMonitoringScheduleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartMonitoringScheduleRequest = exports.StartMonitoringScheduleRequest || (exports.StartMonitoringScheduleRequest = {}));
var StartNotebookInstanceInput;
(function (StartNotebookInstanceInput) {
    StartNotebookInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartNotebookInstanceInput = exports.StartNotebookInstanceInput || (exports.StartNotebookInstanceInput = {}));
var StartPipelineExecutionRequest;
(function (StartPipelineExecutionRequest) {
    StartPipelineExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartPipelineExecutionRequest = exports.StartPipelineExecutionRequest || (exports.StartPipelineExecutionRequest = {}));
var StartPipelineExecutionResponse;
(function (StartPipelineExecutionResponse) {
    StartPipelineExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartPipelineExecutionResponse = exports.StartPipelineExecutionResponse || (exports.StartPipelineExecutionResponse = {}));
var StopAutoMLJobRequest;
(function (StopAutoMLJobRequest) {
    StopAutoMLJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopAutoMLJobRequest = exports.StopAutoMLJobRequest || (exports.StopAutoMLJobRequest = {}));
var StopCompilationJobRequest;
(function (StopCompilationJobRequest) {
    StopCompilationJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopCompilationJobRequest = exports.StopCompilationJobRequest || (exports.StopCompilationJobRequest = {}));
var StopEdgePackagingJobRequest;
(function (StopEdgePackagingJobRequest) {
    StopEdgePackagingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopEdgePackagingJobRequest = exports.StopEdgePackagingJobRequest || (exports.StopEdgePackagingJobRequest = {}));
var StopHyperParameterTuningJobRequest;
(function (StopHyperParameterTuningJobRequest) {
    StopHyperParameterTuningJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopHyperParameterTuningJobRequest = exports.StopHyperParameterTuningJobRequest || (exports.StopHyperParameterTuningJobRequest = {}));
var StopInferenceRecommendationsJobRequest;
(function (StopInferenceRecommendationsJobRequest) {
    StopInferenceRecommendationsJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopInferenceRecommendationsJobRequest = exports.StopInferenceRecommendationsJobRequest || (exports.StopInferenceRecommendationsJobRequest = {}));
var StopLabelingJobRequest;
(function (StopLabelingJobRequest) {
    StopLabelingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopLabelingJobRequest = exports.StopLabelingJobRequest || (exports.StopLabelingJobRequest = {}));
var StopMonitoringScheduleRequest;
(function (StopMonitoringScheduleRequest) {
    StopMonitoringScheduleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopMonitoringScheduleRequest = exports.StopMonitoringScheduleRequest || (exports.StopMonitoringScheduleRequest = {}));
var StopNotebookInstanceInput;
(function (StopNotebookInstanceInput) {
    StopNotebookInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopNotebookInstanceInput = exports.StopNotebookInstanceInput || (exports.StopNotebookInstanceInput = {}));
var StopPipelineExecutionRequest;
(function (StopPipelineExecutionRequest) {
    StopPipelineExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopPipelineExecutionRequest = exports.StopPipelineExecutionRequest || (exports.StopPipelineExecutionRequest = {}));
var StopPipelineExecutionResponse;
(function (StopPipelineExecutionResponse) {
    StopPipelineExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopPipelineExecutionResponse = exports.StopPipelineExecutionResponse || (exports.StopPipelineExecutionResponse = {}));
var StopProcessingJobRequest;
(function (StopProcessingJobRequest) {
    StopProcessingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopProcessingJobRequest = exports.StopProcessingJobRequest || (exports.StopProcessingJobRequest = {}));
var StopTrainingJobRequest;
(function (StopTrainingJobRequest) {
    StopTrainingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopTrainingJobRequest = exports.StopTrainingJobRequest || (exports.StopTrainingJobRequest = {}));
var StopTransformJobRequest;
(function (StopTransformJobRequest) {
    StopTransformJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StopTransformJobRequest = exports.StopTransformJobRequest || (exports.StopTransformJobRequest = {}));
var UpdateActionRequest;
(function (UpdateActionRequest) {
    UpdateActionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateActionRequest = exports.UpdateActionRequest || (exports.UpdateActionRequest = {}));
var UpdateActionResponse;
(function (UpdateActionResponse) {
    UpdateActionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateActionResponse = exports.UpdateActionResponse || (exports.UpdateActionResponse = {}));
var UpdateAppImageConfigRequest;
(function (UpdateAppImageConfigRequest) {
    UpdateAppImageConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateAppImageConfigRequest = exports.UpdateAppImageConfigRequest || (exports.UpdateAppImageConfigRequest = {}));
var UpdateAppImageConfigResponse;
(function (UpdateAppImageConfigResponse) {
    UpdateAppImageConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateAppImageConfigResponse = exports.UpdateAppImageConfigResponse || (exports.UpdateAppImageConfigResponse = {}));
var UpdateArtifactRequest;
(function (UpdateArtifactRequest) {
    UpdateArtifactRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateArtifactRequest = exports.UpdateArtifactRequest || (exports.UpdateArtifactRequest = {}));
var UpdateArtifactResponse;
(function (UpdateArtifactResponse) {
    UpdateArtifactResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateArtifactResponse = exports.UpdateArtifactResponse || (exports.UpdateArtifactResponse = {}));
var UpdateCodeRepositoryInput;
(function (UpdateCodeRepositoryInput) {
    UpdateCodeRepositoryInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateCodeRepositoryInput = exports.UpdateCodeRepositoryInput || (exports.UpdateCodeRepositoryInput = {}));
var UpdateCodeRepositoryOutput;
(function (UpdateCodeRepositoryOutput) {
    UpdateCodeRepositoryOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateCodeRepositoryOutput = exports.UpdateCodeRepositoryOutput || (exports.UpdateCodeRepositoryOutput = {}));
var UpdateContextRequest;
(function (UpdateContextRequest) {
    UpdateContextRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateContextRequest = exports.UpdateContextRequest || (exports.UpdateContextRequest = {}));
var UpdateContextResponse;
(function (UpdateContextResponse) {
    UpdateContextResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateContextResponse = exports.UpdateContextResponse || (exports.UpdateContextResponse = {}));
var UpdateDeviceFleetRequest;
(function (UpdateDeviceFleetRequest) {
    UpdateDeviceFleetRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateDeviceFleetRequest = exports.UpdateDeviceFleetRequest || (exports.UpdateDeviceFleetRequest = {}));
var UpdateDevicesRequest;
(function (UpdateDevicesRequest) {
    UpdateDevicesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateDevicesRequest = exports.UpdateDevicesRequest || (exports.UpdateDevicesRequest = {}));
var UpdateDomainRequest;
(function (UpdateDomainRequest) {
    UpdateDomainRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateDomainRequest = exports.UpdateDomainRequest || (exports.UpdateDomainRequest = {}));
var UpdateDomainResponse;
(function (UpdateDomainResponse) {
    UpdateDomainResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateDomainResponse = exports.UpdateDomainResponse || (exports.UpdateDomainResponse = {}));
var VariantPropertyType;
(function (VariantPropertyType) {
    VariantPropertyType["DataCaptureConfig"] = "DataCaptureConfig";
    VariantPropertyType["DesiredInstanceCount"] = "DesiredInstanceCount";
    VariantPropertyType["DesiredWeight"] = "DesiredWeight";
})(VariantPropertyType = exports.VariantPropertyType || (exports.VariantPropertyType = {}));
var VariantProperty;
(function (VariantProperty) {
    VariantProperty.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(VariantProperty = exports.VariantProperty || (exports.VariantProperty = {}));
var UpdateEndpointInput;
(function (UpdateEndpointInput) {
    UpdateEndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateEndpointInput = exports.UpdateEndpointInput || (exports.UpdateEndpointInput = {}));
var UpdateEndpointOutput;
(function (UpdateEndpointOutput) {
    UpdateEndpointOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateEndpointOutput = exports.UpdateEndpointOutput || (exports.UpdateEndpointOutput = {}));
var UpdateEndpointWeightsAndCapacitiesInput;
(function (UpdateEndpointWeightsAndCapacitiesInput) {
    UpdateEndpointWeightsAndCapacitiesInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateEndpointWeightsAndCapacitiesInput = exports.UpdateEndpointWeightsAndCapacitiesInput || (exports.UpdateEndpointWeightsAndCapacitiesInput = {}));
var UpdateEndpointWeightsAndCapacitiesOutput;
(function (UpdateEndpointWeightsAndCapacitiesOutput) {
    UpdateEndpointWeightsAndCapacitiesOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateEndpointWeightsAndCapacitiesOutput = exports.UpdateEndpointWeightsAndCapacitiesOutput || (exports.UpdateEndpointWeightsAndCapacitiesOutput = {}));
var UpdateExperimentRequest;
(function (UpdateExperimentRequest) {
    UpdateExperimentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateExperimentRequest = exports.UpdateExperimentRequest || (exports.UpdateExperimentRequest = {}));
var UpdateExperimentResponse;
(function (UpdateExperimentResponse) {
    UpdateExperimentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateExperimentResponse = exports.UpdateExperimentResponse || (exports.UpdateExperimentResponse = {}));
var UpdateImageRequest;
(function (UpdateImageRequest) {
    UpdateImageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateImageRequest = exports.UpdateImageRequest || (exports.UpdateImageRequest = {}));
var UpdateImageResponse;
(function (UpdateImageResponse) {
    UpdateImageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateImageResponse = exports.UpdateImageResponse || (exports.UpdateImageResponse = {}));
var UpdateModelPackageInput;
(function (UpdateModelPackageInput) {
    UpdateModelPackageInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateModelPackageInput = exports.UpdateModelPackageInput || (exports.UpdateModelPackageInput = {}));
var UpdateModelPackageOutput;
(function (UpdateModelPackageOutput) {
    UpdateModelPackageOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateModelPackageOutput = exports.UpdateModelPackageOutput || (exports.UpdateModelPackageOutput = {}));
var UpdateMonitoringScheduleRequest;
(function (UpdateMonitoringScheduleRequest) {
    UpdateMonitoringScheduleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateMonitoringScheduleRequest = exports.UpdateMonitoringScheduleRequest || (exports.UpdateMonitoringScheduleRequest = {}));
var UpdateMonitoringScheduleResponse;
(function (UpdateMonitoringScheduleResponse) {
    UpdateMonitoringScheduleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateMonitoringScheduleResponse = exports.UpdateMonitoringScheduleResponse || (exports.UpdateMonitoringScheduleResponse = {}));
var UpdateNotebookInstanceInput;
(function (UpdateNotebookInstanceInput) {
    UpdateNotebookInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateNotebookInstanceInput = exports.UpdateNotebookInstanceInput || (exports.UpdateNotebookInstanceInput = {}));
var UpdateNotebookInstanceOutput;
(function (UpdateNotebookInstanceOutput) {
    UpdateNotebookInstanceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateNotebookInstanceOutput = exports.UpdateNotebookInstanceOutput || (exports.UpdateNotebookInstanceOutput = {}));
var UpdateNotebookInstanceLifecycleConfigInput;
(function (UpdateNotebookInstanceLifecycleConfigInput) {
    UpdateNotebookInstanceLifecycleConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateNotebookInstanceLifecycleConfigInput = exports.UpdateNotebookInstanceLifecycleConfigInput || (exports.UpdateNotebookInstanceLifecycleConfigInput = {}));
var UpdateNotebookInstanceLifecycleConfigOutput;
(function (UpdateNotebookInstanceLifecycleConfigOutput) {
    UpdateNotebookInstanceLifecycleConfigOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateNotebookInstanceLifecycleConfigOutput = exports.UpdateNotebookInstanceLifecycleConfigOutput || (exports.UpdateNotebookInstanceLifecycleConfigOutput = {}));
var UpdatePipelineRequest;
(function (UpdatePipelineRequest) {
    UpdatePipelineRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePipelineRequest = exports.UpdatePipelineRequest || (exports.UpdatePipelineRequest = {}));
var UpdatePipelineResponse;
(function (UpdatePipelineResponse) {
    UpdatePipelineResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePipelineResponse = exports.UpdatePipelineResponse || (exports.UpdatePipelineResponse = {}));
var UpdatePipelineExecutionRequest;
(function (UpdatePipelineExecutionRequest) {
    UpdatePipelineExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePipelineExecutionRequest = exports.UpdatePipelineExecutionRequest || (exports.UpdatePipelineExecutionRequest = {}));
var UpdatePipelineExecutionResponse;
(function (UpdatePipelineExecutionResponse) {
    UpdatePipelineExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePipelineExecutionResponse = exports.UpdatePipelineExecutionResponse || (exports.UpdatePipelineExecutionResponse = {}));
var ServiceCatalogProvisioningUpdateDetails;
(function (ServiceCatalogProvisioningUpdateDetails) {
    ServiceCatalogProvisioningUpdateDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceCatalogProvisioningUpdateDetails = exports.ServiceCatalogProvisioningUpdateDetails || (exports.ServiceCatalogProvisioningUpdateDetails = {}));
var UpdateProjectInput;
(function (UpdateProjectInput) {
    UpdateProjectInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateProjectInput = exports.UpdateProjectInput || (exports.UpdateProjectInput = {}));
var UpdateProjectOutput;
(function (UpdateProjectOutput) {
    UpdateProjectOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateProjectOutput = exports.UpdateProjectOutput || (exports.UpdateProjectOutput = {}));
var UpdateTrainingJobRequest;
(function (UpdateTrainingJobRequest) {
    UpdateTrainingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTrainingJobRequest = exports.UpdateTrainingJobRequest || (exports.UpdateTrainingJobRequest = {}));
var UpdateTrainingJobResponse;
(function (UpdateTrainingJobResponse) {
    UpdateTrainingJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTrainingJobResponse = exports.UpdateTrainingJobResponse || (exports.UpdateTrainingJobResponse = {}));
var UpdateTrialRequest;
(function (UpdateTrialRequest) {
    UpdateTrialRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTrialRequest = exports.UpdateTrialRequest || (exports.UpdateTrialRequest = {}));
var UpdateTrialResponse;
(function (UpdateTrialResponse) {
    UpdateTrialResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTrialResponse = exports.UpdateTrialResponse || (exports.UpdateTrialResponse = {}));
var UpdateTrialComponentRequest;
(function (UpdateTrialComponentRequest) {
    UpdateTrialComponentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Parameters && {
            Parameters: Object.entries(obj.Parameters).reduce((acc, [key, value]) => ({
                ...acc,
                [key]: models_1_1.TrialComponentParameterValue.filterSensitiveLog(value),
            }), {}),
        }),
    });
})(UpdateTrialComponentRequest = exports.UpdateTrialComponentRequest || (exports.UpdateTrialComponentRequest = {}));
var UpdateTrialComponentResponse;
(function (UpdateTrialComponentResponse) {
    UpdateTrialComponentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTrialComponentResponse = exports.UpdateTrialComponentResponse || (exports.UpdateTrialComponentResponse = {}));
var UpdateUserProfileRequest;
(function (UpdateUserProfileRequest) {
    UpdateUserProfileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateUserProfileRequest = exports.UpdateUserProfileRequest || (exports.UpdateUserProfileRequest = {}));
var UpdateUserProfileResponse;
(function (UpdateUserProfileResponse) {
    UpdateUserProfileResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateUserProfileResponse = exports.UpdateUserProfileResponse || (exports.UpdateUserProfileResponse = {}));
var UpdateWorkforceRequest;
(function (UpdateWorkforceRequest) {
    UpdateWorkforceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.OidcConfig && { OidcConfig: models_1_1.OidcConfig.filterSensitiveLog(obj.OidcConfig) }),
    });
})(UpdateWorkforceRequest = exports.UpdateWorkforceRequest || (exports.UpdateWorkforceRequest = {}));
var UpdateWorkforceResponse;
(function (UpdateWorkforceResponse) {
    UpdateWorkforceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateWorkforceResponse = exports.UpdateWorkforceResponse || (exports.UpdateWorkforceResponse = {}));
var UpdateWorkteamRequest;
(function (UpdateWorkteamRequest) {
    UpdateWorkteamRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateWorkteamRequest = exports.UpdateWorkteamRequest || (exports.UpdateWorkteamRequest = {}));
var UpdateWorkteamResponse;
(function (UpdateWorkteamResponse) {
    UpdateWorkteamResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateWorkteamResponse = exports.UpdateWorkteamResponse || (exports.UpdateWorkteamResponse = {}));
var SearchExpression;
(function (SearchExpression) {
    SearchExpression.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchExpression = exports.SearchExpression || (exports.SearchExpression = {}));
var SearchRequest;
(function (SearchRequest) {
    SearchRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchRequest = exports.SearchRequest || (exports.SearchRequest = {}));
