import { __assign, __read } from "tslib";
import { TrialComponentParameterValue, } from "./models_1";
export var DescribeModelOutput;
(function (DescribeModelOutput) {
    DescribeModelOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelOutput || (DescribeModelOutput = {}));
export var DescribeModelBiasJobDefinitionRequest;
(function (DescribeModelBiasJobDefinitionRequest) {
    DescribeModelBiasJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelBiasJobDefinitionRequest || (DescribeModelBiasJobDefinitionRequest = {}));
export var DescribeModelBiasJobDefinitionResponse;
(function (DescribeModelBiasJobDefinitionResponse) {
    DescribeModelBiasJobDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelBiasJobDefinitionResponse || (DescribeModelBiasJobDefinitionResponse = {}));
export var DescribeModelExplainabilityJobDefinitionRequest;
(function (DescribeModelExplainabilityJobDefinitionRequest) {
    DescribeModelExplainabilityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelExplainabilityJobDefinitionRequest || (DescribeModelExplainabilityJobDefinitionRequest = {}));
export var DescribeModelExplainabilityJobDefinitionResponse;
(function (DescribeModelExplainabilityJobDefinitionResponse) {
    DescribeModelExplainabilityJobDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelExplainabilityJobDefinitionResponse || (DescribeModelExplainabilityJobDefinitionResponse = {}));
export var DescribeModelPackageInput;
(function (DescribeModelPackageInput) {
    DescribeModelPackageInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelPackageInput || (DescribeModelPackageInput = {}));
export var DetailedModelPackageStatus;
(function (DetailedModelPackageStatus) {
    DetailedModelPackageStatus["COMPLETED"] = "Completed";
    DetailedModelPackageStatus["FAILED"] = "Failed";
    DetailedModelPackageStatus["IN_PROGRESS"] = "InProgress";
    DetailedModelPackageStatus["NOT_STARTED"] = "NotStarted";
})(DetailedModelPackageStatus || (DetailedModelPackageStatus = {}));
export var ModelPackageStatusItem;
(function (ModelPackageStatusItem) {
    ModelPackageStatusItem.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackageStatusItem || (ModelPackageStatusItem = {}));
export var ModelPackageStatusDetails;
(function (ModelPackageStatusDetails) {
    ModelPackageStatusDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackageStatusDetails || (ModelPackageStatusDetails = {}));
export var DescribeModelPackageOutput;
(function (DescribeModelPackageOutput) {
    DescribeModelPackageOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelPackageOutput || (DescribeModelPackageOutput = {}));
export var DescribeModelPackageGroupInput;
(function (DescribeModelPackageGroupInput) {
    DescribeModelPackageGroupInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelPackageGroupInput || (DescribeModelPackageGroupInput = {}));
export var ModelPackageGroupStatus;
(function (ModelPackageGroupStatus) {
    ModelPackageGroupStatus["COMPLETED"] = "Completed";
    ModelPackageGroupStatus["DELETE_FAILED"] = "DeleteFailed";
    ModelPackageGroupStatus["DELETING"] = "Deleting";
    ModelPackageGroupStatus["FAILED"] = "Failed";
    ModelPackageGroupStatus["IN_PROGRESS"] = "InProgress";
    ModelPackageGroupStatus["PENDING"] = "Pending";
})(ModelPackageGroupStatus || (ModelPackageGroupStatus = {}));
export var DescribeModelPackageGroupOutput;
(function (DescribeModelPackageGroupOutput) {
    DescribeModelPackageGroupOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelPackageGroupOutput || (DescribeModelPackageGroupOutput = {}));
export var DescribeModelQualityJobDefinitionRequest;
(function (DescribeModelQualityJobDefinitionRequest) {
    DescribeModelQualityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelQualityJobDefinitionRequest || (DescribeModelQualityJobDefinitionRequest = {}));
export var DescribeModelQualityJobDefinitionResponse;
(function (DescribeModelQualityJobDefinitionResponse) {
    DescribeModelQualityJobDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelQualityJobDefinitionResponse || (DescribeModelQualityJobDefinitionResponse = {}));
export var DescribeMonitoringScheduleRequest;
(function (DescribeMonitoringScheduleRequest) {
    DescribeMonitoringScheduleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeMonitoringScheduleRequest || (DescribeMonitoringScheduleRequest = {}));
export var ExecutionStatus;
(function (ExecutionStatus) {
    ExecutionStatus["COMPLETED"] = "Completed";
    ExecutionStatus["COMPLETED_WITH_VIOLATIONS"] = "CompletedWithViolations";
    ExecutionStatus["FAILED"] = "Failed";
    ExecutionStatus["IN_PROGRESS"] = "InProgress";
    ExecutionStatus["PENDING"] = "Pending";
    ExecutionStatus["STOPPED"] = "Stopped";
    ExecutionStatus["STOPPING"] = "Stopping";
})(ExecutionStatus || (ExecutionStatus = {}));
export var MonitoringExecutionSummary;
(function (MonitoringExecutionSummary) {
    MonitoringExecutionSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringExecutionSummary || (MonitoringExecutionSummary = {}));
export var ScheduleStatus;
(function (ScheduleStatus) {
    ScheduleStatus["FAILED"] = "Failed";
    ScheduleStatus["PENDING"] = "Pending";
    ScheduleStatus["SCHEDULED"] = "Scheduled";
    ScheduleStatus["STOPPED"] = "Stopped";
})(ScheduleStatus || (ScheduleStatus = {}));
export var DescribeMonitoringScheduleResponse;
(function (DescribeMonitoringScheduleResponse) {
    DescribeMonitoringScheduleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeMonitoringScheduleResponse || (DescribeMonitoringScheduleResponse = {}));
export var DescribeNotebookInstanceInput;
(function (DescribeNotebookInstanceInput) {
    DescribeNotebookInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeNotebookInstanceInput || (DescribeNotebookInstanceInput = {}));
export var NotebookInstanceStatus;
(function (NotebookInstanceStatus) {
    NotebookInstanceStatus["Deleting"] = "Deleting";
    NotebookInstanceStatus["Failed"] = "Failed";
    NotebookInstanceStatus["InService"] = "InService";
    NotebookInstanceStatus["Pending"] = "Pending";
    NotebookInstanceStatus["Stopped"] = "Stopped";
    NotebookInstanceStatus["Stopping"] = "Stopping";
    NotebookInstanceStatus["Updating"] = "Updating";
})(NotebookInstanceStatus || (NotebookInstanceStatus = {}));
export var DescribeNotebookInstanceOutput;
(function (DescribeNotebookInstanceOutput) {
    DescribeNotebookInstanceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeNotebookInstanceOutput || (DescribeNotebookInstanceOutput = {}));
export var DescribeNotebookInstanceLifecycleConfigInput;
(function (DescribeNotebookInstanceLifecycleConfigInput) {
    DescribeNotebookInstanceLifecycleConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeNotebookInstanceLifecycleConfigInput || (DescribeNotebookInstanceLifecycleConfigInput = {}));
export var DescribeNotebookInstanceLifecycleConfigOutput;
(function (DescribeNotebookInstanceLifecycleConfigOutput) {
    DescribeNotebookInstanceLifecycleConfigOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeNotebookInstanceLifecycleConfigOutput || (DescribeNotebookInstanceLifecycleConfigOutput = {}));
export var DescribePipelineRequest;
(function (DescribePipelineRequest) {
    DescribePipelineRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribePipelineRequest || (DescribePipelineRequest = {}));
export var PipelineStatus;
(function (PipelineStatus) {
    PipelineStatus["ACTIVE"] = "Active";
})(PipelineStatus || (PipelineStatus = {}));
export var DescribePipelineResponse;
(function (DescribePipelineResponse) {
    DescribePipelineResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribePipelineResponse || (DescribePipelineResponse = {}));
export var DescribePipelineDefinitionForExecutionRequest;
(function (DescribePipelineDefinitionForExecutionRequest) {
    DescribePipelineDefinitionForExecutionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribePipelineDefinitionForExecutionRequest || (DescribePipelineDefinitionForExecutionRequest = {}));
export var DescribePipelineDefinitionForExecutionResponse;
(function (DescribePipelineDefinitionForExecutionResponse) {
    DescribePipelineDefinitionForExecutionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribePipelineDefinitionForExecutionResponse || (DescribePipelineDefinitionForExecutionResponse = {}));
export var DescribePipelineExecutionRequest;
(function (DescribePipelineExecutionRequest) {
    DescribePipelineExecutionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribePipelineExecutionRequest || (DescribePipelineExecutionRequest = {}));
export var PipelineExecutionStatus;
(function (PipelineExecutionStatus) {
    PipelineExecutionStatus["EXECUTING"] = "Executing";
    PipelineExecutionStatus["FAILED"] = "Failed";
    PipelineExecutionStatus["STOPPED"] = "Stopped";
    PipelineExecutionStatus["STOPPING"] = "Stopping";
    PipelineExecutionStatus["SUCCEEDED"] = "Succeeded";
})(PipelineExecutionStatus || (PipelineExecutionStatus = {}));
export var PipelineExperimentConfig;
(function (PipelineExperimentConfig) {
    PipelineExperimentConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineExperimentConfig || (PipelineExperimentConfig = {}));
export var DescribePipelineExecutionResponse;
(function (DescribePipelineExecutionResponse) {
    DescribePipelineExecutionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribePipelineExecutionResponse || (DescribePipelineExecutionResponse = {}));
export var DescribeProcessingJobRequest;
(function (DescribeProcessingJobRequest) {
    DescribeProcessingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeProcessingJobRequest || (DescribeProcessingJobRequest = {}));
export var ProcessingJobStatus;
(function (ProcessingJobStatus) {
    ProcessingJobStatus["COMPLETED"] = "Completed";
    ProcessingJobStatus["FAILED"] = "Failed";
    ProcessingJobStatus["IN_PROGRESS"] = "InProgress";
    ProcessingJobStatus["STOPPED"] = "Stopped";
    ProcessingJobStatus["STOPPING"] = "Stopping";
})(ProcessingJobStatus || (ProcessingJobStatus = {}));
export var DescribeProcessingJobResponse;
(function (DescribeProcessingJobResponse) {
    DescribeProcessingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeProcessingJobResponse || (DescribeProcessingJobResponse = {}));
export var DescribeProjectInput;
(function (DescribeProjectInput) {
    DescribeProjectInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeProjectInput || (DescribeProjectInput = {}));
export var ProjectStatus;
(function (ProjectStatus) {
    ProjectStatus["CREATE_COMPLETED"] = "CreateCompleted";
    ProjectStatus["CREATE_FAILED"] = "CreateFailed";
    ProjectStatus["CREATE_IN_PROGRESS"] = "CreateInProgress";
    ProjectStatus["DELETE_COMPLETED"] = "DeleteCompleted";
    ProjectStatus["DELETE_FAILED"] = "DeleteFailed";
    ProjectStatus["DELETE_IN_PROGRESS"] = "DeleteInProgress";
    ProjectStatus["PENDING"] = "Pending";
    ProjectStatus["UPDATE_COMPLETED"] = "UpdateCompleted";
    ProjectStatus["UPDATE_FAILED"] = "UpdateFailed";
    ProjectStatus["UPDATE_IN_PROGRESS"] = "UpdateInProgress";
})(ProjectStatus || (ProjectStatus = {}));
export var ServiceCatalogProvisionedProductDetails;
(function (ServiceCatalogProvisionedProductDetails) {
    ServiceCatalogProvisionedProductDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceCatalogProvisionedProductDetails || (ServiceCatalogProvisionedProductDetails = {}));
export var DescribeProjectOutput;
(function (DescribeProjectOutput) {
    DescribeProjectOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeProjectOutput || (DescribeProjectOutput = {}));
export var DescribeStudioLifecycleConfigRequest;
(function (DescribeStudioLifecycleConfigRequest) {
    DescribeStudioLifecycleConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeStudioLifecycleConfigRequest || (DescribeStudioLifecycleConfigRequest = {}));
export var DescribeStudioLifecycleConfigResponse;
(function (DescribeStudioLifecycleConfigResponse) {
    DescribeStudioLifecycleConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeStudioLifecycleConfigResponse || (DescribeStudioLifecycleConfigResponse = {}));
export var DescribeSubscribedWorkteamRequest;
(function (DescribeSubscribedWorkteamRequest) {
    DescribeSubscribedWorkteamRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeSubscribedWorkteamRequest || (DescribeSubscribedWorkteamRequest = {}));
export var SubscribedWorkteam;
(function (SubscribedWorkteam) {
    SubscribedWorkteam.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SubscribedWorkteam || (SubscribedWorkteam = {}));
export var DescribeSubscribedWorkteamResponse;
(function (DescribeSubscribedWorkteamResponse) {
    DescribeSubscribedWorkteamResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeSubscribedWorkteamResponse || (DescribeSubscribedWorkteamResponse = {}));
export var DescribeTrainingJobRequest;
(function (DescribeTrainingJobRequest) {
    DescribeTrainingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTrainingJobRequest || (DescribeTrainingJobRequest = {}));
export var MetricData;
(function (MetricData) {
    MetricData.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MetricData || (MetricData = {}));
export var ProfilerRuleEvaluationStatus;
(function (ProfilerRuleEvaluationStatus) {
    ProfilerRuleEvaluationStatus.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProfilerRuleEvaluationStatus || (ProfilerRuleEvaluationStatus = {}));
export var ProfilingStatus;
(function (ProfilingStatus) {
    ProfilingStatus["DISABLED"] = "Disabled";
    ProfilingStatus["ENABLED"] = "Enabled";
})(ProfilingStatus || (ProfilingStatus = {}));
export var SecondaryStatus;
(function (SecondaryStatus) {
    SecondaryStatus["COMPLETED"] = "Completed";
    SecondaryStatus["DOWNLOADING"] = "Downloading";
    SecondaryStatus["DOWNLOADING_TRAINING_IMAGE"] = "DownloadingTrainingImage";
    SecondaryStatus["FAILED"] = "Failed";
    SecondaryStatus["INTERRUPTED"] = "Interrupted";
    SecondaryStatus["LAUNCHING_ML_INSTANCES"] = "LaunchingMLInstances";
    SecondaryStatus["MAX_RUNTIME_EXCEEDED"] = "MaxRuntimeExceeded";
    SecondaryStatus["MAX_WAIT_TIME_EXCEEDED"] = "MaxWaitTimeExceeded";
    SecondaryStatus["PREPARING_TRAINING_STACK"] = "PreparingTrainingStack";
    SecondaryStatus["RESTARTING"] = "Restarting";
    SecondaryStatus["STARTING"] = "Starting";
    SecondaryStatus["STOPPED"] = "Stopped";
    SecondaryStatus["STOPPING"] = "Stopping";
    SecondaryStatus["TRAINING"] = "Training";
    SecondaryStatus["UPDATING"] = "Updating";
    SecondaryStatus["UPLOADING"] = "Uploading";
})(SecondaryStatus || (SecondaryStatus = {}));
export var SecondaryStatusTransition;
(function (SecondaryStatusTransition) {
    SecondaryStatusTransition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SecondaryStatusTransition || (SecondaryStatusTransition = {}));
export var DescribeTrainingJobResponse;
(function (DescribeTrainingJobResponse) {
    DescribeTrainingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTrainingJobResponse || (DescribeTrainingJobResponse = {}));
export var DescribeTransformJobRequest;
(function (DescribeTransformJobRequest) {
    DescribeTransformJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTransformJobRequest || (DescribeTransformJobRequest = {}));
export var TransformJobStatus;
(function (TransformJobStatus) {
    TransformJobStatus["COMPLETED"] = "Completed";
    TransformJobStatus["FAILED"] = "Failed";
    TransformJobStatus["IN_PROGRESS"] = "InProgress";
    TransformJobStatus["STOPPED"] = "Stopped";
    TransformJobStatus["STOPPING"] = "Stopping";
})(TransformJobStatus || (TransformJobStatus = {}));
export var DescribeTransformJobResponse;
(function (DescribeTransformJobResponse) {
    DescribeTransformJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTransformJobResponse || (DescribeTransformJobResponse = {}));
export var DescribeTrialRequest;
(function (DescribeTrialRequest) {
    DescribeTrialRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTrialRequest || (DescribeTrialRequest = {}));
export var TrialSource;
(function (TrialSource) {
    TrialSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialSource || (TrialSource = {}));
export var DescribeTrialResponse;
(function (DescribeTrialResponse) {
    DescribeTrialResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTrialResponse || (DescribeTrialResponse = {}));
export var DescribeTrialComponentRequest;
(function (DescribeTrialComponentRequest) {
    DescribeTrialComponentRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeTrialComponentRequest || (DescribeTrialComponentRequest = {}));
export var TrialComponentMetricSummary;
(function (TrialComponentMetricSummary) {
    TrialComponentMetricSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialComponentMetricSummary || (TrialComponentMetricSummary = {}));
export var TrialComponentSource;
(function (TrialComponentSource) {
    TrialComponentSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialComponentSource || (TrialComponentSource = {}));
export var DescribeTrialComponentResponse;
(function (DescribeTrialComponentResponse) {
    DescribeTrialComponentResponse.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.Parameters && {
        Parameters: Object.entries(obj.Parameters).reduce(function (acc, _a) {
            var _b;
            var _c = __read(_a, 2), key = _c[0], value = _c[1];
            return (__assign(__assign({}, acc), (_b = {}, _b[key] = TrialComponentParameterValue.filterSensitiveLog(value), _b)));
        }, {}),
    }))); };
})(DescribeTrialComponentResponse || (DescribeTrialComponentResponse = {}));
export var DescribeUserProfileRequest;
(function (DescribeUserProfileRequest) {
    DescribeUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeUserProfileRequest || (DescribeUserProfileRequest = {}));
export var UserProfileStatus;
(function (UserProfileStatus) {
    UserProfileStatus["Delete_Failed"] = "Delete_Failed";
    UserProfileStatus["Deleting"] = "Deleting";
    UserProfileStatus["Failed"] = "Failed";
    UserProfileStatus["InService"] = "InService";
    UserProfileStatus["Pending"] = "Pending";
    UserProfileStatus["Update_Failed"] = "Update_Failed";
    UserProfileStatus["Updating"] = "Updating";
})(UserProfileStatus || (UserProfileStatus = {}));
export var DescribeUserProfileResponse;
(function (DescribeUserProfileResponse) {
    DescribeUserProfileResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeUserProfileResponse || (DescribeUserProfileResponse = {}));
export var DescribeWorkforceRequest;
(function (DescribeWorkforceRequest) {
    DescribeWorkforceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeWorkforceRequest || (DescribeWorkforceRequest = {}));
export var OidcConfigForResponse;
(function (OidcConfigForResponse) {
    OidcConfigForResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OidcConfigForResponse || (OidcConfigForResponse = {}));
export var Workforce;
(function (Workforce) {
    Workforce.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Workforce || (Workforce = {}));
export var DescribeWorkforceResponse;
(function (DescribeWorkforceResponse) {
    DescribeWorkforceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeWorkforceResponse || (DescribeWorkforceResponse = {}));
export var DescribeWorkteamRequest;
(function (DescribeWorkteamRequest) {
    DescribeWorkteamRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeWorkteamRequest || (DescribeWorkteamRequest = {}));
export var Workteam;
(function (Workteam) {
    Workteam.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Workteam || (Workteam = {}));
export var DescribeWorkteamResponse;
(function (DescribeWorkteamResponse) {
    DescribeWorkteamResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeWorkteamResponse || (DescribeWorkteamResponse = {}));
export var DesiredWeightAndCapacity;
(function (DesiredWeightAndCapacity) {
    DesiredWeightAndCapacity.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DesiredWeightAndCapacity || (DesiredWeightAndCapacity = {}));
export var Device;
(function (Device) {
    Device.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Device || (Device = {}));
export var DeviceFleetSummary;
(function (DeviceFleetSummary) {
    DeviceFleetSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeviceFleetSummary || (DeviceFleetSummary = {}));
export var DeviceStats;
(function (DeviceStats) {
    DeviceStats.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeviceStats || (DeviceStats = {}));
export var EdgeModelSummary;
(function (EdgeModelSummary) {
    EdgeModelSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EdgeModelSummary || (EdgeModelSummary = {}));
export var DeviceSummary;
(function (DeviceSummary) {
    DeviceSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeviceSummary || (DeviceSummary = {}));
export var Direction;
(function (Direction) {
    Direction["ASCENDANTS"] = "Ascendants";
    Direction["BOTH"] = "Both";
    Direction["DESCENDANTS"] = "Descendants";
})(Direction || (Direction = {}));
export var DisableSagemakerServicecatalogPortfolioInput;
(function (DisableSagemakerServicecatalogPortfolioInput) {
    DisableSagemakerServicecatalogPortfolioInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisableSagemakerServicecatalogPortfolioInput || (DisableSagemakerServicecatalogPortfolioInput = {}));
export var DisableSagemakerServicecatalogPortfolioOutput;
(function (DisableSagemakerServicecatalogPortfolioOutput) {
    DisableSagemakerServicecatalogPortfolioOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisableSagemakerServicecatalogPortfolioOutput || (DisableSagemakerServicecatalogPortfolioOutput = {}));
export var DisassociateTrialComponentRequest;
(function (DisassociateTrialComponentRequest) {
    DisassociateTrialComponentRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateTrialComponentRequest || (DisassociateTrialComponentRequest = {}));
export var DisassociateTrialComponentResponse;
(function (DisassociateTrialComponentResponse) {
    DisassociateTrialComponentResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateTrialComponentResponse || (DisassociateTrialComponentResponse = {}));
export var DomainDetails;
(function (DomainDetails) {
    DomainDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DomainDetails || (DomainDetails = {}));
export var RStudioServerProDomainSettingsForUpdate;
(function (RStudioServerProDomainSettingsForUpdate) {
    RStudioServerProDomainSettingsForUpdate.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RStudioServerProDomainSettingsForUpdate || (RStudioServerProDomainSettingsForUpdate = {}));
export var DomainSettingsForUpdate;
(function (DomainSettingsForUpdate) {
    DomainSettingsForUpdate.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DomainSettingsForUpdate || (DomainSettingsForUpdate = {}));
export var Edge;
(function (Edge) {
    Edge.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Edge || (Edge = {}));
export var EdgeModelStat;
(function (EdgeModelStat) {
    EdgeModelStat.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EdgeModelStat || (EdgeModelStat = {}));
export var EdgePackagingJobSummary;
(function (EdgePackagingJobSummary) {
    EdgePackagingJobSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EdgePackagingJobSummary || (EdgePackagingJobSummary = {}));
export var EMRStepMetadata;
(function (EMRStepMetadata) {
    EMRStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EMRStepMetadata || (EMRStepMetadata = {}));
export var EnableSagemakerServicecatalogPortfolioInput;
(function (EnableSagemakerServicecatalogPortfolioInput) {
    EnableSagemakerServicecatalogPortfolioInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EnableSagemakerServicecatalogPortfolioInput || (EnableSagemakerServicecatalogPortfolioInput = {}));
export var EnableSagemakerServicecatalogPortfolioOutput;
(function (EnableSagemakerServicecatalogPortfolioOutput) {
    EnableSagemakerServicecatalogPortfolioOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EnableSagemakerServicecatalogPortfolioOutput || (EnableSagemakerServicecatalogPortfolioOutput = {}));
export var MonitoringSchedule;
(function (MonitoringSchedule) {
    MonitoringSchedule.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringSchedule || (MonitoringSchedule = {}));
export var Endpoint;
(function (Endpoint) {
    Endpoint.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Endpoint || (Endpoint = {}));
export var EndpointConfigSortKey;
(function (EndpointConfigSortKey) {
    EndpointConfigSortKey["CreationTime"] = "CreationTime";
    EndpointConfigSortKey["Name"] = "Name";
})(EndpointConfigSortKey || (EndpointConfigSortKey = {}));
export var EndpointConfigSummary;
(function (EndpointConfigSummary) {
    EndpointConfigSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EndpointConfigSummary || (EndpointConfigSummary = {}));
export var EndpointSortKey;
(function (EndpointSortKey) {
    EndpointSortKey["CreationTime"] = "CreationTime";
    EndpointSortKey["Name"] = "Name";
    EndpointSortKey["Status"] = "Status";
})(EndpointSortKey || (EndpointSortKey = {}));
export var EndpointSummary;
(function (EndpointSummary) {
    EndpointSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EndpointSummary || (EndpointSummary = {}));
export var Experiment;
(function (Experiment) {
    Experiment.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Experiment || (Experiment = {}));
export var ExperimentSummary;
(function (ExperimentSummary) {
    ExperimentSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ExperimentSummary || (ExperimentSummary = {}));
export var FailStepMetadata;
(function (FailStepMetadata) {
    FailStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FailStepMetadata || (FailStepMetadata = {}));
export var FeatureGroup;
(function (FeatureGroup) {
    FeatureGroup.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FeatureGroup || (FeatureGroup = {}));
export var FeatureGroupSortBy;
(function (FeatureGroupSortBy) {
    FeatureGroupSortBy["CREATION_TIME"] = "CreationTime";
    FeatureGroupSortBy["FEATURE_GROUP_STATUS"] = "FeatureGroupStatus";
    FeatureGroupSortBy["NAME"] = "Name";
    FeatureGroupSortBy["OFFLINE_STORE_STATUS"] = "OfflineStoreStatus";
})(FeatureGroupSortBy || (FeatureGroupSortBy = {}));
export var FeatureGroupSortOrder;
(function (FeatureGroupSortOrder) {
    FeatureGroupSortOrder["ASCENDING"] = "Ascending";
    FeatureGroupSortOrder["DESCENDING"] = "Descending";
})(FeatureGroupSortOrder || (FeatureGroupSortOrder = {}));
export var FeatureGroupSummary;
(function (FeatureGroupSummary) {
    FeatureGroupSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FeatureGroupSummary || (FeatureGroupSummary = {}));
export var Operator;
(function (Operator) {
    Operator["CONTAINS"] = "Contains";
    Operator["EQUALS"] = "Equals";
    Operator["EXISTS"] = "Exists";
    Operator["GREATER_THAN"] = "GreaterThan";
    Operator["GREATER_THAN_OR_EQUAL_TO"] = "GreaterThanOrEqualTo";
    Operator["IN"] = "In";
    Operator["LESS_THAN"] = "LessThan";
    Operator["LESS_THAN_OR_EQUAL_TO"] = "LessThanOrEqualTo";
    Operator["NOT_EQUALS"] = "NotEquals";
    Operator["NOT_EXISTS"] = "NotExists";
})(Operator || (Operator = {}));
export var Filter;
(function (Filter) {
    Filter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Filter || (Filter = {}));
export var FlowDefinitionSummary;
(function (FlowDefinitionSummary) {
    FlowDefinitionSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FlowDefinitionSummary || (FlowDefinitionSummary = {}));
export var GetDeviceFleetReportRequest;
(function (GetDeviceFleetReportRequest) {
    GetDeviceFleetReportRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeviceFleetReportRequest || (GetDeviceFleetReportRequest = {}));
export var GetDeviceFleetReportResponse;
(function (GetDeviceFleetReportResponse) {
    GetDeviceFleetReportResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetDeviceFleetReportResponse || (GetDeviceFleetReportResponse = {}));
export var GetLineageGroupPolicyRequest;
(function (GetLineageGroupPolicyRequest) {
    GetLineageGroupPolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetLineageGroupPolicyRequest || (GetLineageGroupPolicyRequest = {}));
export var GetLineageGroupPolicyResponse;
(function (GetLineageGroupPolicyResponse) {
    GetLineageGroupPolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetLineageGroupPolicyResponse || (GetLineageGroupPolicyResponse = {}));
export var GetModelPackageGroupPolicyInput;
(function (GetModelPackageGroupPolicyInput) {
    GetModelPackageGroupPolicyInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetModelPackageGroupPolicyInput || (GetModelPackageGroupPolicyInput = {}));
export var GetModelPackageGroupPolicyOutput;
(function (GetModelPackageGroupPolicyOutput) {
    GetModelPackageGroupPolicyOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetModelPackageGroupPolicyOutput || (GetModelPackageGroupPolicyOutput = {}));
export var GetSagemakerServicecatalogPortfolioStatusInput;
(function (GetSagemakerServicecatalogPortfolioStatusInput) {
    GetSagemakerServicecatalogPortfolioStatusInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetSagemakerServicecatalogPortfolioStatusInput || (GetSagemakerServicecatalogPortfolioStatusInput = {}));
export var SagemakerServicecatalogStatus;
(function (SagemakerServicecatalogStatus) {
    SagemakerServicecatalogStatus["DISABLED"] = "Disabled";
    SagemakerServicecatalogStatus["ENABLED"] = "Enabled";
})(SagemakerServicecatalogStatus || (SagemakerServicecatalogStatus = {}));
export var GetSagemakerServicecatalogPortfolioStatusOutput;
(function (GetSagemakerServicecatalogPortfolioStatusOutput) {
    GetSagemakerServicecatalogPortfolioStatusOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetSagemakerServicecatalogPortfolioStatusOutput || (GetSagemakerServicecatalogPortfolioStatusOutput = {}));
export var ResourceType;
(function (ResourceType) {
    ResourceType["ENDPOINT"] = "Endpoint";
    ResourceType["EXPERIMENT"] = "Experiment";
    ResourceType["EXPERIMENT_TRIAL"] = "ExperimentTrial";
    ResourceType["EXPERIMENT_TRIAL_COMPONENT"] = "ExperimentTrialComponent";
    ResourceType["FEATURE_GROUP"] = "FeatureGroup";
    ResourceType["MODEL_PACKAGE"] = "ModelPackage";
    ResourceType["MODEL_PACKAGE_GROUP"] = "ModelPackageGroup";
    ResourceType["PIPELINE"] = "Pipeline";
    ResourceType["PIPELINE_EXECUTION"] = "PipelineExecution";
    ResourceType["PROJECT"] = "Project";
    ResourceType["TRAINING_JOB"] = "TrainingJob";
})(ResourceType || (ResourceType = {}));
export var PropertyNameQuery;
(function (PropertyNameQuery) {
    PropertyNameQuery.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PropertyNameQuery || (PropertyNameQuery = {}));
export var SuggestionQuery;
(function (SuggestionQuery) {
    SuggestionQuery.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SuggestionQuery || (SuggestionQuery = {}));
export var GetSearchSuggestionsRequest;
(function (GetSearchSuggestionsRequest) {
    GetSearchSuggestionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetSearchSuggestionsRequest || (GetSearchSuggestionsRequest = {}));
export var PropertyNameSuggestion;
(function (PropertyNameSuggestion) {
    PropertyNameSuggestion.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PropertyNameSuggestion || (PropertyNameSuggestion = {}));
export var GetSearchSuggestionsResponse;
(function (GetSearchSuggestionsResponse) {
    GetSearchSuggestionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetSearchSuggestionsResponse || (GetSearchSuggestionsResponse = {}));
export var GitConfigForUpdate;
(function (GitConfigForUpdate) {
    GitConfigForUpdate.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GitConfigForUpdate || (GitConfigForUpdate = {}));
export var HumanTaskUiSummary;
(function (HumanTaskUiSummary) {
    HumanTaskUiSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HumanTaskUiSummary || (HumanTaskUiSummary = {}));
export var HyperParameterTuningJobSortByOptions;
(function (HyperParameterTuningJobSortByOptions) {
    HyperParameterTuningJobSortByOptions["CreationTime"] = "CreationTime";
    HyperParameterTuningJobSortByOptions["Name"] = "Name";
    HyperParameterTuningJobSortByOptions["Status"] = "Status";
})(HyperParameterTuningJobSortByOptions || (HyperParameterTuningJobSortByOptions = {}));
export var HyperParameterTuningJobSummary;
(function (HyperParameterTuningJobSummary) {
    HyperParameterTuningJobSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HyperParameterTuningJobSummary || (HyperParameterTuningJobSummary = {}));
export var Image;
(function (Image) {
    Image.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Image || (Image = {}));
export var ImageSortBy;
(function (ImageSortBy) {
    ImageSortBy["CREATION_TIME"] = "CREATION_TIME";
    ImageSortBy["IMAGE_NAME"] = "IMAGE_NAME";
    ImageSortBy["LAST_MODIFIED_TIME"] = "LAST_MODIFIED_TIME";
})(ImageSortBy || (ImageSortBy = {}));
export var ImageSortOrder;
(function (ImageSortOrder) {
    ImageSortOrder["ASCENDING"] = "ASCENDING";
    ImageSortOrder["DESCENDING"] = "DESCENDING";
})(ImageSortOrder || (ImageSortOrder = {}));
export var ImageVersion;
(function (ImageVersion) {
    ImageVersion.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ImageVersion || (ImageVersion = {}));
export var ImageVersionSortBy;
(function (ImageVersionSortBy) {
    ImageVersionSortBy["CREATION_TIME"] = "CREATION_TIME";
    ImageVersionSortBy["LAST_MODIFIED_TIME"] = "LAST_MODIFIED_TIME";
    ImageVersionSortBy["VERSION"] = "VERSION";
})(ImageVersionSortBy || (ImageVersionSortBy = {}));
export var ImageVersionSortOrder;
(function (ImageVersionSortOrder) {
    ImageVersionSortOrder["ASCENDING"] = "ASCENDING";
    ImageVersionSortOrder["DESCENDING"] = "DESCENDING";
})(ImageVersionSortOrder || (ImageVersionSortOrder = {}));
export var InferenceRecommendationsJob;
(function (InferenceRecommendationsJob) {
    InferenceRecommendationsJob.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InferenceRecommendationsJob || (InferenceRecommendationsJob = {}));
export var LabelCountersForWorkteam;
(function (LabelCountersForWorkteam) {
    LabelCountersForWorkteam.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelCountersForWorkteam || (LabelCountersForWorkteam = {}));
export var LabelingJobForWorkteamSummary;
(function (LabelingJobForWorkteamSummary) {
    LabelingJobForWorkteamSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobForWorkteamSummary || (LabelingJobForWorkteamSummary = {}));
export var LabelingJobSummary;
(function (LabelingJobSummary) {
    LabelingJobSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobSummary || (LabelingJobSummary = {}));
export var LambdaStepMetadata;
(function (LambdaStepMetadata) {
    LambdaStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LambdaStepMetadata || (LambdaStepMetadata = {}));
export var LineageGroupSummary;
(function (LineageGroupSummary) {
    LineageGroupSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LineageGroupSummary || (LineageGroupSummary = {}));
export var LineageType;
(function (LineageType) {
    LineageType["ACTION"] = "Action";
    LineageType["ARTIFACT"] = "Artifact";
    LineageType["CONTEXT"] = "Context";
    LineageType["TRIAL_COMPONENT"] = "TrialComponent";
})(LineageType || (LineageType = {}));
export var SortActionsBy;
(function (SortActionsBy) {
    SortActionsBy["CREATION_TIME"] = "CreationTime";
    SortActionsBy["NAME"] = "Name";
})(SortActionsBy || (SortActionsBy = {}));
export var SortOrder;
(function (SortOrder) {
    SortOrder["ASCENDING"] = "Ascending";
    SortOrder["DESCENDING"] = "Descending";
})(SortOrder || (SortOrder = {}));
export var ListActionsRequest;
(function (ListActionsRequest) {
    ListActionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListActionsRequest || (ListActionsRequest = {}));
export var ListActionsResponse;
(function (ListActionsResponse) {
    ListActionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListActionsResponse || (ListActionsResponse = {}));
export var ListAlgorithmsInput;
(function (ListAlgorithmsInput) {
    ListAlgorithmsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAlgorithmsInput || (ListAlgorithmsInput = {}));
export var ListAlgorithmsOutput;
(function (ListAlgorithmsOutput) {
    ListAlgorithmsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAlgorithmsOutput || (ListAlgorithmsOutput = {}));
export var ListAppImageConfigsRequest;
(function (ListAppImageConfigsRequest) {
    ListAppImageConfigsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAppImageConfigsRequest || (ListAppImageConfigsRequest = {}));
export var ListAppImageConfigsResponse;
(function (ListAppImageConfigsResponse) {
    ListAppImageConfigsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAppImageConfigsResponse || (ListAppImageConfigsResponse = {}));
export var ListAppsRequest;
(function (ListAppsRequest) {
    ListAppsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAppsRequest || (ListAppsRequest = {}));
export var ListAppsResponse;
(function (ListAppsResponse) {
    ListAppsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAppsResponse || (ListAppsResponse = {}));
export var SortArtifactsBy;
(function (SortArtifactsBy) {
    SortArtifactsBy["CREATION_TIME"] = "CreationTime";
})(SortArtifactsBy || (SortArtifactsBy = {}));
export var ListArtifactsRequest;
(function (ListArtifactsRequest) {
    ListArtifactsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListArtifactsRequest || (ListArtifactsRequest = {}));
export var ListArtifactsResponse;
(function (ListArtifactsResponse) {
    ListArtifactsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListArtifactsResponse || (ListArtifactsResponse = {}));
export var SortAssociationsBy;
(function (SortAssociationsBy) {
    SortAssociationsBy["CREATION_TIME"] = "CreationTime";
    SortAssociationsBy["DESTINATION_ARN"] = "DestinationArn";
    SortAssociationsBy["DESTINATION_TYPE"] = "DestinationType";
    SortAssociationsBy["SOURCE_ARN"] = "SourceArn";
    SortAssociationsBy["SOURCE_TYPE"] = "SourceType";
})(SortAssociationsBy || (SortAssociationsBy = {}));
export var ListAssociationsRequest;
(function (ListAssociationsRequest) {
    ListAssociationsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAssociationsRequest || (ListAssociationsRequest = {}));
export var ListAssociationsResponse;
(function (ListAssociationsResponse) {
    ListAssociationsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAssociationsResponse || (ListAssociationsResponse = {}));
export var ListAutoMLJobsRequest;
(function (ListAutoMLJobsRequest) {
    ListAutoMLJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAutoMLJobsRequest || (ListAutoMLJobsRequest = {}));
export var ListAutoMLJobsResponse;
(function (ListAutoMLJobsResponse) {
    ListAutoMLJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListAutoMLJobsResponse || (ListAutoMLJobsResponse = {}));
export var ListCandidatesForAutoMLJobRequest;
(function (ListCandidatesForAutoMLJobRequest) {
    ListCandidatesForAutoMLJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListCandidatesForAutoMLJobRequest || (ListCandidatesForAutoMLJobRequest = {}));
export var ListCandidatesForAutoMLJobResponse;
(function (ListCandidatesForAutoMLJobResponse) {
    ListCandidatesForAutoMLJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListCandidatesForAutoMLJobResponse || (ListCandidatesForAutoMLJobResponse = {}));
export var ListCodeRepositoriesInput;
(function (ListCodeRepositoriesInput) {
    ListCodeRepositoriesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListCodeRepositoriesInput || (ListCodeRepositoriesInput = {}));
export var ListCodeRepositoriesOutput;
(function (ListCodeRepositoriesOutput) {
    ListCodeRepositoriesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListCodeRepositoriesOutput || (ListCodeRepositoriesOutput = {}));
export var ListCompilationJobsSortBy;
(function (ListCompilationJobsSortBy) {
    ListCompilationJobsSortBy["CREATION_TIME"] = "CreationTime";
    ListCompilationJobsSortBy["NAME"] = "Name";
    ListCompilationJobsSortBy["STATUS"] = "Status";
})(ListCompilationJobsSortBy || (ListCompilationJobsSortBy = {}));
export var ListCompilationJobsRequest;
(function (ListCompilationJobsRequest) {
    ListCompilationJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListCompilationJobsRequest || (ListCompilationJobsRequest = {}));
export var ListCompilationJobsResponse;
(function (ListCompilationJobsResponse) {
    ListCompilationJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListCompilationJobsResponse || (ListCompilationJobsResponse = {}));
export var SortContextsBy;
(function (SortContextsBy) {
    SortContextsBy["CREATION_TIME"] = "CreationTime";
    SortContextsBy["NAME"] = "Name";
})(SortContextsBy || (SortContextsBy = {}));
export var ListContextsRequest;
(function (ListContextsRequest) {
    ListContextsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListContextsRequest || (ListContextsRequest = {}));
export var ListContextsResponse;
(function (ListContextsResponse) {
    ListContextsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListContextsResponse || (ListContextsResponse = {}));
export var MonitoringJobDefinitionSortKey;
(function (MonitoringJobDefinitionSortKey) {
    MonitoringJobDefinitionSortKey["CREATION_TIME"] = "CreationTime";
    MonitoringJobDefinitionSortKey["NAME"] = "Name";
})(MonitoringJobDefinitionSortKey || (MonitoringJobDefinitionSortKey = {}));
export var ListDataQualityJobDefinitionsRequest;
(function (ListDataQualityJobDefinitionsRequest) {
    ListDataQualityJobDefinitionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDataQualityJobDefinitionsRequest || (ListDataQualityJobDefinitionsRequest = {}));
export var MonitoringJobDefinitionSummary;
(function (MonitoringJobDefinitionSummary) {
    MonitoringJobDefinitionSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringJobDefinitionSummary || (MonitoringJobDefinitionSummary = {}));
export var ListDataQualityJobDefinitionsResponse;
(function (ListDataQualityJobDefinitionsResponse) {
    ListDataQualityJobDefinitionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDataQualityJobDefinitionsResponse || (ListDataQualityJobDefinitionsResponse = {}));
export var ListDeviceFleetsSortBy;
(function (ListDeviceFleetsSortBy) {
    ListDeviceFleetsSortBy["CreationTime"] = "CREATION_TIME";
    ListDeviceFleetsSortBy["LastModifiedTime"] = "LAST_MODIFIED_TIME";
    ListDeviceFleetsSortBy["Name"] = "NAME";
})(ListDeviceFleetsSortBy || (ListDeviceFleetsSortBy = {}));
export var ListDeviceFleetsRequest;
(function (ListDeviceFleetsRequest) {
    ListDeviceFleetsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeviceFleetsRequest || (ListDeviceFleetsRequest = {}));
export var ListDeviceFleetsResponse;
(function (ListDeviceFleetsResponse) {
    ListDeviceFleetsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDeviceFleetsResponse || (ListDeviceFleetsResponse = {}));
export var ListDevicesRequest;
(function (ListDevicesRequest) {
    ListDevicesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDevicesRequest || (ListDevicesRequest = {}));
export var ListDevicesResponse;
(function (ListDevicesResponse) {
    ListDevicesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDevicesResponse || (ListDevicesResponse = {}));
export var ListDomainsRequest;
(function (ListDomainsRequest) {
    ListDomainsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDomainsRequest || (ListDomainsRequest = {}));
export var ListDomainsResponse;
(function (ListDomainsResponse) {
    ListDomainsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListDomainsResponse || (ListDomainsResponse = {}));
export var ListEdgePackagingJobsSortBy;
(function (ListEdgePackagingJobsSortBy) {
    ListEdgePackagingJobsSortBy["CreationTime"] = "CREATION_TIME";
    ListEdgePackagingJobsSortBy["EdgePackagingJobStatus"] = "STATUS";
    ListEdgePackagingJobsSortBy["LastModifiedTime"] = "LAST_MODIFIED_TIME";
    ListEdgePackagingJobsSortBy["ModelName"] = "MODEL_NAME";
    ListEdgePackagingJobsSortBy["Name"] = "NAME";
})(ListEdgePackagingJobsSortBy || (ListEdgePackagingJobsSortBy = {}));
export var ListEdgePackagingJobsRequest;
(function (ListEdgePackagingJobsRequest) {
    ListEdgePackagingJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEdgePackagingJobsRequest || (ListEdgePackagingJobsRequest = {}));
export var ListEdgePackagingJobsResponse;
(function (ListEdgePackagingJobsResponse) {
    ListEdgePackagingJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEdgePackagingJobsResponse || (ListEdgePackagingJobsResponse = {}));
export var OrderKey;
(function (OrderKey) {
    OrderKey["Ascending"] = "Ascending";
    OrderKey["Descending"] = "Descending";
})(OrderKey || (OrderKey = {}));
export var ListEndpointConfigsInput;
(function (ListEndpointConfigsInput) {
    ListEndpointConfigsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEndpointConfigsInput || (ListEndpointConfigsInput = {}));
export var ListEndpointConfigsOutput;
(function (ListEndpointConfigsOutput) {
    ListEndpointConfigsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEndpointConfigsOutput || (ListEndpointConfigsOutput = {}));
export var ListEndpointsInput;
(function (ListEndpointsInput) {
    ListEndpointsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEndpointsInput || (ListEndpointsInput = {}));
export var ListEndpointsOutput;
(function (ListEndpointsOutput) {
    ListEndpointsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListEndpointsOutput || (ListEndpointsOutput = {}));
export var SortExperimentsBy;
(function (SortExperimentsBy) {
    SortExperimentsBy["CREATION_TIME"] = "CreationTime";
    SortExperimentsBy["NAME"] = "Name";
})(SortExperimentsBy || (SortExperimentsBy = {}));
export var ListExperimentsRequest;
(function (ListExperimentsRequest) {
    ListExperimentsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListExperimentsRequest || (ListExperimentsRequest = {}));
export var ListExperimentsResponse;
(function (ListExperimentsResponse) {
    ListExperimentsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListExperimentsResponse || (ListExperimentsResponse = {}));
export var ListFeatureGroupsRequest;
(function (ListFeatureGroupsRequest) {
    ListFeatureGroupsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFeatureGroupsRequest || (ListFeatureGroupsRequest = {}));
export var ListFeatureGroupsResponse;
(function (ListFeatureGroupsResponse) {
    ListFeatureGroupsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFeatureGroupsResponse || (ListFeatureGroupsResponse = {}));
export var ListFlowDefinitionsRequest;
(function (ListFlowDefinitionsRequest) {
    ListFlowDefinitionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFlowDefinitionsRequest || (ListFlowDefinitionsRequest = {}));
export var ListFlowDefinitionsResponse;
(function (ListFlowDefinitionsResponse) {
    ListFlowDefinitionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFlowDefinitionsResponse || (ListFlowDefinitionsResponse = {}));
export var ListHumanTaskUisRequest;
(function (ListHumanTaskUisRequest) {
    ListHumanTaskUisRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListHumanTaskUisRequest || (ListHumanTaskUisRequest = {}));
export var ListHumanTaskUisResponse;
(function (ListHumanTaskUisResponse) {
    ListHumanTaskUisResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListHumanTaskUisResponse || (ListHumanTaskUisResponse = {}));
export var ListHyperParameterTuningJobsRequest;
(function (ListHyperParameterTuningJobsRequest) {
    ListHyperParameterTuningJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListHyperParameterTuningJobsRequest || (ListHyperParameterTuningJobsRequest = {}));
export var ListHyperParameterTuningJobsResponse;
(function (ListHyperParameterTuningJobsResponse) {
    ListHyperParameterTuningJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListHyperParameterTuningJobsResponse || (ListHyperParameterTuningJobsResponse = {}));
export var ListImagesRequest;
(function (ListImagesRequest) {
    ListImagesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListImagesRequest || (ListImagesRequest = {}));
export var ListImagesResponse;
(function (ListImagesResponse) {
    ListImagesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListImagesResponse || (ListImagesResponse = {}));
export var ListImageVersionsRequest;
(function (ListImageVersionsRequest) {
    ListImageVersionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListImageVersionsRequest || (ListImageVersionsRequest = {}));
export var ListImageVersionsResponse;
(function (ListImageVersionsResponse) {
    ListImageVersionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListImageVersionsResponse || (ListImageVersionsResponse = {}));
export var ListInferenceRecommendationsJobsSortBy;
(function (ListInferenceRecommendationsJobsSortBy) {
    ListInferenceRecommendationsJobsSortBy["CREATION_TIME"] = "CreationTime";
    ListInferenceRecommendationsJobsSortBy["NAME"] = "Name";
    ListInferenceRecommendationsJobsSortBy["STATUS"] = "Status";
})(ListInferenceRecommendationsJobsSortBy || (ListInferenceRecommendationsJobsSortBy = {}));
export var ListInferenceRecommendationsJobsRequest;
(function (ListInferenceRecommendationsJobsRequest) {
    ListInferenceRecommendationsJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInferenceRecommendationsJobsRequest || (ListInferenceRecommendationsJobsRequest = {}));
export var ListInferenceRecommendationsJobsResponse;
(function (ListInferenceRecommendationsJobsResponse) {
    ListInferenceRecommendationsJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListInferenceRecommendationsJobsResponse || (ListInferenceRecommendationsJobsResponse = {}));
export var SortBy;
(function (SortBy) {
    SortBy["CREATION_TIME"] = "CreationTime";
    SortBy["NAME"] = "Name";
    SortBy["STATUS"] = "Status";
})(SortBy || (SortBy = {}));
export var ListLabelingJobsRequest;
(function (ListLabelingJobsRequest) {
    ListLabelingJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListLabelingJobsRequest || (ListLabelingJobsRequest = {}));
export var ListLabelingJobsResponse;
(function (ListLabelingJobsResponse) {
    ListLabelingJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListLabelingJobsResponse || (ListLabelingJobsResponse = {}));
export var ListLabelingJobsForWorkteamSortByOptions;
(function (ListLabelingJobsForWorkteamSortByOptions) {
    ListLabelingJobsForWorkteamSortByOptions["CREATION_TIME"] = "CreationTime";
})(ListLabelingJobsForWorkteamSortByOptions || (ListLabelingJobsForWorkteamSortByOptions = {}));
export var ListLabelingJobsForWorkteamRequest;
(function (ListLabelingJobsForWorkteamRequest) {
    ListLabelingJobsForWorkteamRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListLabelingJobsForWorkteamRequest || (ListLabelingJobsForWorkteamRequest = {}));
export var ListLabelingJobsForWorkteamResponse;
(function (ListLabelingJobsForWorkteamResponse) {
    ListLabelingJobsForWorkteamResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListLabelingJobsForWorkteamResponse || (ListLabelingJobsForWorkteamResponse = {}));
export var SortLineageGroupsBy;
(function (SortLineageGroupsBy) {
    SortLineageGroupsBy["CREATION_TIME"] = "CreationTime";
    SortLineageGroupsBy["NAME"] = "Name";
})(SortLineageGroupsBy || (SortLineageGroupsBy = {}));
export var ListLineageGroupsRequest;
(function (ListLineageGroupsRequest) {
    ListLineageGroupsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListLineageGroupsRequest || (ListLineageGroupsRequest = {}));
export var ListLineageGroupsResponse;
(function (ListLineageGroupsResponse) {
    ListLineageGroupsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListLineageGroupsResponse || (ListLineageGroupsResponse = {}));
export var ListModelBiasJobDefinitionsRequest;
(function (ListModelBiasJobDefinitionsRequest) {
    ListModelBiasJobDefinitionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelBiasJobDefinitionsRequest || (ListModelBiasJobDefinitionsRequest = {}));
export var ListModelBiasJobDefinitionsResponse;
(function (ListModelBiasJobDefinitionsResponse) {
    ListModelBiasJobDefinitionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelBiasJobDefinitionsResponse || (ListModelBiasJobDefinitionsResponse = {}));
export var ListModelExplainabilityJobDefinitionsRequest;
(function (ListModelExplainabilityJobDefinitionsRequest) {
    ListModelExplainabilityJobDefinitionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelExplainabilityJobDefinitionsRequest || (ListModelExplainabilityJobDefinitionsRequest = {}));
export var ListModelExplainabilityJobDefinitionsResponse;
(function (ListModelExplainabilityJobDefinitionsResponse) {
    ListModelExplainabilityJobDefinitionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelExplainabilityJobDefinitionsResponse || (ListModelExplainabilityJobDefinitionsResponse = {}));
export var ModelMetadataFilterType;
(function (ModelMetadataFilterType) {
    ModelMetadataFilterType["DOMAIN"] = "Domain";
    ModelMetadataFilterType["FRAMEWORK"] = "Framework";
    ModelMetadataFilterType["FRAMEWORKVERSION"] = "FrameworkVersion";
    ModelMetadataFilterType["TASK"] = "Task";
})(ModelMetadataFilterType || (ModelMetadataFilterType = {}));
export var ModelMetadataFilter;
(function (ModelMetadataFilter) {
    ModelMetadataFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelMetadataFilter || (ModelMetadataFilter = {}));
export var ModelMetadataSearchExpression;
(function (ModelMetadataSearchExpression) {
    ModelMetadataSearchExpression.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelMetadataSearchExpression || (ModelMetadataSearchExpression = {}));
export var ListModelMetadataRequest;
(function (ListModelMetadataRequest) {
    ListModelMetadataRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelMetadataRequest || (ListModelMetadataRequest = {}));
export var ModelMetadataSummary;
(function (ModelMetadataSummary) {
    ModelMetadataSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelMetadataSummary || (ModelMetadataSummary = {}));
export var ListModelMetadataResponse;
(function (ListModelMetadataResponse) {
    ListModelMetadataResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelMetadataResponse || (ListModelMetadataResponse = {}));
export var ModelPackageGroupSortBy;
(function (ModelPackageGroupSortBy) {
    ModelPackageGroupSortBy["CREATION_TIME"] = "CreationTime";
    ModelPackageGroupSortBy["NAME"] = "Name";
})(ModelPackageGroupSortBy || (ModelPackageGroupSortBy = {}));
export var ListModelPackageGroupsInput;
(function (ListModelPackageGroupsInput) {
    ListModelPackageGroupsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelPackageGroupsInput || (ListModelPackageGroupsInput = {}));
export var ModelPackageGroupSummary;
(function (ModelPackageGroupSummary) {
    ModelPackageGroupSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackageGroupSummary || (ModelPackageGroupSummary = {}));
export var ListModelPackageGroupsOutput;
(function (ListModelPackageGroupsOutput) {
    ListModelPackageGroupsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelPackageGroupsOutput || (ListModelPackageGroupsOutput = {}));
export var ModelPackageType;
(function (ModelPackageType) {
    ModelPackageType["BOTH"] = "Both";
    ModelPackageType["UNVERSIONED"] = "Unversioned";
    ModelPackageType["VERSIONED"] = "Versioned";
})(ModelPackageType || (ModelPackageType = {}));
export var ModelPackageSortBy;
(function (ModelPackageSortBy) {
    ModelPackageSortBy["CREATION_TIME"] = "CreationTime";
    ModelPackageSortBy["NAME"] = "Name";
})(ModelPackageSortBy || (ModelPackageSortBy = {}));
export var ListModelPackagesInput;
(function (ListModelPackagesInput) {
    ListModelPackagesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelPackagesInput || (ListModelPackagesInput = {}));
export var ModelPackageSummary;
(function (ModelPackageSummary) {
    ModelPackageSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackageSummary || (ModelPackageSummary = {}));
export var ListModelPackagesOutput;
(function (ListModelPackagesOutput) {
    ListModelPackagesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelPackagesOutput || (ListModelPackagesOutput = {}));
export var ListModelQualityJobDefinitionsRequest;
(function (ListModelQualityJobDefinitionsRequest) {
    ListModelQualityJobDefinitionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelQualityJobDefinitionsRequest || (ListModelQualityJobDefinitionsRequest = {}));
export var ListModelQualityJobDefinitionsResponse;
(function (ListModelQualityJobDefinitionsResponse) {
    ListModelQualityJobDefinitionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelQualityJobDefinitionsResponse || (ListModelQualityJobDefinitionsResponse = {}));
export var ModelSortKey;
(function (ModelSortKey) {
    ModelSortKey["CreationTime"] = "CreationTime";
    ModelSortKey["Name"] = "Name";
})(ModelSortKey || (ModelSortKey = {}));
export var ListModelsInput;
(function (ListModelsInput) {
    ListModelsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelsInput || (ListModelsInput = {}));
export var ModelSummary;
(function (ModelSummary) {
    ModelSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelSummary || (ModelSummary = {}));
export var ListModelsOutput;
(function (ListModelsOutput) {
    ListModelsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListModelsOutput || (ListModelsOutput = {}));
export var MonitoringExecutionSortKey;
(function (MonitoringExecutionSortKey) {
    MonitoringExecutionSortKey["CREATION_TIME"] = "CreationTime";
    MonitoringExecutionSortKey["SCHEDULED_TIME"] = "ScheduledTime";
    MonitoringExecutionSortKey["STATUS"] = "Status";
})(MonitoringExecutionSortKey || (MonitoringExecutionSortKey = {}));
export var ListMonitoringExecutionsRequest;
(function (ListMonitoringExecutionsRequest) {
    ListMonitoringExecutionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListMonitoringExecutionsRequest || (ListMonitoringExecutionsRequest = {}));
export var ListMonitoringExecutionsResponse;
(function (ListMonitoringExecutionsResponse) {
    ListMonitoringExecutionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListMonitoringExecutionsResponse || (ListMonitoringExecutionsResponse = {}));
export var MonitoringScheduleSortKey;
(function (MonitoringScheduleSortKey) {
    MonitoringScheduleSortKey["CREATION_TIME"] = "CreationTime";
    MonitoringScheduleSortKey["NAME"] = "Name";
    MonitoringScheduleSortKey["STATUS"] = "Status";
})(MonitoringScheduleSortKey || (MonitoringScheduleSortKey = {}));
export var ListMonitoringSchedulesRequest;
(function (ListMonitoringSchedulesRequest) {
    ListMonitoringSchedulesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListMonitoringSchedulesRequest || (ListMonitoringSchedulesRequest = {}));
export var MonitoringScheduleSummary;
(function (MonitoringScheduleSummary) {
    MonitoringScheduleSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringScheduleSummary || (MonitoringScheduleSummary = {}));
export var ListMonitoringSchedulesResponse;
(function (ListMonitoringSchedulesResponse) {
    ListMonitoringSchedulesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListMonitoringSchedulesResponse || (ListMonitoringSchedulesResponse = {}));
export var NotebookInstanceLifecycleConfigSortKey;
(function (NotebookInstanceLifecycleConfigSortKey) {
    NotebookInstanceLifecycleConfigSortKey["CREATION_TIME"] = "CreationTime";
    NotebookInstanceLifecycleConfigSortKey["LAST_MODIFIED_TIME"] = "LastModifiedTime";
    NotebookInstanceLifecycleConfigSortKey["NAME"] = "Name";
})(NotebookInstanceLifecycleConfigSortKey || (NotebookInstanceLifecycleConfigSortKey = {}));
export var NotebookInstanceLifecycleConfigSortOrder;
(function (NotebookInstanceLifecycleConfigSortOrder) {
    NotebookInstanceLifecycleConfigSortOrder["ASCENDING"] = "Ascending";
    NotebookInstanceLifecycleConfigSortOrder["DESCENDING"] = "Descending";
})(NotebookInstanceLifecycleConfigSortOrder || (NotebookInstanceLifecycleConfigSortOrder = {}));
export var ListNotebookInstanceLifecycleConfigsInput;
(function (ListNotebookInstanceLifecycleConfigsInput) {
    ListNotebookInstanceLifecycleConfigsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListNotebookInstanceLifecycleConfigsInput || (ListNotebookInstanceLifecycleConfigsInput = {}));
export var NotebookInstanceLifecycleConfigSummary;
(function (NotebookInstanceLifecycleConfigSummary) {
    NotebookInstanceLifecycleConfigSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NotebookInstanceLifecycleConfigSummary || (NotebookInstanceLifecycleConfigSummary = {}));
export var ListNotebookInstanceLifecycleConfigsOutput;
(function (ListNotebookInstanceLifecycleConfigsOutput) {
    ListNotebookInstanceLifecycleConfigsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListNotebookInstanceLifecycleConfigsOutput || (ListNotebookInstanceLifecycleConfigsOutput = {}));
export var NotebookInstanceSortKey;
(function (NotebookInstanceSortKey) {
    NotebookInstanceSortKey["CREATION_TIME"] = "CreationTime";
    NotebookInstanceSortKey["NAME"] = "Name";
    NotebookInstanceSortKey["STATUS"] = "Status";
})(NotebookInstanceSortKey || (NotebookInstanceSortKey = {}));
export var NotebookInstanceSortOrder;
(function (NotebookInstanceSortOrder) {
    NotebookInstanceSortOrder["ASCENDING"] = "Ascending";
    NotebookInstanceSortOrder["DESCENDING"] = "Descending";
})(NotebookInstanceSortOrder || (NotebookInstanceSortOrder = {}));
export var ListNotebookInstancesInput;
(function (ListNotebookInstancesInput) {
    ListNotebookInstancesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListNotebookInstancesInput || (ListNotebookInstancesInput = {}));
export var NotebookInstanceSummary;
(function (NotebookInstanceSummary) {
    NotebookInstanceSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NotebookInstanceSummary || (NotebookInstanceSummary = {}));
export var ListNotebookInstancesOutput;
(function (ListNotebookInstancesOutput) {
    ListNotebookInstancesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListNotebookInstancesOutput || (ListNotebookInstancesOutput = {}));
export var SortPipelineExecutionsBy;
(function (SortPipelineExecutionsBy) {
    SortPipelineExecutionsBy["CREATION_TIME"] = "CreationTime";
    SortPipelineExecutionsBy["PIPELINE_EXECUTION_ARN"] = "PipelineExecutionArn";
})(SortPipelineExecutionsBy || (SortPipelineExecutionsBy = {}));
export var ListPipelineExecutionsRequest;
(function (ListPipelineExecutionsRequest) {
    ListPipelineExecutionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineExecutionsRequest || (ListPipelineExecutionsRequest = {}));
export var PipelineExecutionSummary;
(function (PipelineExecutionSummary) {
    PipelineExecutionSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineExecutionSummary || (PipelineExecutionSummary = {}));
export var ListPipelineExecutionsResponse;
(function (ListPipelineExecutionsResponse) {
    ListPipelineExecutionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineExecutionsResponse || (ListPipelineExecutionsResponse = {}));
export var ListPipelineExecutionStepsRequest;
(function (ListPipelineExecutionStepsRequest) {
    ListPipelineExecutionStepsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineExecutionStepsRequest || (ListPipelineExecutionStepsRequest = {}));
export var ModelStepMetadata;
(function (ModelStepMetadata) {
    ModelStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelStepMetadata || (ModelStepMetadata = {}));
export var ProcessingJobStepMetadata;
(function (ProcessingJobStepMetadata) {
    ProcessingJobStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingJobStepMetadata || (ProcessingJobStepMetadata = {}));
export var QualityCheckStepMetadata;
(function (QualityCheckStepMetadata) {
    QualityCheckStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(QualityCheckStepMetadata || (QualityCheckStepMetadata = {}));
export var RegisterModelStepMetadata;
(function (RegisterModelStepMetadata) {
    RegisterModelStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RegisterModelStepMetadata || (RegisterModelStepMetadata = {}));
export var TrainingJobStepMetadata;
(function (TrainingJobStepMetadata) {
    TrainingJobStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrainingJobStepMetadata || (TrainingJobStepMetadata = {}));
export var TransformJobStepMetadata;
(function (TransformJobStepMetadata) {
    TransformJobStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TransformJobStepMetadata || (TransformJobStepMetadata = {}));
export var TuningJobStepMetaData;
(function (TuningJobStepMetaData) {
    TuningJobStepMetaData.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TuningJobStepMetaData || (TuningJobStepMetaData = {}));
export var PipelineExecutionStepMetadata;
(function (PipelineExecutionStepMetadata) {
    PipelineExecutionStepMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineExecutionStepMetadata || (PipelineExecutionStepMetadata = {}));
export var StepStatus;
(function (StepStatus) {
    StepStatus["EXECUTING"] = "Executing";
    StepStatus["FAILED"] = "Failed";
    StepStatus["STARTING"] = "Starting";
    StepStatus["STOPPED"] = "Stopped";
    StepStatus["STOPPING"] = "Stopping";
    StepStatus["SUCCEEDED"] = "Succeeded";
})(StepStatus || (StepStatus = {}));
export var PipelineExecutionStep;
(function (PipelineExecutionStep) {
    PipelineExecutionStep.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineExecutionStep || (PipelineExecutionStep = {}));
export var ListPipelineExecutionStepsResponse;
(function (ListPipelineExecutionStepsResponse) {
    ListPipelineExecutionStepsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineExecutionStepsResponse || (ListPipelineExecutionStepsResponse = {}));
export var ListPipelineParametersForExecutionRequest;
(function (ListPipelineParametersForExecutionRequest) {
    ListPipelineParametersForExecutionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineParametersForExecutionRequest || (ListPipelineParametersForExecutionRequest = {}));
export var Parameter;
(function (Parameter) {
    Parameter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Parameter || (Parameter = {}));
export var ListPipelineParametersForExecutionResponse;
(function (ListPipelineParametersForExecutionResponse) {
    ListPipelineParametersForExecutionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelineParametersForExecutionResponse || (ListPipelineParametersForExecutionResponse = {}));
export var SortPipelinesBy;
(function (SortPipelinesBy) {
    SortPipelinesBy["CREATION_TIME"] = "CreationTime";
    SortPipelinesBy["NAME"] = "Name";
})(SortPipelinesBy || (SortPipelinesBy = {}));
export var ListPipelinesRequest;
(function (ListPipelinesRequest) {
    ListPipelinesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelinesRequest || (ListPipelinesRequest = {}));
export var PipelineSummary;
(function (PipelineSummary) {
    PipelineSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineSummary || (PipelineSummary = {}));
export var ListPipelinesResponse;
(function (ListPipelinesResponse) {
    ListPipelinesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListPipelinesResponse || (ListPipelinesResponse = {}));
export var ListProcessingJobsRequest;
(function (ListProcessingJobsRequest) {
    ListProcessingJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListProcessingJobsRequest || (ListProcessingJobsRequest = {}));
export var ProcessingJobSummary;
(function (ProcessingJobSummary) {
    ProcessingJobSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingJobSummary || (ProcessingJobSummary = {}));
export var ListProcessingJobsResponse;
(function (ListProcessingJobsResponse) {
    ListProcessingJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListProcessingJobsResponse || (ListProcessingJobsResponse = {}));
export var ProjectSortBy;
(function (ProjectSortBy) {
    ProjectSortBy["CREATION_TIME"] = "CreationTime";
    ProjectSortBy["NAME"] = "Name";
})(ProjectSortBy || (ProjectSortBy = {}));
export var ProjectSortOrder;
(function (ProjectSortOrder) {
    ProjectSortOrder["ASCENDING"] = "Ascending";
    ProjectSortOrder["DESCENDING"] = "Descending";
})(ProjectSortOrder || (ProjectSortOrder = {}));
export var ListProjectsInput;
(function (ListProjectsInput) {
    ListProjectsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListProjectsInput || (ListProjectsInput = {}));
export var ProjectSummary;
(function (ProjectSummary) {
    ProjectSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProjectSummary || (ProjectSummary = {}));
export var ListProjectsOutput;
(function (ListProjectsOutput) {
    ListProjectsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListProjectsOutput || (ListProjectsOutput = {}));
export var StudioLifecycleConfigSortKey;
(function (StudioLifecycleConfigSortKey) {
    StudioLifecycleConfigSortKey["CreationTime"] = "CreationTime";
    StudioLifecycleConfigSortKey["LastModifiedTime"] = "LastModifiedTime";
    StudioLifecycleConfigSortKey["Name"] = "Name";
})(StudioLifecycleConfigSortKey || (StudioLifecycleConfigSortKey = {}));
export var ListStudioLifecycleConfigsRequest;
(function (ListStudioLifecycleConfigsRequest) {
    ListStudioLifecycleConfigsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListStudioLifecycleConfigsRequest || (ListStudioLifecycleConfigsRequest = {}));
export var StudioLifecycleConfigDetails;
(function (StudioLifecycleConfigDetails) {
    StudioLifecycleConfigDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StudioLifecycleConfigDetails || (StudioLifecycleConfigDetails = {}));
export var ListStudioLifecycleConfigsResponse;
(function (ListStudioLifecycleConfigsResponse) {
    ListStudioLifecycleConfigsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListStudioLifecycleConfigsResponse || (ListStudioLifecycleConfigsResponse = {}));
export var ListSubscribedWorkteamsRequest;
(function (ListSubscribedWorkteamsRequest) {
    ListSubscribedWorkteamsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListSubscribedWorkteamsRequest || (ListSubscribedWorkteamsRequest = {}));
export var ListSubscribedWorkteamsResponse;
(function (ListSubscribedWorkteamsResponse) {
    ListSubscribedWorkteamsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListSubscribedWorkteamsResponse || (ListSubscribedWorkteamsResponse = {}));
export var ListTagsInput;
(function (ListTagsInput) {
    ListTagsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsInput || (ListTagsInput = {}));
export var ListTagsOutput;
(function (ListTagsOutput) {
    ListTagsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsOutput || (ListTagsOutput = {}));
export var ListTrainingJobsRequest;
(function (ListTrainingJobsRequest) {
    ListTrainingJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrainingJobsRequest || (ListTrainingJobsRequest = {}));
export var TrainingJobSummary;
(function (TrainingJobSummary) {
    TrainingJobSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrainingJobSummary || (TrainingJobSummary = {}));
export var ListTrainingJobsResponse;
(function (ListTrainingJobsResponse) {
    ListTrainingJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrainingJobsResponse || (ListTrainingJobsResponse = {}));
export var TrainingJobSortByOptions;
(function (TrainingJobSortByOptions) {
    TrainingJobSortByOptions["CreationTime"] = "CreationTime";
    TrainingJobSortByOptions["FinalObjectiveMetricValue"] = "FinalObjectiveMetricValue";
    TrainingJobSortByOptions["Name"] = "Name";
    TrainingJobSortByOptions["Status"] = "Status";
})(TrainingJobSortByOptions || (TrainingJobSortByOptions = {}));
