import { __assign, __read } from "tslib";
import { OidcConfig, TrialComponentParameterValue, } from "./models_1";
export var ListTrainingJobsForHyperParameterTuningJobRequest;
(function (ListTrainingJobsForHyperParameterTuningJobRequest) {
    ListTrainingJobsForHyperParameterTuningJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrainingJobsForHyperParameterTuningJobRequest || (ListTrainingJobsForHyperParameterTuningJobRequest = {}));
export var ListTrainingJobsForHyperParameterTuningJobResponse;
(function (ListTrainingJobsForHyperParameterTuningJobResponse) {
    ListTrainingJobsForHyperParameterTuningJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrainingJobsForHyperParameterTuningJobResponse || (ListTrainingJobsForHyperParameterTuningJobResponse = {}));
export var ListTransformJobsRequest;
(function (ListTransformJobsRequest) {
    ListTransformJobsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTransformJobsRequest || (ListTransformJobsRequest = {}));
export var TransformJobSummary;
(function (TransformJobSummary) {
    TransformJobSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TransformJobSummary || (TransformJobSummary = {}));
export var ListTransformJobsResponse;
(function (ListTransformJobsResponse) {
    ListTransformJobsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTransformJobsResponse || (ListTransformJobsResponse = {}));
export var SortTrialComponentsBy;
(function (SortTrialComponentsBy) {
    SortTrialComponentsBy["CREATION_TIME"] = "CreationTime";
    SortTrialComponentsBy["NAME"] = "Name";
})(SortTrialComponentsBy || (SortTrialComponentsBy = {}));
export var ListTrialComponentsRequest;
(function (ListTrialComponentsRequest) {
    ListTrialComponentsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrialComponentsRequest || (ListTrialComponentsRequest = {}));
export var TrialComponentSummary;
(function (TrialComponentSummary) {
    TrialComponentSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialComponentSummary || (TrialComponentSummary = {}));
export var ListTrialComponentsResponse;
(function (ListTrialComponentsResponse) {
    ListTrialComponentsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrialComponentsResponse || (ListTrialComponentsResponse = {}));
export var SortTrialsBy;
(function (SortTrialsBy) {
    SortTrialsBy["CREATION_TIME"] = "CreationTime";
    SortTrialsBy["NAME"] = "Name";
})(SortTrialsBy || (SortTrialsBy = {}));
export var ListTrialsRequest;
(function (ListTrialsRequest) {
    ListTrialsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrialsRequest || (ListTrialsRequest = {}));
export var TrialSummary;
(function (TrialSummary) {
    TrialSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialSummary || (TrialSummary = {}));
export var ListTrialsResponse;
(function (ListTrialsResponse) {
    ListTrialsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTrialsResponse || (ListTrialsResponse = {}));
export var UserProfileSortKey;
(function (UserProfileSortKey) {
    UserProfileSortKey["CreationTime"] = "CreationTime";
    UserProfileSortKey["LastModifiedTime"] = "LastModifiedTime";
})(UserProfileSortKey || (UserProfileSortKey = {}));
export var ListUserProfilesRequest;
(function (ListUserProfilesRequest) {
    ListUserProfilesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListUserProfilesRequest || (ListUserProfilesRequest = {}));
export var UserProfileDetails;
(function (UserProfileDetails) {
    UserProfileDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UserProfileDetails || (UserProfileDetails = {}));
export var ListUserProfilesResponse;
(function (ListUserProfilesResponse) {
    ListUserProfilesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListUserProfilesResponse || (ListUserProfilesResponse = {}));
export var ListWorkforcesSortByOptions;
(function (ListWorkforcesSortByOptions) {
    ListWorkforcesSortByOptions["CreateDate"] = "CreateDate";
    ListWorkforcesSortByOptions["Name"] = "Name";
})(ListWorkforcesSortByOptions || (ListWorkforcesSortByOptions = {}));
export var ListWorkforcesRequest;
(function (ListWorkforcesRequest) {
    ListWorkforcesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListWorkforcesRequest || (ListWorkforcesRequest = {}));
export var ListWorkforcesResponse;
(function (ListWorkforcesResponse) {
    ListWorkforcesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListWorkforcesResponse || (ListWorkforcesResponse = {}));
export var ListWorkteamsSortByOptions;
(function (ListWorkteamsSortByOptions) {
    ListWorkteamsSortByOptions["CreateDate"] = "CreateDate";
    ListWorkteamsSortByOptions["Name"] = "Name";
})(ListWorkteamsSortByOptions || (ListWorkteamsSortByOptions = {}));
export var ListWorkteamsRequest;
(function (ListWorkteamsRequest) {
    ListWorkteamsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListWorkteamsRequest || (ListWorkteamsRequest = {}));
export var ListWorkteamsResponse;
(function (ListWorkteamsResponse) {
    ListWorkteamsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListWorkteamsResponse || (ListWorkteamsResponse = {}));
export var ModelPackage;
(function (ModelPackage) {
    ModelPackage.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackage || (ModelPackage = {}));
export var ModelPackageGroup;
(function (ModelPackageGroup) {
    ModelPackageGroup.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackageGroup || (ModelPackageGroup = {}));
export var NestedFilters;
(function (NestedFilters) {
    NestedFilters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NestedFilters || (NestedFilters = {}));
export var Parent;
(function (Parent) {
    Parent.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Parent || (Parent = {}));
export var Pipeline;
(function (Pipeline) {
    Pipeline.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Pipeline || (Pipeline = {}));
export var PipelineExecution;
(function (PipelineExecution) {
    PipelineExecution.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineExecution || (PipelineExecution = {}));
export var ProcessingJob;
(function (ProcessingJob) {
    ProcessingJob.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingJob || (ProcessingJob = {}));
export var ProfilerConfigForUpdate;
(function (ProfilerConfigForUpdate) {
    ProfilerConfigForUpdate.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProfilerConfigForUpdate || (ProfilerConfigForUpdate = {}));
export var Project;
(function (Project) {
    Project.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Project || (Project = {}));
export var PutModelPackageGroupPolicyInput;
(function (PutModelPackageGroupPolicyInput) {
    PutModelPackageGroupPolicyInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutModelPackageGroupPolicyInput || (PutModelPackageGroupPolicyInput = {}));
export var PutModelPackageGroupPolicyOutput;
(function (PutModelPackageGroupPolicyOutput) {
    PutModelPackageGroupPolicyOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutModelPackageGroupPolicyOutput || (PutModelPackageGroupPolicyOutput = {}));
export var QueryFilters;
(function (QueryFilters) {
    QueryFilters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(QueryFilters || (QueryFilters = {}));
export var QueryLineageRequest;
(function (QueryLineageRequest) {
    QueryLineageRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(QueryLineageRequest || (QueryLineageRequest = {}));
export var Vertex;
(function (Vertex) {
    Vertex.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Vertex || (Vertex = {}));
export var QueryLineageResponse;
(function (QueryLineageResponse) {
    QueryLineageResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(QueryLineageResponse || (QueryLineageResponse = {}));
export var RegisterDevicesRequest;
(function (RegisterDevicesRequest) {
    RegisterDevicesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RegisterDevicesRequest || (RegisterDevicesRequest = {}));
export var RenderableTask;
(function (RenderableTask) {
    RenderableTask.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RenderableTask || (RenderableTask = {}));
export var RenderingError;
(function (RenderingError) {
    RenderingError.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RenderingError || (RenderingError = {}));
export var RenderUiTemplateRequest;
(function (RenderUiTemplateRequest) {
    RenderUiTemplateRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RenderUiTemplateRequest || (RenderUiTemplateRequest = {}));
export var RenderUiTemplateResponse;
(function (RenderUiTemplateResponse) {
    RenderUiTemplateResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RenderUiTemplateResponse || (RenderUiTemplateResponse = {}));
export var RetryPipelineExecutionRequest;
(function (RetryPipelineExecutionRequest) {
    RetryPipelineExecutionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RetryPipelineExecutionRequest || (RetryPipelineExecutionRequest = {}));
export var RetryPipelineExecutionResponse;
(function (RetryPipelineExecutionResponse) {
    RetryPipelineExecutionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RetryPipelineExecutionResponse || (RetryPipelineExecutionResponse = {}));
export var SearchSortOrder;
(function (SearchSortOrder) {
    SearchSortOrder["ASCENDING"] = "Ascending";
    SearchSortOrder["DESCENDING"] = "Descending";
})(SearchSortOrder || (SearchSortOrder = {}));
export var TrainingJob;
(function (TrainingJob) {
    TrainingJob.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrainingJob || (TrainingJob = {}));
export var TrialComponentSimpleSummary;
(function (TrialComponentSimpleSummary) {
    TrialComponentSimpleSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialComponentSimpleSummary || (TrialComponentSimpleSummary = {}));
export var Trial;
(function (Trial) {
    Trial.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Trial || (Trial = {}));
export var TransformJob;
(function (TransformJob) {
    TransformJob.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TransformJob || (TransformJob = {}));
export var TrialComponentSourceDetail;
(function (TrialComponentSourceDetail) {
    TrialComponentSourceDetail.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialComponentSourceDetail || (TrialComponentSourceDetail = {}));
export var TrialComponent;
(function (TrialComponent) {
    TrialComponent.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.Parameters && {
        Parameters: Object.entries(obj.Parameters).reduce(function (acc, _a) {
            var _b;
            var _c = __read(_a, 2), key = _c[0], value = _c[1];
            return (__assign(__assign({}, acc), (_b = {}, _b[key] = TrialComponentParameterValue.filterSensitiveLog(value), _b)));
        }, {}),
    }))); };
})(TrialComponent || (TrialComponent = {}));
export var SearchRecord;
(function (SearchRecord) {
    SearchRecord.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.TrialComponent && { TrialComponent: TrialComponent.filterSensitiveLog(obj.TrialComponent) }))); };
})(SearchRecord || (SearchRecord = {}));
export var SearchResponse;
(function (SearchResponse) {
    SearchResponse.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.Results && { Results: obj.Results.map(function (item) { return SearchRecord.filterSensitiveLog(item); }) }))); };
})(SearchResponse || (SearchResponse = {}));
export var SendPipelineExecutionStepFailureRequest;
(function (SendPipelineExecutionStepFailureRequest) {
    SendPipelineExecutionStepFailureRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendPipelineExecutionStepFailureRequest || (SendPipelineExecutionStepFailureRequest = {}));
export var SendPipelineExecutionStepFailureResponse;
(function (SendPipelineExecutionStepFailureResponse) {
    SendPipelineExecutionStepFailureResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendPipelineExecutionStepFailureResponse || (SendPipelineExecutionStepFailureResponse = {}));
export var SendPipelineExecutionStepSuccessRequest;
(function (SendPipelineExecutionStepSuccessRequest) {
    SendPipelineExecutionStepSuccessRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendPipelineExecutionStepSuccessRequest || (SendPipelineExecutionStepSuccessRequest = {}));
export var SendPipelineExecutionStepSuccessResponse;
(function (SendPipelineExecutionStepSuccessResponse) {
    SendPipelineExecutionStepSuccessResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SendPipelineExecutionStepSuccessResponse || (SendPipelineExecutionStepSuccessResponse = {}));
export var StartMonitoringScheduleRequest;
(function (StartMonitoringScheduleRequest) {
    StartMonitoringScheduleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartMonitoringScheduleRequest || (StartMonitoringScheduleRequest = {}));
export var StartNotebookInstanceInput;
(function (StartNotebookInstanceInput) {
    StartNotebookInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartNotebookInstanceInput || (StartNotebookInstanceInput = {}));
export var StartPipelineExecutionRequest;
(function (StartPipelineExecutionRequest) {
    StartPipelineExecutionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartPipelineExecutionRequest || (StartPipelineExecutionRequest = {}));
export var StartPipelineExecutionResponse;
(function (StartPipelineExecutionResponse) {
    StartPipelineExecutionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartPipelineExecutionResponse || (StartPipelineExecutionResponse = {}));
export var StopAutoMLJobRequest;
(function (StopAutoMLJobRequest) {
    StopAutoMLJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopAutoMLJobRequest || (StopAutoMLJobRequest = {}));
export var StopCompilationJobRequest;
(function (StopCompilationJobRequest) {
    StopCompilationJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopCompilationJobRequest || (StopCompilationJobRequest = {}));
export var StopEdgePackagingJobRequest;
(function (StopEdgePackagingJobRequest) {
    StopEdgePackagingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopEdgePackagingJobRequest || (StopEdgePackagingJobRequest = {}));
export var StopHyperParameterTuningJobRequest;
(function (StopHyperParameterTuningJobRequest) {
    StopHyperParameterTuningJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopHyperParameterTuningJobRequest || (StopHyperParameterTuningJobRequest = {}));
export var StopInferenceRecommendationsJobRequest;
(function (StopInferenceRecommendationsJobRequest) {
    StopInferenceRecommendationsJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopInferenceRecommendationsJobRequest || (StopInferenceRecommendationsJobRequest = {}));
export var StopLabelingJobRequest;
(function (StopLabelingJobRequest) {
    StopLabelingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopLabelingJobRequest || (StopLabelingJobRequest = {}));
export var StopMonitoringScheduleRequest;
(function (StopMonitoringScheduleRequest) {
    StopMonitoringScheduleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopMonitoringScheduleRequest || (StopMonitoringScheduleRequest = {}));
export var StopNotebookInstanceInput;
(function (StopNotebookInstanceInput) {
    StopNotebookInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopNotebookInstanceInput || (StopNotebookInstanceInput = {}));
export var StopPipelineExecutionRequest;
(function (StopPipelineExecutionRequest) {
    StopPipelineExecutionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopPipelineExecutionRequest || (StopPipelineExecutionRequest = {}));
export var StopPipelineExecutionResponse;
(function (StopPipelineExecutionResponse) {
    StopPipelineExecutionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopPipelineExecutionResponse || (StopPipelineExecutionResponse = {}));
export var StopProcessingJobRequest;
(function (StopProcessingJobRequest) {
    StopProcessingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopProcessingJobRequest || (StopProcessingJobRequest = {}));
export var StopTrainingJobRequest;
(function (StopTrainingJobRequest) {
    StopTrainingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopTrainingJobRequest || (StopTrainingJobRequest = {}));
export var StopTransformJobRequest;
(function (StopTransformJobRequest) {
    StopTransformJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StopTransformJobRequest || (StopTransformJobRequest = {}));
export var UpdateActionRequest;
(function (UpdateActionRequest) {
    UpdateActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateActionRequest || (UpdateActionRequest = {}));
export var UpdateActionResponse;
(function (UpdateActionResponse) {
    UpdateActionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateActionResponse || (UpdateActionResponse = {}));
export var UpdateAppImageConfigRequest;
(function (UpdateAppImageConfigRequest) {
    UpdateAppImageConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateAppImageConfigRequest || (UpdateAppImageConfigRequest = {}));
export var UpdateAppImageConfigResponse;
(function (UpdateAppImageConfigResponse) {
    UpdateAppImageConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateAppImageConfigResponse || (UpdateAppImageConfigResponse = {}));
export var UpdateArtifactRequest;
(function (UpdateArtifactRequest) {
    UpdateArtifactRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateArtifactRequest || (UpdateArtifactRequest = {}));
export var UpdateArtifactResponse;
(function (UpdateArtifactResponse) {
    UpdateArtifactResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateArtifactResponse || (UpdateArtifactResponse = {}));
export var UpdateCodeRepositoryInput;
(function (UpdateCodeRepositoryInput) {
    UpdateCodeRepositoryInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateCodeRepositoryInput || (UpdateCodeRepositoryInput = {}));
export var UpdateCodeRepositoryOutput;
(function (UpdateCodeRepositoryOutput) {
    UpdateCodeRepositoryOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateCodeRepositoryOutput || (UpdateCodeRepositoryOutput = {}));
export var UpdateContextRequest;
(function (UpdateContextRequest) {
    UpdateContextRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateContextRequest || (UpdateContextRequest = {}));
export var UpdateContextResponse;
(function (UpdateContextResponse) {
    UpdateContextResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateContextResponse || (UpdateContextResponse = {}));
export var UpdateDeviceFleetRequest;
(function (UpdateDeviceFleetRequest) {
    UpdateDeviceFleetRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateDeviceFleetRequest || (UpdateDeviceFleetRequest = {}));
export var UpdateDevicesRequest;
(function (UpdateDevicesRequest) {
    UpdateDevicesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateDevicesRequest || (UpdateDevicesRequest = {}));
export var UpdateDomainRequest;
(function (UpdateDomainRequest) {
    UpdateDomainRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateDomainRequest || (UpdateDomainRequest = {}));
export var UpdateDomainResponse;
(function (UpdateDomainResponse) {
    UpdateDomainResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateDomainResponse || (UpdateDomainResponse = {}));
export var VariantPropertyType;
(function (VariantPropertyType) {
    VariantPropertyType["DataCaptureConfig"] = "DataCaptureConfig";
    VariantPropertyType["DesiredInstanceCount"] = "DesiredInstanceCount";
    VariantPropertyType["DesiredWeight"] = "DesiredWeight";
})(VariantPropertyType || (VariantPropertyType = {}));
export var VariantProperty;
(function (VariantProperty) {
    VariantProperty.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(VariantProperty || (VariantProperty = {}));
export var UpdateEndpointInput;
(function (UpdateEndpointInput) {
    UpdateEndpointInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateEndpointInput || (UpdateEndpointInput = {}));
export var UpdateEndpointOutput;
(function (UpdateEndpointOutput) {
    UpdateEndpointOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateEndpointOutput || (UpdateEndpointOutput = {}));
export var UpdateEndpointWeightsAndCapacitiesInput;
(function (UpdateEndpointWeightsAndCapacitiesInput) {
    UpdateEndpointWeightsAndCapacitiesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateEndpointWeightsAndCapacitiesInput || (UpdateEndpointWeightsAndCapacitiesInput = {}));
export var UpdateEndpointWeightsAndCapacitiesOutput;
(function (UpdateEndpointWeightsAndCapacitiesOutput) {
    UpdateEndpointWeightsAndCapacitiesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateEndpointWeightsAndCapacitiesOutput || (UpdateEndpointWeightsAndCapacitiesOutput = {}));
export var UpdateExperimentRequest;
(function (UpdateExperimentRequest) {
    UpdateExperimentRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateExperimentRequest || (UpdateExperimentRequest = {}));
export var UpdateExperimentResponse;
(function (UpdateExperimentResponse) {
    UpdateExperimentResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateExperimentResponse || (UpdateExperimentResponse = {}));
export var UpdateImageRequest;
(function (UpdateImageRequest) {
    UpdateImageRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateImageRequest || (UpdateImageRequest = {}));
export var UpdateImageResponse;
(function (UpdateImageResponse) {
    UpdateImageResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateImageResponse || (UpdateImageResponse = {}));
export var UpdateModelPackageInput;
(function (UpdateModelPackageInput) {
    UpdateModelPackageInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateModelPackageInput || (UpdateModelPackageInput = {}));
export var UpdateModelPackageOutput;
(function (UpdateModelPackageOutput) {
    UpdateModelPackageOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateModelPackageOutput || (UpdateModelPackageOutput = {}));
export var UpdateMonitoringScheduleRequest;
(function (UpdateMonitoringScheduleRequest) {
    UpdateMonitoringScheduleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateMonitoringScheduleRequest || (UpdateMonitoringScheduleRequest = {}));
export var UpdateMonitoringScheduleResponse;
(function (UpdateMonitoringScheduleResponse) {
    UpdateMonitoringScheduleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateMonitoringScheduleResponse || (UpdateMonitoringScheduleResponse = {}));
export var UpdateNotebookInstanceInput;
(function (UpdateNotebookInstanceInput) {
    UpdateNotebookInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateNotebookInstanceInput || (UpdateNotebookInstanceInput = {}));
export var UpdateNotebookInstanceOutput;
(function (UpdateNotebookInstanceOutput) {
    UpdateNotebookInstanceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateNotebookInstanceOutput || (UpdateNotebookInstanceOutput = {}));
export var UpdateNotebookInstanceLifecycleConfigInput;
(function (UpdateNotebookInstanceLifecycleConfigInput) {
    UpdateNotebookInstanceLifecycleConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateNotebookInstanceLifecycleConfigInput || (UpdateNotebookInstanceLifecycleConfigInput = {}));
export var UpdateNotebookInstanceLifecycleConfigOutput;
(function (UpdateNotebookInstanceLifecycleConfigOutput) {
    UpdateNotebookInstanceLifecycleConfigOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateNotebookInstanceLifecycleConfigOutput || (UpdateNotebookInstanceLifecycleConfigOutput = {}));
export var UpdatePipelineRequest;
(function (UpdatePipelineRequest) {
    UpdatePipelineRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdatePipelineRequest || (UpdatePipelineRequest = {}));
export var UpdatePipelineResponse;
(function (UpdatePipelineResponse) {
    UpdatePipelineResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdatePipelineResponse || (UpdatePipelineResponse = {}));
export var UpdatePipelineExecutionRequest;
(function (UpdatePipelineExecutionRequest) {
    UpdatePipelineExecutionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdatePipelineExecutionRequest || (UpdatePipelineExecutionRequest = {}));
export var UpdatePipelineExecutionResponse;
(function (UpdatePipelineExecutionResponse) {
    UpdatePipelineExecutionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdatePipelineExecutionResponse || (UpdatePipelineExecutionResponse = {}));
export var ServiceCatalogProvisioningUpdateDetails;
(function (ServiceCatalogProvisioningUpdateDetails) {
    ServiceCatalogProvisioningUpdateDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceCatalogProvisioningUpdateDetails || (ServiceCatalogProvisioningUpdateDetails = {}));
export var UpdateProjectInput;
(function (UpdateProjectInput) {
    UpdateProjectInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateProjectInput || (UpdateProjectInput = {}));
export var UpdateProjectOutput;
(function (UpdateProjectOutput) {
    UpdateProjectOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateProjectOutput || (UpdateProjectOutput = {}));
export var UpdateTrainingJobRequest;
(function (UpdateTrainingJobRequest) {
    UpdateTrainingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTrainingJobRequest || (UpdateTrainingJobRequest = {}));
export var UpdateTrainingJobResponse;
(function (UpdateTrainingJobResponse) {
    UpdateTrainingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTrainingJobResponse || (UpdateTrainingJobResponse = {}));
export var UpdateTrialRequest;
(function (UpdateTrialRequest) {
    UpdateTrialRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTrialRequest || (UpdateTrialRequest = {}));
export var UpdateTrialResponse;
(function (UpdateTrialResponse) {
    UpdateTrialResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTrialResponse || (UpdateTrialResponse = {}));
export var UpdateTrialComponentRequest;
(function (UpdateTrialComponentRequest) {
    UpdateTrialComponentRequest.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.Parameters && {
        Parameters: Object.entries(obj.Parameters).reduce(function (acc, _a) {
            var _b;
            var _c = __read(_a, 2), key = _c[0], value = _c[1];
            return (__assign(__assign({}, acc), (_b = {}, _b[key] = TrialComponentParameterValue.filterSensitiveLog(value), _b)));
        }, {}),
    }))); };
})(UpdateTrialComponentRequest || (UpdateTrialComponentRequest = {}));
export var UpdateTrialComponentResponse;
(function (UpdateTrialComponentResponse) {
    UpdateTrialComponentResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTrialComponentResponse || (UpdateTrialComponentResponse = {}));
export var UpdateUserProfileRequest;
(function (UpdateUserProfileRequest) {
    UpdateUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateUserProfileRequest || (UpdateUserProfileRequest = {}));
export var UpdateUserProfileResponse;
(function (UpdateUserProfileResponse) {
    UpdateUserProfileResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateUserProfileResponse || (UpdateUserProfileResponse = {}));
export var UpdateWorkforceRequest;
(function (UpdateWorkforceRequest) {
    UpdateWorkforceRequest.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.OidcConfig && { OidcConfig: OidcConfig.filterSensitiveLog(obj.OidcConfig) }))); };
})(UpdateWorkforceRequest || (UpdateWorkforceRequest = {}));
export var UpdateWorkforceResponse;
(function (UpdateWorkforceResponse) {
    UpdateWorkforceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateWorkforceResponse || (UpdateWorkforceResponse = {}));
export var UpdateWorkteamRequest;
(function (UpdateWorkteamRequest) {
    UpdateWorkteamRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateWorkteamRequest || (UpdateWorkteamRequest = {}));
export var UpdateWorkteamResponse;
(function (UpdateWorkteamResponse) {
    UpdateWorkteamResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateWorkteamResponse || (UpdateWorkteamResponse = {}));
export var SearchExpression;
(function (SearchExpression) {
    SearchExpression.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchExpression || (SearchExpression = {}));
export var SearchRequest;
(function (SearchRequest) {
    SearchRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SearchRequest || (SearchRequest = {}));
