import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateEdgePackagingJobRequest } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateEdgePackagingJobCommandInput extends CreateEdgePackagingJobRequest {
}
export interface CreateEdgePackagingJobCommandOutput extends __MetadataBearer {
}

export declare class CreateEdgePackagingJobCommand extends $Command<CreateEdgePackagingJobCommandInput, CreateEdgePackagingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateEdgePackagingJobCommandInput;
    constructor(input: CreateEdgePackagingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateEdgePackagingJobCommandInput, CreateEdgePackagingJobCommandOutput>;
    private serialize;
    private deserialize;
}
