import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateModelBiasJobDefinitionRequest, CreateModelBiasJobDefinitionResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateModelBiasJobDefinitionCommandInput extends CreateModelBiasJobDefinitionRequest {
}
export interface CreateModelBiasJobDefinitionCommandOutput extends CreateModelBiasJobDefinitionResponse, __MetadataBearer {
}

export declare class CreateModelBiasJobDefinitionCommand extends $Command<CreateModelBiasJobDefinitionCommandInput, CreateModelBiasJobDefinitionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateModelBiasJobDefinitionCommandInput;
    constructor(input: CreateModelBiasJobDefinitionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateModelBiasJobDefinitionCommandInput, CreateModelBiasJobDefinitionCommandOutput>;
    private serialize;
    private deserialize;
}
