import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteDeviceFleetRequest } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteDeviceFleetCommandInput extends DeleteDeviceFleetRequest {
}
export interface DeleteDeviceFleetCommandOutput extends __MetadataBearer {
}

export declare class DeleteDeviceFleetCommand extends $Command<DeleteDeviceFleetCommandInput, DeleteDeviceFleetCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteDeviceFleetCommandInput;
    constructor(input: DeleteDeviceFleetCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteDeviceFleetCommandInput, DeleteDeviceFleetCommandOutput>;
    private serialize;
    private deserialize;
}
