import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteModelPackageGroupInput } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteModelPackageGroupCommandInput extends DeleteModelPackageGroupInput {
}
export interface DeleteModelPackageGroupCommandOutput extends __MetadataBearer {
}

export declare class DeleteModelPackageGroupCommand extends $Command<DeleteModelPackageGroupCommandInput, DeleteModelPackageGroupCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteModelPackageGroupCommandInput;
    constructor(input: DeleteModelPackageGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteModelPackageGroupCommandInput, DeleteModelPackageGroupCommandOutput>;
    private serialize;
    private deserialize;
}
