import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteModelQualityJobDefinitionRequest } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteModelQualityJobDefinitionCommandInput extends DeleteModelQualityJobDefinitionRequest {
}
export interface DeleteModelQualityJobDefinitionCommandOutput extends __MetadataBearer {
}

export declare class DeleteModelQualityJobDefinitionCommand extends $Command<DeleteModelQualityJobDefinitionCommandInput, DeleteModelQualityJobDefinitionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteModelQualityJobDefinitionCommandInput;
    constructor(input: DeleteModelQualityJobDefinitionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteModelQualityJobDefinitionCommandInput, DeleteModelQualityJobDefinitionCommandOutput>;
    private serialize;
    private deserialize;
}
