import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListInferenceRecommendationsJobsRequest, ListInferenceRecommendationsJobsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListInferenceRecommendationsJobsCommandInput extends ListInferenceRecommendationsJobsRequest {
}
export interface ListInferenceRecommendationsJobsCommandOutput extends ListInferenceRecommendationsJobsResponse, __MetadataBearer {
}

export declare class ListInferenceRecommendationsJobsCommand extends $Command<ListInferenceRecommendationsJobsCommandInput, ListInferenceRecommendationsJobsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListInferenceRecommendationsJobsCommandInput;
    constructor(input: ListInferenceRecommendationsJobsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListInferenceRecommendationsJobsCommandInput, ListInferenceRecommendationsJobsCommandOutput>;
    private serialize;
    private deserialize;
}
