import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopInferenceRecommendationsJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopInferenceRecommendationsJobCommandInput extends StopInferenceRecommendationsJobRequest {
}
export interface StopInferenceRecommendationsJobCommandOutput extends __MetadataBearer {
}

export declare class StopInferenceRecommendationsJobCommand extends $Command<StopInferenceRecommendationsJobCommandInput, StopInferenceRecommendationsJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopInferenceRecommendationsJobCommandInput;
    constructor(input: StopInferenceRecommendationsJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopInferenceRecommendationsJobCommandInput, StopInferenceRecommendationsJobCommandOutput>;
    private serialize;
    private deserialize;
}
