import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateDevicesRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateDevicesCommandInput extends UpdateDevicesRequest {
}
export interface UpdateDevicesCommandOutput extends __MetadataBearer {
}

export declare class UpdateDevicesCommand extends $Command<UpdateDevicesCommandInput, UpdateDevicesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateDevicesCommandInput;
    constructor(input: UpdateDevicesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateDevicesCommandInput, UpdateDevicesCommandOutput>;
    private serialize;
    private deserialize;
}
