"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransformOutput = exports.AssemblyType = exports.TransformInput = exports.SplitType = exports.TransformDataSource = exports.TransformS3DataSource = exports.BatchStrategy = exports.TrainingJobDefinition = exports.StoppingCondition = exports.ResourceConfig = exports.TrainingInstanceType = exports.OutputDataConfig = exports.Channel = exports.ShuffleConfig = exports.RecordWrapper = exports.DataSource = exports.S3DataSource = exports.S3DataType = exports.S3DataDistribution = exports.FileSystemDataSource = exports.FileSystemType = exports.FileSystemAccessMode = exports.CompressionType = exports.AlgorithmSummary = exports.AlgorithmStatusDetails = exports.AlgorithmStatusItem = exports.DetailedAlgorithmStatus = exports.AlgorithmStatus = exports.AlgorithmSpecification = exports.TrainingInputMode = exports.MetricDefinition = exports.AlgorithmSortBy = exports.Alarm = exports.AgentVersion = exports.AddTagsOutput = exports.AddTagsInput = exports.Tag = exports.AdditionalInferenceSpecificationDefinition = exports.TransformInstanceType = exports.ProductionVariantInstanceType = exports.ModelPackageContainerDefinition = exports.ModelInput = exports.ResourceNotFound = exports.ResourceLimitExceeded = exports.AddAssociationResponse = exports.AddAssociationRequest = exports.AssociationEdgeType = exports.ActionSummary = exports.ActionStatus = exports.ActionSource = void 0;
exports.AutoMLDataSource = exports.AutoMLS3DataSource = exports.AutoMLS3DataType = exports.AutoMLCandidate = exports.ObjectiveStatus = exports.AutoMLContainerDefinition = exports.FinalAutoMLJobObjectiveMetric = exports.AutoMLJobObjectiveType = exports.AutoMLCandidateStep = exports.CandidateStepType = exports.CandidateStatus = exports.CandidateProperties = exports.MetricDatum = exports.MetricSetSource = exports.AutoMLMetricEnum = exports.CandidateArtifactLocations = exports.AuthMode = exports.AthenaDatasetDefinition = exports.AthenaResultFormat = exports.AthenaResultCompressionType = exports.AsyncInferenceConfig = exports.AsyncInferenceOutputConfig = exports.AsyncInferenceNotificationConfig = exports.AsyncInferenceClientConfig = exports.AssociationSummary = exports.UserContext = exports.AssociateTrialComponentResponse = exports.AssociateTrialComponentRequest = exports.ArtifactSummary = exports.ArtifactSource = exports.ArtifactSourceType = exports.ArtifactSourceIdType = exports.AppSpecification = exports.AppSortKey = exports.AppSecurityGroupManagement = exports.AppNetworkAccessType = exports.AppInstanceType = exports.AppImageConfigSortKey = exports.AppImageConfigDetails = exports.KernelGatewayImageConfig = exports.KernelSpec = exports.FileSystemConfig = exports.AppDetails = exports.AppStatus = exports.AppType = exports.AnnotationConsolidationConfig = exports.AlgorithmValidationSpecification = exports.AlgorithmValidationProfile = exports.TransformJobDefinition = exports.TransformResources = void 0;
exports.CognitoConfig = exports.CodeRepositorySummary = exports.GitConfig = exports.CodeRepositorySortOrder = exports.CodeRepositorySortBy = exports.ClarifyCheckStepMetadata = exports.CheckpointConfig = exports.ChannelSpecification = exports.CategoricalParameterRangeSpecification = exports.CategoricalParameterRange = exports.CategoricalParameter = exports.CaptureStatus = exports.CaptureOption = exports.CaptureMode = exports.CaptureContentTypeHeader = exports.CandidateSortBy = exports.CallbackStepMetadata = exports.OutputParameter = exports.CacheHitResult = exports.BooleanOperator = exports.BlueGreenUpdatePolicy = exports.TrafficRoutingConfig = exports.TrafficRoutingConfigType = exports.CapacitySize = exports.CapacitySizeType = exports.Bias = exports.MetricsSource = exports.BatchDescribeModelPackageOutput = exports.BatchDescribeModelPackageSummary = exports.ModelPackageStatus = exports.ModelApprovalStatus = exports.InferenceSpecification = exports.BatchDescribeModelPackageError = exports.BatchDescribeModelPackageInput = exports.AwsManagedHumanLoopRequestSource = exports.AutoRollbackConfig = exports.AutoMLSortOrder = exports.AutoMLSortBy = exports.AutoMLOutputDataConfig = exports.AutoMLJobSummary = exports.AutoMLPartialFailureReason = exports.AutoMLJobStatus = exports.AutoMLJobSecondaryStatus = exports.AutoMLJobObjective = exports.AutoMLJobConfig = exports.AutoMLSecurityConfig = exports.VpcConfig = exports.AutoMLJobCompletionCriteria = exports.AutoMLJobArtifacts = exports.AutoMLChannel = void 0;
exports.CreateCodeRepositoryOutput = exports.CreateCodeRepositoryInput = exports.CreateAutoMLJobResponse = exports.CreateAutoMLJobRequest = exports.ProblemType = exports.ModelDeployConfig = exports.CreateArtifactResponse = exports.CreateArtifactRequest = exports.CreateAppImageConfigResponse = exports.CreateAppImageConfigRequest = exports.ResourceInUse = exports.CreateAppResponse = exports.CreateAppRequest = exports.ResourceSpec = exports.CreateAlgorithmOutput = exports.CreateAlgorithmInput = exports.TrainingSpecification = exports.HyperParameterTuningJobObjective = exports.HyperParameterTuningJobObjectiveType = exports.HyperParameterSpecification = exports.ParameterType = exports.ParameterRange = exports.IntegerParameterRangeSpecification = exports.CreateActionResponse = exports.CreateActionRequest = exports.MetadataProperties = exports.ContinuousParameterRangeSpecification = exports.ContinuousParameterRange = exports.HyperParameterScalingType = exports.ContextSummary = exports.ContextSource = exports.ContentClassifier = exports.ContainerDefinition = exports.MultiModelConfig = exports.ModelCacheSetting = exports.ContainerMode = exports.ImageConfig = exports.RepositoryAuthConfig = exports.RepositoryAccessMode = exports.ConflictException = exports.ConditionStepMetadata = exports.ConditionOutcome = exports.CompilationJobSummary = exports.TargetPlatformOs = exports.TargetPlatformArch = exports.TargetPlatformAccelerator = exports.TargetDevice = exports.CompilationJobStatus = exports.CollectionConfiguration = exports.CognitoMemberDefinition = void 0;
exports.CreateEndpointOutput = exports.CreateEndpointInput = exports.DeploymentConfig = exports.CreateEdgePackagingJobRequest = exports.CreateDomainResponse = exports.CreateDomainRequest = exports.DomainSettings = exports.RStudioServerProDomainSettings = exports.UserSettings = exports.TensorBoardAppSettings = exports.SharingSettings = exports.NotebookOutputOption = exports.RStudioServerProAppSettings = exports.RStudioServerProUserGroup = exports.RStudioServerProAccessStatus = exports.RSessionAppSettings = exports.KernelGatewayAppSettings = exports.CustomImage = exports.JupyterServerAppSettings = exports.CreateDeviceFleetRequest = exports.EdgeOutputConfig = exports.EdgePresetDeploymentType = exports.CreateDataQualityJobDefinitionResponse = exports.CreateDataQualityJobDefinitionRequest = exports.MonitoringStoppingCondition = exports.MonitoringNetworkConfig = exports.MonitoringResources = exports.MonitoringClusterConfig = exports.ProcessingInstanceType = exports.MonitoringOutputConfig = exports.MonitoringOutput = exports.MonitoringS3Output = exports.ProcessingS3UploadMode = exports.DataQualityJobInput = exports.EndpointInput = exports.ProcessingS3InputMode = exports.ProcessingS3DataDistributionType = exports.DataQualityBaselineConfig = exports.MonitoringStatisticsResource = exports.MonitoringConstraintsResource = exports.DataQualityAppSpecification = exports.CreateContextResponse = exports.CreateContextRequest = exports.CreateCompilationJobResponse = exports.CreateCompilationJobRequest = exports.NeoVpcConfig = exports.OutputConfig = exports.TargetPlatform = exports.InputConfig = exports.Framework = void 0;
exports.EnvironmentParameterRanges = exports.CreateImageVersionResponse = exports.CreateImageVersionRequest = exports.CreateImageResponse = exports.CreateImageRequest = exports.CreateHyperParameterTuningJobResponse = exports.CreateHyperParameterTuningJobRequest = exports.HyperParameterTuningJobWarmStartConfig = exports.HyperParameterTuningJobWarmStartType = exports.ParentHyperParameterTuningJob = exports.HyperParameterTrainingJobDefinition = exports.RetryStrategy = exports.HyperParameterAlgorithmSpecification = exports.HyperParameterTuningJobConfig = exports.TuningJobCompletionCriteria = exports.TrainingJobEarlyStoppingType = exports.HyperParameterTuningJobStrategyType = exports.ResourceLimits = exports.ParameterRanges = exports.IntegerParameterRange = exports.CreateHumanTaskUiResponse = exports.CreateHumanTaskUiRequest = exports.UiTemplate = exports.CreateFlowDefinitionResponse = exports.CreateFlowDefinitionRequest = exports.FlowDefinitionOutputConfig = exports.HumanLoopRequestSource = exports.HumanLoopConfig = exports.PublicWorkforceTaskPrice = exports.USD = exports.HumanLoopActivationConfig = exports.HumanLoopActivationConditionsConfig = exports.CreateFeatureGroupResponse = exports.CreateFeatureGroupRequest = exports.OnlineStoreConfig = exports.OnlineStoreSecurityConfig = exports.OfflineStoreConfig = exports.S3StorageConfig = exports.DataCatalogConfig = exports.FeatureDefinition = exports.FeatureType = exports.CreateExperimentResponse = exports.CreateExperimentRequest = exports.CreateEndpointConfigOutput = exports.CreateEndpointConfigInput = exports.ProductionVariant = exports.ProductionVariantServerlessConfig = exports.ProductionVariantCoreDumpConfig = exports.ProductionVariantAcceleratorType = exports.DataCaptureConfig = void 0;
const SageMakerServiceException_1 = require("./SageMakerServiceException");
var ActionSource;
(function (ActionSource) {
    ActionSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionSource = exports.ActionSource || (exports.ActionSource = {}));
var ActionStatus;
(function (ActionStatus) {
    ActionStatus["COMPLETED"] = "Completed";
    ActionStatus["FAILED"] = "Failed";
    ActionStatus["IN_PROGRESS"] = "InProgress";
    ActionStatus["STOPPED"] = "Stopped";
    ActionStatus["STOPPING"] = "Stopping";
    ActionStatus["UNKNOWN"] = "Unknown";
})(ActionStatus = exports.ActionStatus || (exports.ActionStatus = {}));
var ActionSummary;
(function (ActionSummary) {
    ActionSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ActionSummary = exports.ActionSummary || (exports.ActionSummary = {}));
var AssociationEdgeType;
(function (AssociationEdgeType) {
    AssociationEdgeType["ASSOCIATED_WITH"] = "AssociatedWith";
    AssociationEdgeType["CONTRIBUTED_TO"] = "ContributedTo";
    AssociationEdgeType["DERIVED_FROM"] = "DerivedFrom";
    AssociationEdgeType["PRODUCED"] = "Produced";
})(AssociationEdgeType = exports.AssociationEdgeType || (exports.AssociationEdgeType = {}));
var AddAssociationRequest;
(function (AddAssociationRequest) {
    AddAssociationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddAssociationRequest = exports.AddAssociationRequest || (exports.AddAssociationRequest = {}));
var AddAssociationResponse;
(function (AddAssociationResponse) {
    AddAssociationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddAssociationResponse = exports.AddAssociationResponse || (exports.AddAssociationResponse = {}));
class ResourceLimitExceeded extends SageMakerServiceException_1.SageMakerServiceException {
    constructor(opts) {
        super({
            name: "ResourceLimitExceeded",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceLimitExceeded";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceLimitExceeded.prototype);
        this.Message = opts.Message;
    }
}
exports.ResourceLimitExceeded = ResourceLimitExceeded;
class ResourceNotFound extends SageMakerServiceException_1.SageMakerServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFound",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFound";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFound.prototype);
        this.Message = opts.Message;
    }
}
exports.ResourceNotFound = ResourceNotFound;
var ModelInput;
(function (ModelInput) {
    ModelInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelInput = exports.ModelInput || (exports.ModelInput = {}));
var ModelPackageContainerDefinition;
(function (ModelPackageContainerDefinition) {
    ModelPackageContainerDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelPackageContainerDefinition = exports.ModelPackageContainerDefinition || (exports.ModelPackageContainerDefinition = {}));
var ProductionVariantInstanceType;
(function (ProductionVariantInstanceType) {
    ProductionVariantInstanceType["ML_C4_2XLARGE"] = "ml.c4.2xlarge";
    ProductionVariantInstanceType["ML_C4_4XLARGE"] = "ml.c4.4xlarge";
    ProductionVariantInstanceType["ML_C4_8XLARGE"] = "ml.c4.8xlarge";
    ProductionVariantInstanceType["ML_C4_LARGE"] = "ml.c4.large";
    ProductionVariantInstanceType["ML_C4_XLARGE"] = "ml.c4.xlarge";
    ProductionVariantInstanceType["ML_C5D_18XLARGE"] = "ml.c5d.18xlarge";
    ProductionVariantInstanceType["ML_C5D_2XLARGE"] = "ml.c5d.2xlarge";
    ProductionVariantInstanceType["ML_C5D_4XLARGE"] = "ml.c5d.4xlarge";
    ProductionVariantInstanceType["ML_C5D_9XLARGE"] = "ml.c5d.9xlarge";
    ProductionVariantInstanceType["ML_C5D_LARGE"] = "ml.c5d.large";
    ProductionVariantInstanceType["ML_C5D_XLARGE"] = "ml.c5d.xlarge";
    ProductionVariantInstanceType["ML_C5_18XLARGE"] = "ml.c5.18xlarge";
    ProductionVariantInstanceType["ML_C5_2XLARGE"] = "ml.c5.2xlarge";
    ProductionVariantInstanceType["ML_C5_4XLARGE"] = "ml.c5.4xlarge";
    ProductionVariantInstanceType["ML_C5_9XLARGE"] = "ml.c5.9xlarge";
    ProductionVariantInstanceType["ML_C5_LARGE"] = "ml.c5.large";
    ProductionVariantInstanceType["ML_C5_XLARGE"] = "ml.c5.xlarge";
    ProductionVariantInstanceType["ML_G4DN_12XLARGE"] = "ml.g4dn.12xlarge";
    ProductionVariantInstanceType["ML_G4DN_16XLARGE"] = "ml.g4dn.16xlarge";
    ProductionVariantInstanceType["ML_G4DN_2XLARGE"] = "ml.g4dn.2xlarge";
    ProductionVariantInstanceType["ML_G4DN_4XLARGE"] = "ml.g4dn.4xlarge";
    ProductionVariantInstanceType["ML_G4DN_8XLARGE"] = "ml.g4dn.8xlarge";
    ProductionVariantInstanceType["ML_G4DN_XLARGE"] = "ml.g4dn.xlarge";
    ProductionVariantInstanceType["ML_INF1_24XLARGE"] = "ml.inf1.24xlarge";
    ProductionVariantInstanceType["ML_INF1_2XLARGE"] = "ml.inf1.2xlarge";
    ProductionVariantInstanceType["ML_INF1_6XLARGE"] = "ml.inf1.6xlarge";
    ProductionVariantInstanceType["ML_INF1_XLARGE"] = "ml.inf1.xlarge";
    ProductionVariantInstanceType["ML_M4_10XLARGE"] = "ml.m4.10xlarge";
    ProductionVariantInstanceType["ML_M4_16XLARGE"] = "ml.m4.16xlarge";
    ProductionVariantInstanceType["ML_M4_2XLARGE"] = "ml.m4.2xlarge";
    ProductionVariantInstanceType["ML_M4_4XLARGE"] = "ml.m4.4xlarge";
    ProductionVariantInstanceType["ML_M4_XLARGE"] = "ml.m4.xlarge";
    ProductionVariantInstanceType["ML_M5D_12XLARGE"] = "ml.m5d.12xlarge";
    ProductionVariantInstanceType["ML_M5D_24XLARGE"] = "ml.m5d.24xlarge";
    ProductionVariantInstanceType["ML_M5D_2XLARGE"] = "ml.m5d.2xlarge";
    ProductionVariantInstanceType["ML_M5D_4XLARGE"] = "ml.m5d.4xlarge";
    ProductionVariantInstanceType["ML_M5D_LARGE"] = "ml.m5d.large";
    ProductionVariantInstanceType["ML_M5D_XLARGE"] = "ml.m5d.xlarge";
    ProductionVariantInstanceType["ML_M5_12XLARGE"] = "ml.m5.12xlarge";
    ProductionVariantInstanceType["ML_M5_24XLARGE"] = "ml.m5.24xlarge";
    ProductionVariantInstanceType["ML_M5_2XLARGE"] = "ml.m5.2xlarge";
    ProductionVariantInstanceType["ML_M5_4XLARGE"] = "ml.m5.4xlarge";
    ProductionVariantInstanceType["ML_M5_LARGE"] = "ml.m5.large";
    ProductionVariantInstanceType["ML_M5_XLARGE"] = "ml.m5.xlarge";
    ProductionVariantInstanceType["ML_P2_16XLARGE"] = "ml.p2.16xlarge";
    ProductionVariantInstanceType["ML_P2_8XLARGE"] = "ml.p2.8xlarge";
    ProductionVariantInstanceType["ML_P2_XLARGE"] = "ml.p2.xlarge";
    ProductionVariantInstanceType["ML_P3_16XLARGE"] = "ml.p3.16xlarge";
    ProductionVariantInstanceType["ML_P3_2XLARGE"] = "ml.p3.2xlarge";
    ProductionVariantInstanceType["ML_P3_8XLARGE"] = "ml.p3.8xlarge";
    ProductionVariantInstanceType["ML_R5D_12XLARGE"] = "ml.r5d.12xlarge";
    ProductionVariantInstanceType["ML_R5D_24XLARGE"] = "ml.r5d.24xlarge";
    ProductionVariantInstanceType["ML_R5D_2XLARGE"] = "ml.r5d.2xlarge";
    ProductionVariantInstanceType["ML_R5D_4XLARGE"] = "ml.r5d.4xlarge";
    ProductionVariantInstanceType["ML_R5D_LARGE"] = "ml.r5d.large";
    ProductionVariantInstanceType["ML_R5D_XLARGE"] = "ml.r5d.xlarge";
    ProductionVariantInstanceType["ML_R5_12XLARGE"] = "ml.r5.12xlarge";
    ProductionVariantInstanceType["ML_R5_24XLARGE"] = "ml.r5.24xlarge";
    ProductionVariantInstanceType["ML_R5_2XLARGE"] = "ml.r5.2xlarge";
    ProductionVariantInstanceType["ML_R5_4XLARGE"] = "ml.r5.4xlarge";
    ProductionVariantInstanceType["ML_R5_LARGE"] = "ml.r5.large";
    ProductionVariantInstanceType["ML_R5_XLARGE"] = "ml.r5.xlarge";
    ProductionVariantInstanceType["ML_T2_2XLARGE"] = "ml.t2.2xlarge";
    ProductionVariantInstanceType["ML_T2_LARGE"] = "ml.t2.large";
    ProductionVariantInstanceType["ML_T2_MEDIUM"] = "ml.t2.medium";
    ProductionVariantInstanceType["ML_T2_XLARGE"] = "ml.t2.xlarge";
})(ProductionVariantInstanceType = exports.ProductionVariantInstanceType || (exports.ProductionVariantInstanceType = {}));
var TransformInstanceType;
(function (TransformInstanceType) {
    TransformInstanceType["ML_C4_2XLARGE"] = "ml.c4.2xlarge";
    TransformInstanceType["ML_C4_4XLARGE"] = "ml.c4.4xlarge";
    TransformInstanceType["ML_C4_8XLARGE"] = "ml.c4.8xlarge";
    TransformInstanceType["ML_C4_XLARGE"] = "ml.c4.xlarge";
    TransformInstanceType["ML_C5_18XLARGE"] = "ml.c5.18xlarge";
    TransformInstanceType["ML_C5_2XLARGE"] = "ml.c5.2xlarge";
    TransformInstanceType["ML_C5_4XLARGE"] = "ml.c5.4xlarge";
    TransformInstanceType["ML_C5_9XLARGE"] = "ml.c5.9xlarge";
    TransformInstanceType["ML_C5_XLARGE"] = "ml.c5.xlarge";
    TransformInstanceType["ML_G4DN_12XLARGE"] = "ml.g4dn.12xlarge";
    TransformInstanceType["ML_G4DN_16XLARGE"] = "ml.g4dn.16xlarge";
    TransformInstanceType["ML_G4DN_2XLARGE"] = "ml.g4dn.2xlarge";
    TransformInstanceType["ML_G4DN_4XLARGE"] = "ml.g4dn.4xlarge";
    TransformInstanceType["ML_G4DN_8XLARGE"] = "ml.g4dn.8xlarge";
    TransformInstanceType["ML_G4DN_XLARGE"] = "ml.g4dn.xlarge";
    TransformInstanceType["ML_M4_10XLARGE"] = "ml.m4.10xlarge";
    TransformInstanceType["ML_M4_16XLARGE"] = "ml.m4.16xlarge";
    TransformInstanceType["ML_M4_2XLARGE"] = "ml.m4.2xlarge";
    TransformInstanceType["ML_M4_4XLARGE"] = "ml.m4.4xlarge";
    TransformInstanceType["ML_M4_XLARGE"] = "ml.m4.xlarge";
    TransformInstanceType["ML_M5_12XLARGE"] = "ml.m5.12xlarge";
    TransformInstanceType["ML_M5_24XLARGE"] = "ml.m5.24xlarge";
    TransformInstanceType["ML_M5_2XLARGE"] = "ml.m5.2xlarge";
    TransformInstanceType["ML_M5_4XLARGE"] = "ml.m5.4xlarge";
    TransformInstanceType["ML_M5_LARGE"] = "ml.m5.large";
    TransformInstanceType["ML_M5_XLARGE"] = "ml.m5.xlarge";
    TransformInstanceType["ML_P2_16XLARGE"] = "ml.p2.16xlarge";
    TransformInstanceType["ML_P2_8XLARGE"] = "ml.p2.8xlarge";
    TransformInstanceType["ML_P2_XLARGE"] = "ml.p2.xlarge";
    TransformInstanceType["ML_P3_16XLARGE"] = "ml.p3.16xlarge";
    TransformInstanceType["ML_P3_2XLARGE"] = "ml.p3.2xlarge";
    TransformInstanceType["ML_P3_8XLARGE"] = "ml.p3.8xlarge";
})(TransformInstanceType = exports.TransformInstanceType || (exports.TransformInstanceType = {}));
var AdditionalInferenceSpecificationDefinition;
(function (AdditionalInferenceSpecificationDefinition) {
    AdditionalInferenceSpecificationDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AdditionalInferenceSpecificationDefinition = exports.AdditionalInferenceSpecificationDefinition || (exports.AdditionalInferenceSpecificationDefinition = {}));
var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Tag = exports.Tag || (exports.Tag = {}));
var AddTagsInput;
(function (AddTagsInput) {
    AddTagsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddTagsInput = exports.AddTagsInput || (exports.AddTagsInput = {}));
var AddTagsOutput;
(function (AddTagsOutput) {
    AddTagsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AddTagsOutput = exports.AddTagsOutput || (exports.AddTagsOutput = {}));
var AgentVersion;
(function (AgentVersion) {
    AgentVersion.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AgentVersion = exports.AgentVersion || (exports.AgentVersion = {}));
var Alarm;
(function (Alarm) {
    Alarm.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Alarm = exports.Alarm || (exports.Alarm = {}));
var AlgorithmSortBy;
(function (AlgorithmSortBy) {
    AlgorithmSortBy["CREATION_TIME"] = "CreationTime";
    AlgorithmSortBy["NAME"] = "Name";
})(AlgorithmSortBy = exports.AlgorithmSortBy || (exports.AlgorithmSortBy = {}));
var MetricDefinition;
(function (MetricDefinition) {
    MetricDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MetricDefinition = exports.MetricDefinition || (exports.MetricDefinition = {}));
var TrainingInputMode;
(function (TrainingInputMode) {
    TrainingInputMode["FASTFILE"] = "FastFile";
    TrainingInputMode["FILE"] = "File";
    TrainingInputMode["PIPE"] = "Pipe";
})(TrainingInputMode = exports.TrainingInputMode || (exports.TrainingInputMode = {}));
var AlgorithmSpecification;
(function (AlgorithmSpecification) {
    AlgorithmSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AlgorithmSpecification = exports.AlgorithmSpecification || (exports.AlgorithmSpecification = {}));
var AlgorithmStatus;
(function (AlgorithmStatus) {
    AlgorithmStatus["COMPLETED"] = "Completed";
    AlgorithmStatus["DELETING"] = "Deleting";
    AlgorithmStatus["FAILED"] = "Failed";
    AlgorithmStatus["IN_PROGRESS"] = "InProgress";
    AlgorithmStatus["PENDING"] = "Pending";
})(AlgorithmStatus = exports.AlgorithmStatus || (exports.AlgorithmStatus = {}));
var DetailedAlgorithmStatus;
(function (DetailedAlgorithmStatus) {
    DetailedAlgorithmStatus["COMPLETED"] = "Completed";
    DetailedAlgorithmStatus["FAILED"] = "Failed";
    DetailedAlgorithmStatus["IN_PROGRESS"] = "InProgress";
    DetailedAlgorithmStatus["NOT_STARTED"] = "NotStarted";
})(DetailedAlgorithmStatus = exports.DetailedAlgorithmStatus || (exports.DetailedAlgorithmStatus = {}));
var AlgorithmStatusItem;
(function (AlgorithmStatusItem) {
    AlgorithmStatusItem.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AlgorithmStatusItem = exports.AlgorithmStatusItem || (exports.AlgorithmStatusItem = {}));
var AlgorithmStatusDetails;
(function (AlgorithmStatusDetails) {
    AlgorithmStatusDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AlgorithmStatusDetails = exports.AlgorithmStatusDetails || (exports.AlgorithmStatusDetails = {}));
var AlgorithmSummary;
(function (AlgorithmSummary) {
    AlgorithmSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AlgorithmSummary = exports.AlgorithmSummary || (exports.AlgorithmSummary = {}));
var CompressionType;
(function (CompressionType) {
    CompressionType["GZIP"] = "Gzip";
    CompressionType["NONE"] = "None";
})(CompressionType = exports.CompressionType || (exports.CompressionType = {}));
var FileSystemAccessMode;
(function (FileSystemAccessMode) {
    FileSystemAccessMode["RO"] = "ro";
    FileSystemAccessMode["RW"] = "rw";
})(FileSystemAccessMode = exports.FileSystemAccessMode || (exports.FileSystemAccessMode = {}));
var FileSystemType;
(function (FileSystemType) {
    FileSystemType["EFS"] = "EFS";
    FileSystemType["FSXLUSTRE"] = "FSxLustre";
})(FileSystemType = exports.FileSystemType || (exports.FileSystemType = {}));
var FileSystemDataSource;
(function (FileSystemDataSource) {
    FileSystemDataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FileSystemDataSource = exports.FileSystemDataSource || (exports.FileSystemDataSource = {}));
var S3DataDistribution;
(function (S3DataDistribution) {
    S3DataDistribution["FULLY_REPLICATED"] = "FullyReplicated";
    S3DataDistribution["SHARDED_BY_S3_KEY"] = "ShardedByS3Key";
})(S3DataDistribution = exports.S3DataDistribution || (exports.S3DataDistribution = {}));
var S3DataType;
(function (S3DataType) {
    S3DataType["AUGMENTED_MANIFEST_FILE"] = "AugmentedManifestFile";
    S3DataType["MANIFEST_FILE"] = "ManifestFile";
    S3DataType["S3_PREFIX"] = "S3Prefix";
})(S3DataType = exports.S3DataType || (exports.S3DataType = {}));
var S3DataSource;
(function (S3DataSource) {
    S3DataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3DataSource = exports.S3DataSource || (exports.S3DataSource = {}));
var DataSource;
(function (DataSource) {
    DataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataSource = exports.DataSource || (exports.DataSource = {}));
var RecordWrapper;
(function (RecordWrapper) {
    RecordWrapper["NONE"] = "None";
    RecordWrapper["RECORDIO"] = "RecordIO";
})(RecordWrapper = exports.RecordWrapper || (exports.RecordWrapper = {}));
var ShuffleConfig;
(function (ShuffleConfig) {
    ShuffleConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ShuffleConfig = exports.ShuffleConfig || (exports.ShuffleConfig = {}));
var Channel;
(function (Channel) {
    Channel.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Channel = exports.Channel || (exports.Channel = {}));
var OutputDataConfig;
(function (OutputDataConfig) {
    OutputDataConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OutputDataConfig = exports.OutputDataConfig || (exports.OutputDataConfig = {}));
var TrainingInstanceType;
(function (TrainingInstanceType) {
    TrainingInstanceType["ML_C4_2XLARGE"] = "ml.c4.2xlarge";
    TrainingInstanceType["ML_C4_4XLARGE"] = "ml.c4.4xlarge";
    TrainingInstanceType["ML_C4_8XLARGE"] = "ml.c4.8xlarge";
    TrainingInstanceType["ML_C4_XLARGE"] = "ml.c4.xlarge";
    TrainingInstanceType["ML_C5N_18XLARGE"] = "ml.c5n.18xlarge";
    TrainingInstanceType["ML_C5N_2XLARGE"] = "ml.c5n.2xlarge";
    TrainingInstanceType["ML_C5N_4XLARGE"] = "ml.c5n.4xlarge";
    TrainingInstanceType["ML_C5N_9XLARGE"] = "ml.c5n.9xlarge";
    TrainingInstanceType["ML_C5N_XLARGE"] = "ml.c5n.xlarge";
    TrainingInstanceType["ML_C5_18XLARGE"] = "ml.c5.18xlarge";
    TrainingInstanceType["ML_C5_2XLARGE"] = "ml.c5.2xlarge";
    TrainingInstanceType["ML_C5_4XLARGE"] = "ml.c5.4xlarge";
    TrainingInstanceType["ML_C5_9XLARGE"] = "ml.c5.9xlarge";
    TrainingInstanceType["ML_C5_XLARGE"] = "ml.c5.xlarge";
    TrainingInstanceType["ML_G4DN_12XLARGE"] = "ml.g4dn.12xlarge";
    TrainingInstanceType["ML_G4DN_16XLARGE"] = "ml.g4dn.16xlarge";
    TrainingInstanceType["ML_G4DN_2XLARGE"] = "ml.g4dn.2xlarge";
    TrainingInstanceType["ML_G4DN_4XLARGE"] = "ml.g4dn.4xlarge";
    TrainingInstanceType["ML_G4DN_8XLARGE"] = "ml.g4dn.8xlarge";
    TrainingInstanceType["ML_G4DN_XLARGE"] = "ml.g4dn.xlarge";
    TrainingInstanceType["ML_G5_12XLARGE"] = "ml.g5.12xlarge";
    TrainingInstanceType["ML_G5_16XLARGE"] = "ml.g5.16xlarge";
    TrainingInstanceType["ML_G5_24XLARGE"] = "ml.g5.24xlarge";
    TrainingInstanceType["ML_G5_2XLARGE"] = "ml.g5.2xlarge";
    TrainingInstanceType["ML_G5_48XLARGE"] = "ml.g5.48xlarge";
    TrainingInstanceType["ML_G5_4XLARGE"] = "ml.g5.4xlarge";
    TrainingInstanceType["ML_G5_8XLARGE"] = "ml.g5.8xlarge";
    TrainingInstanceType["ML_G5_XLARGE"] = "ml.g5.xlarge";
    TrainingInstanceType["ML_M4_10XLARGE"] = "ml.m4.10xlarge";
    TrainingInstanceType["ML_M4_16XLARGE"] = "ml.m4.16xlarge";
    TrainingInstanceType["ML_M4_2XLARGE"] = "ml.m4.2xlarge";
    TrainingInstanceType["ML_M4_4XLARGE"] = "ml.m4.4xlarge";
    TrainingInstanceType["ML_M4_XLARGE"] = "ml.m4.xlarge";
    TrainingInstanceType["ML_M5_12XLARGE"] = "ml.m5.12xlarge";
    TrainingInstanceType["ML_M5_24XLARGE"] = "ml.m5.24xlarge";
    TrainingInstanceType["ML_M5_2XLARGE"] = "ml.m5.2xlarge";
    TrainingInstanceType["ML_M5_4XLARGE"] = "ml.m5.4xlarge";
    TrainingInstanceType["ML_M5_LARGE"] = "ml.m5.large";
    TrainingInstanceType["ML_M5_XLARGE"] = "ml.m5.xlarge";
    TrainingInstanceType["ML_P2_16XLARGE"] = "ml.p2.16xlarge";
    TrainingInstanceType["ML_P2_8XLARGE"] = "ml.p2.8xlarge";
    TrainingInstanceType["ML_P2_XLARGE"] = "ml.p2.xlarge";
    TrainingInstanceType["ML_P3DN_24XLARGE"] = "ml.p3dn.24xlarge";
    TrainingInstanceType["ML_P3_16XLARGE"] = "ml.p3.16xlarge";
    TrainingInstanceType["ML_P3_2XLARGE"] = "ml.p3.2xlarge";
    TrainingInstanceType["ML_P3_8XLARGE"] = "ml.p3.8xlarge";
    TrainingInstanceType["ML_P4D_24XLARGE"] = "ml.p4d.24xlarge";
})(TrainingInstanceType = exports.TrainingInstanceType || (exports.TrainingInstanceType = {}));
var ResourceConfig;
(function (ResourceConfig) {
    ResourceConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResourceConfig = exports.ResourceConfig || (exports.ResourceConfig = {}));
var StoppingCondition;
(function (StoppingCondition) {
    StoppingCondition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StoppingCondition = exports.StoppingCondition || (exports.StoppingCondition = {}));
var TrainingJobDefinition;
(function (TrainingJobDefinition) {
    TrainingJobDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrainingJobDefinition = exports.TrainingJobDefinition || (exports.TrainingJobDefinition = {}));
var BatchStrategy;
(function (BatchStrategy) {
    BatchStrategy["MULTI_RECORD"] = "MultiRecord";
    BatchStrategy["SINGLE_RECORD"] = "SingleRecord";
})(BatchStrategy = exports.BatchStrategy || (exports.BatchStrategy = {}));
var TransformS3DataSource;
(function (TransformS3DataSource) {
    TransformS3DataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformS3DataSource = exports.TransformS3DataSource || (exports.TransformS3DataSource = {}));
var TransformDataSource;
(function (TransformDataSource) {
    TransformDataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformDataSource = exports.TransformDataSource || (exports.TransformDataSource = {}));
var SplitType;
(function (SplitType) {
    SplitType["LINE"] = "Line";
    SplitType["NONE"] = "None";
    SplitType["RECORDIO"] = "RecordIO";
    SplitType["TFRECORD"] = "TFRecord";
})(SplitType = exports.SplitType || (exports.SplitType = {}));
var TransformInput;
(function (TransformInput) {
    TransformInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformInput = exports.TransformInput || (exports.TransformInput = {}));
var AssemblyType;
(function (AssemblyType) {
    AssemblyType["LINE"] = "Line";
    AssemblyType["NONE"] = "None";
})(AssemblyType = exports.AssemblyType || (exports.AssemblyType = {}));
var TransformOutput;
(function (TransformOutput) {
    TransformOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformOutput = exports.TransformOutput || (exports.TransformOutput = {}));
var TransformResources;
(function (TransformResources) {
    TransformResources.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformResources = exports.TransformResources || (exports.TransformResources = {}));
var TransformJobDefinition;
(function (TransformJobDefinition) {
    TransformJobDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TransformJobDefinition = exports.TransformJobDefinition || (exports.TransformJobDefinition = {}));
var AlgorithmValidationProfile;
(function (AlgorithmValidationProfile) {
    AlgorithmValidationProfile.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AlgorithmValidationProfile = exports.AlgorithmValidationProfile || (exports.AlgorithmValidationProfile = {}));
var AlgorithmValidationSpecification;
(function (AlgorithmValidationSpecification) {
    AlgorithmValidationSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AlgorithmValidationSpecification = exports.AlgorithmValidationSpecification || (exports.AlgorithmValidationSpecification = {}));
var AnnotationConsolidationConfig;
(function (AnnotationConsolidationConfig) {
    AnnotationConsolidationConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AnnotationConsolidationConfig = exports.AnnotationConsolidationConfig || (exports.AnnotationConsolidationConfig = {}));
var AppType;
(function (AppType) {
    AppType["JupyterServer"] = "JupyterServer";
    AppType["KernelGateway"] = "KernelGateway";
    AppType["RSessionGateway"] = "RSessionGateway";
    AppType["RStudioServerPro"] = "RStudioServerPro";
    AppType["TensorBoard"] = "TensorBoard";
})(AppType = exports.AppType || (exports.AppType = {}));
var AppStatus;
(function (AppStatus) {
    AppStatus["Deleted"] = "Deleted";
    AppStatus["Deleting"] = "Deleting";
    AppStatus["Failed"] = "Failed";
    AppStatus["InService"] = "InService";
    AppStatus["Pending"] = "Pending";
})(AppStatus = exports.AppStatus || (exports.AppStatus = {}));
var AppDetails;
(function (AppDetails) {
    AppDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AppDetails = exports.AppDetails || (exports.AppDetails = {}));
var FileSystemConfig;
(function (FileSystemConfig) {
    FileSystemConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FileSystemConfig = exports.FileSystemConfig || (exports.FileSystemConfig = {}));
var KernelSpec;
(function (KernelSpec) {
    KernelSpec.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(KernelSpec = exports.KernelSpec || (exports.KernelSpec = {}));
var KernelGatewayImageConfig;
(function (KernelGatewayImageConfig) {
    KernelGatewayImageConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(KernelGatewayImageConfig = exports.KernelGatewayImageConfig || (exports.KernelGatewayImageConfig = {}));
var AppImageConfigDetails;
(function (AppImageConfigDetails) {
    AppImageConfigDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AppImageConfigDetails = exports.AppImageConfigDetails || (exports.AppImageConfigDetails = {}));
var AppImageConfigSortKey;
(function (AppImageConfigSortKey) {
    AppImageConfigSortKey["CreationTime"] = "CreationTime";
    AppImageConfigSortKey["LastModifiedTime"] = "LastModifiedTime";
    AppImageConfigSortKey["Name"] = "Name";
})(AppImageConfigSortKey = exports.AppImageConfigSortKey || (exports.AppImageConfigSortKey = {}));
var AppInstanceType;
(function (AppInstanceType) {
    AppInstanceType["ML_C5_12XLARGE"] = "ml.c5.12xlarge";
    AppInstanceType["ML_C5_18XLARGE"] = "ml.c5.18xlarge";
    AppInstanceType["ML_C5_24XLARGE"] = "ml.c5.24xlarge";
    AppInstanceType["ML_C5_2XLARGE"] = "ml.c5.2xlarge";
    AppInstanceType["ML_C5_4XLARGE"] = "ml.c5.4xlarge";
    AppInstanceType["ML_C5_9XLARGE"] = "ml.c5.9xlarge";
    AppInstanceType["ML_C5_LARGE"] = "ml.c5.large";
    AppInstanceType["ML_C5_XLARGE"] = "ml.c5.xlarge";
    AppInstanceType["ML_G4DN_12XLARGE"] = "ml.g4dn.12xlarge";
    AppInstanceType["ML_G4DN_16XLARGE"] = "ml.g4dn.16xlarge";
    AppInstanceType["ML_G4DN_2XLARGE"] = "ml.g4dn.2xlarge";
    AppInstanceType["ML_G4DN_4XLARGE"] = "ml.g4dn.4xlarge";
    AppInstanceType["ML_G4DN_8XLARGE"] = "ml.g4dn.8xlarge";
    AppInstanceType["ML_G4DN_XLARGE"] = "ml.g4dn.xlarge";
    AppInstanceType["ML_M5D_12XLARGE"] = "ml.m5d.12xlarge";
    AppInstanceType["ML_M5D_16XLARGE"] = "ml.m5d.16xlarge";
    AppInstanceType["ML_M5D_24XLARGE"] = "ml.m5d.24xlarge";
    AppInstanceType["ML_M5D_2XLARGE"] = "ml.m5d.2xlarge";
    AppInstanceType["ML_M5D_4XLARGE"] = "ml.m5d.4xlarge";
    AppInstanceType["ML_M5D_8XLARGE"] = "ml.m5d.8xlarge";
    AppInstanceType["ML_M5D_LARGE"] = "ml.m5d.large";
    AppInstanceType["ML_M5D_XLARGE"] = "ml.m5d.xlarge";
    AppInstanceType["ML_M5_12XLARGE"] = "ml.m5.12xlarge";
    AppInstanceType["ML_M5_16XLARGE"] = "ml.m5.16xlarge";
    AppInstanceType["ML_M5_24XLARGE"] = "ml.m5.24xlarge";
    AppInstanceType["ML_M5_2XLARGE"] = "ml.m5.2xlarge";
    AppInstanceType["ML_M5_4XLARGE"] = "ml.m5.4xlarge";
    AppInstanceType["ML_M5_8XLARGE"] = "ml.m5.8xlarge";
    AppInstanceType["ML_M5_LARGE"] = "ml.m5.large";
    AppInstanceType["ML_M5_XLARGE"] = "ml.m5.xlarge";
    AppInstanceType["ML_P3DN_24XLARGE"] = "ml.p3dn.24xlarge";
    AppInstanceType["ML_P3_16XLARGE"] = "ml.p3.16xlarge";
    AppInstanceType["ML_P3_2XLARGE"] = "ml.p3.2xlarge";
    AppInstanceType["ML_P3_8XLARGE"] = "ml.p3.8xlarge";
    AppInstanceType["ML_R5_12XLARGE"] = "ml.r5.12xlarge";
    AppInstanceType["ML_R5_16XLARGE"] = "ml.r5.16xlarge";
    AppInstanceType["ML_R5_24XLARGE"] = "ml.r5.24xlarge";
    AppInstanceType["ML_R5_2XLARGE"] = "ml.r5.2xlarge";
    AppInstanceType["ML_R5_4XLARGE"] = "ml.r5.4xlarge";
    AppInstanceType["ML_R5_8XLARGE"] = "ml.r5.8xlarge";
    AppInstanceType["ML_R5_LARGE"] = "ml.r5.large";
    AppInstanceType["ML_R5_XLARGE"] = "ml.r5.xlarge";
    AppInstanceType["ML_T3_2XLARGE"] = "ml.t3.2xlarge";
    AppInstanceType["ML_T3_LARGE"] = "ml.t3.large";
    AppInstanceType["ML_T3_MEDIUM"] = "ml.t3.medium";
    AppInstanceType["ML_T3_MICRO"] = "ml.t3.micro";
    AppInstanceType["ML_T3_SMALL"] = "ml.t3.small";
    AppInstanceType["ML_T3_XLARGE"] = "ml.t3.xlarge";
    AppInstanceType["SYSTEM"] = "system";
})(AppInstanceType = exports.AppInstanceType || (exports.AppInstanceType = {}));
var AppNetworkAccessType;
(function (AppNetworkAccessType) {
    AppNetworkAccessType["PublicInternetOnly"] = "PublicInternetOnly";
    AppNetworkAccessType["VpcOnly"] = "VpcOnly";
})(AppNetworkAccessType = exports.AppNetworkAccessType || (exports.AppNetworkAccessType = {}));
var AppSecurityGroupManagement;
(function (AppSecurityGroupManagement) {
    AppSecurityGroupManagement["Customer"] = "Customer";
    AppSecurityGroupManagement["Service"] = "Service";
})(AppSecurityGroupManagement = exports.AppSecurityGroupManagement || (exports.AppSecurityGroupManagement = {}));
var AppSortKey;
(function (AppSortKey) {
    AppSortKey["CreationTime"] = "CreationTime";
})(AppSortKey = exports.AppSortKey || (exports.AppSortKey = {}));
var AppSpecification;
(function (AppSpecification) {
    AppSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AppSpecification = exports.AppSpecification || (exports.AppSpecification = {}));
var ArtifactSourceIdType;
(function (ArtifactSourceIdType) {
    ArtifactSourceIdType["CUSTOM"] = "Custom";
    ArtifactSourceIdType["MD5_HASH"] = "MD5Hash";
    ArtifactSourceIdType["S3_ETAG"] = "S3ETag";
    ArtifactSourceIdType["S3_VERSION"] = "S3Version";
})(ArtifactSourceIdType = exports.ArtifactSourceIdType || (exports.ArtifactSourceIdType = {}));
var ArtifactSourceType;
(function (ArtifactSourceType) {
    ArtifactSourceType.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactSourceType = exports.ArtifactSourceType || (exports.ArtifactSourceType = {}));
var ArtifactSource;
(function (ArtifactSource) {
    ArtifactSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactSource = exports.ArtifactSource || (exports.ArtifactSource = {}));
var ArtifactSummary;
(function (ArtifactSummary) {
    ArtifactSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ArtifactSummary = exports.ArtifactSummary || (exports.ArtifactSummary = {}));
var AssociateTrialComponentRequest;
(function (AssociateTrialComponentRequest) {
    AssociateTrialComponentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateTrialComponentRequest = exports.AssociateTrialComponentRequest || (exports.AssociateTrialComponentRequest = {}));
var AssociateTrialComponentResponse;
(function (AssociateTrialComponentResponse) {
    AssociateTrialComponentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateTrialComponentResponse = exports.AssociateTrialComponentResponse || (exports.AssociateTrialComponentResponse = {}));
var UserContext;
(function (UserContext) {
    UserContext.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UserContext = exports.UserContext || (exports.UserContext = {}));
var AssociationSummary;
(function (AssociationSummary) {
    AssociationSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociationSummary = exports.AssociationSummary || (exports.AssociationSummary = {}));
var AsyncInferenceClientConfig;
(function (AsyncInferenceClientConfig) {
    AsyncInferenceClientConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AsyncInferenceClientConfig = exports.AsyncInferenceClientConfig || (exports.AsyncInferenceClientConfig = {}));
var AsyncInferenceNotificationConfig;
(function (AsyncInferenceNotificationConfig) {
    AsyncInferenceNotificationConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AsyncInferenceNotificationConfig = exports.AsyncInferenceNotificationConfig || (exports.AsyncInferenceNotificationConfig = {}));
var AsyncInferenceOutputConfig;
(function (AsyncInferenceOutputConfig) {
    AsyncInferenceOutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AsyncInferenceOutputConfig = exports.AsyncInferenceOutputConfig || (exports.AsyncInferenceOutputConfig = {}));
var AsyncInferenceConfig;
(function (AsyncInferenceConfig) {
    AsyncInferenceConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AsyncInferenceConfig = exports.AsyncInferenceConfig || (exports.AsyncInferenceConfig = {}));
var AthenaResultCompressionType;
(function (AthenaResultCompressionType) {
    AthenaResultCompressionType["GZIP"] = "GZIP";
    AthenaResultCompressionType["SNAPPY"] = "SNAPPY";
    AthenaResultCompressionType["ZLIB"] = "ZLIB";
})(AthenaResultCompressionType = exports.AthenaResultCompressionType || (exports.AthenaResultCompressionType = {}));
var AthenaResultFormat;
(function (AthenaResultFormat) {
    AthenaResultFormat["AVRO"] = "AVRO";
    AthenaResultFormat["JSON"] = "JSON";
    AthenaResultFormat["ORC"] = "ORC";
    AthenaResultFormat["PARQUET"] = "PARQUET";
    AthenaResultFormat["TEXTFILE"] = "TEXTFILE";
})(AthenaResultFormat = exports.AthenaResultFormat || (exports.AthenaResultFormat = {}));
var AthenaDatasetDefinition;
(function (AthenaDatasetDefinition) {
    AthenaDatasetDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AthenaDatasetDefinition = exports.AthenaDatasetDefinition || (exports.AthenaDatasetDefinition = {}));
var AuthMode;
(function (AuthMode) {
    AuthMode["IAM"] = "IAM";
    AuthMode["SSO"] = "SSO";
})(AuthMode = exports.AuthMode || (exports.AuthMode = {}));
var CandidateArtifactLocations;
(function (CandidateArtifactLocations) {
    CandidateArtifactLocations.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CandidateArtifactLocations = exports.CandidateArtifactLocations || (exports.CandidateArtifactLocations = {}));
var AutoMLMetricEnum;
(function (AutoMLMetricEnum) {
    AutoMLMetricEnum["ACCURACY"] = "Accuracy";
    AutoMLMetricEnum["AUC"] = "AUC";
    AutoMLMetricEnum["F1"] = "F1";
    AutoMLMetricEnum["F1_MACRO"] = "F1macro";
    AutoMLMetricEnum["MSE"] = "MSE";
})(AutoMLMetricEnum = exports.AutoMLMetricEnum || (exports.AutoMLMetricEnum = {}));
var MetricSetSource;
(function (MetricSetSource) {
    MetricSetSource["TEST"] = "Test";
    MetricSetSource["TRAIN"] = "Train";
    MetricSetSource["VALIDATION"] = "Validation";
})(MetricSetSource = exports.MetricSetSource || (exports.MetricSetSource = {}));
var MetricDatum;
(function (MetricDatum) {
    MetricDatum.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MetricDatum = exports.MetricDatum || (exports.MetricDatum = {}));
var CandidateProperties;
(function (CandidateProperties) {
    CandidateProperties.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CandidateProperties = exports.CandidateProperties || (exports.CandidateProperties = {}));
var CandidateStatus;
(function (CandidateStatus) {
    CandidateStatus["COMPLETED"] = "Completed";
    CandidateStatus["FAILED"] = "Failed";
    CandidateStatus["IN_PROGRESS"] = "InProgress";
    CandidateStatus["STOPPED"] = "Stopped";
    CandidateStatus["STOPPING"] = "Stopping";
})(CandidateStatus = exports.CandidateStatus || (exports.CandidateStatus = {}));
var CandidateStepType;
(function (CandidateStepType) {
    CandidateStepType["PROCESSING"] = "AWS::SageMaker::ProcessingJob";
    CandidateStepType["TRAINING"] = "AWS::SageMaker::TrainingJob";
    CandidateStepType["TRANSFORM"] = "AWS::SageMaker::TransformJob";
})(CandidateStepType = exports.CandidateStepType || (exports.CandidateStepType = {}));
var AutoMLCandidateStep;
(function (AutoMLCandidateStep) {
    AutoMLCandidateStep.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLCandidateStep = exports.AutoMLCandidateStep || (exports.AutoMLCandidateStep = {}));
var AutoMLJobObjectiveType;
(function (AutoMLJobObjectiveType) {
    AutoMLJobObjectiveType["MAXIMIZE"] = "Maximize";
    AutoMLJobObjectiveType["MINIMIZE"] = "Minimize";
})(AutoMLJobObjectiveType = exports.AutoMLJobObjectiveType || (exports.AutoMLJobObjectiveType = {}));
var FinalAutoMLJobObjectiveMetric;
(function (FinalAutoMLJobObjectiveMetric) {
    FinalAutoMLJobObjectiveMetric.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FinalAutoMLJobObjectiveMetric = exports.FinalAutoMLJobObjectiveMetric || (exports.FinalAutoMLJobObjectiveMetric = {}));
var AutoMLContainerDefinition;
(function (AutoMLContainerDefinition) {
    AutoMLContainerDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLContainerDefinition = exports.AutoMLContainerDefinition || (exports.AutoMLContainerDefinition = {}));
var ObjectiveStatus;
(function (ObjectiveStatus) {
    ObjectiveStatus["Failed"] = "Failed";
    ObjectiveStatus["Pending"] = "Pending";
    ObjectiveStatus["Succeeded"] = "Succeeded";
})(ObjectiveStatus = exports.ObjectiveStatus || (exports.ObjectiveStatus = {}));
var AutoMLCandidate;
(function (AutoMLCandidate) {
    AutoMLCandidate.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLCandidate = exports.AutoMLCandidate || (exports.AutoMLCandidate = {}));
var AutoMLS3DataType;
(function (AutoMLS3DataType) {
    AutoMLS3DataType["MANIFEST_FILE"] = "ManifestFile";
    AutoMLS3DataType["S3_PREFIX"] = "S3Prefix";
})(AutoMLS3DataType = exports.AutoMLS3DataType || (exports.AutoMLS3DataType = {}));
var AutoMLS3DataSource;
(function (AutoMLS3DataSource) {
    AutoMLS3DataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLS3DataSource = exports.AutoMLS3DataSource || (exports.AutoMLS3DataSource = {}));
var AutoMLDataSource;
(function (AutoMLDataSource) {
    AutoMLDataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLDataSource = exports.AutoMLDataSource || (exports.AutoMLDataSource = {}));
var AutoMLChannel;
(function (AutoMLChannel) {
    AutoMLChannel.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLChannel = exports.AutoMLChannel || (exports.AutoMLChannel = {}));
var AutoMLJobArtifacts;
(function (AutoMLJobArtifacts) {
    AutoMLJobArtifacts.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLJobArtifacts = exports.AutoMLJobArtifacts || (exports.AutoMLJobArtifacts = {}));
var AutoMLJobCompletionCriteria;
(function (AutoMLJobCompletionCriteria) {
    AutoMLJobCompletionCriteria.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLJobCompletionCriteria = exports.AutoMLJobCompletionCriteria || (exports.AutoMLJobCompletionCriteria = {}));
var VpcConfig;
(function (VpcConfig) {
    VpcConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(VpcConfig = exports.VpcConfig || (exports.VpcConfig = {}));
var AutoMLSecurityConfig;
(function (AutoMLSecurityConfig) {
    AutoMLSecurityConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLSecurityConfig = exports.AutoMLSecurityConfig || (exports.AutoMLSecurityConfig = {}));
var AutoMLJobConfig;
(function (AutoMLJobConfig) {
    AutoMLJobConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLJobConfig = exports.AutoMLJobConfig || (exports.AutoMLJobConfig = {}));
var AutoMLJobObjective;
(function (AutoMLJobObjective) {
    AutoMLJobObjective.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLJobObjective = exports.AutoMLJobObjective || (exports.AutoMLJobObjective = {}));
var AutoMLJobSecondaryStatus;
(function (AutoMLJobSecondaryStatus) {
    AutoMLJobSecondaryStatus["ANALYZING_DATA"] = "AnalyzingData";
    AutoMLJobSecondaryStatus["CANDIDATE_DEFINITIONS_GENERATED"] = "CandidateDefinitionsGenerated";
    AutoMLJobSecondaryStatus["COMPLETED"] = "Completed";
    AutoMLJobSecondaryStatus["DEPLOYING_MODEL"] = "DeployingModel";
    AutoMLJobSecondaryStatus["EXPLAINABILITY_ERROR"] = "ExplainabilityError";
    AutoMLJobSecondaryStatus["FAILED"] = "Failed";
    AutoMLJobSecondaryStatus["FEATURE_ENGINEERING"] = "FeatureEngineering";
    AutoMLJobSecondaryStatus["GENERATING_EXPLAINABILITY_REPORT"] = "GeneratingExplainabilityReport";
    AutoMLJobSecondaryStatus["GENERATING_MODEL_INSIGHTS_REPORT"] = "GeneratingModelInsightsReport";
    AutoMLJobSecondaryStatus["MAX_AUTO_ML_JOB_RUNTIME_REACHED"] = "MaxAutoMLJobRuntimeReached";
    AutoMLJobSecondaryStatus["MAX_CANDIDATES_REACHED"] = "MaxCandidatesReached";
    AutoMLJobSecondaryStatus["MODEL_DEPLOYMENT_ERROR"] = "ModelDeploymentError";
    AutoMLJobSecondaryStatus["MODEL_INSIGHTS_ERROR"] = "ModelInsightsError";
    AutoMLJobSecondaryStatus["MODEL_TUNING"] = "ModelTuning";
    AutoMLJobSecondaryStatus["STARTING"] = "Starting";
    AutoMLJobSecondaryStatus["STOPPED"] = "Stopped";
    AutoMLJobSecondaryStatus["STOPPING"] = "Stopping";
})(AutoMLJobSecondaryStatus = exports.AutoMLJobSecondaryStatus || (exports.AutoMLJobSecondaryStatus = {}));
var AutoMLJobStatus;
(function (AutoMLJobStatus) {
    AutoMLJobStatus["COMPLETED"] = "Completed";
    AutoMLJobStatus["FAILED"] = "Failed";
    AutoMLJobStatus["IN_PROGRESS"] = "InProgress";
    AutoMLJobStatus["STOPPED"] = "Stopped";
    AutoMLJobStatus["STOPPING"] = "Stopping";
})(AutoMLJobStatus = exports.AutoMLJobStatus || (exports.AutoMLJobStatus = {}));
var AutoMLPartialFailureReason;
(function (AutoMLPartialFailureReason) {
    AutoMLPartialFailureReason.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLPartialFailureReason = exports.AutoMLPartialFailureReason || (exports.AutoMLPartialFailureReason = {}));
var AutoMLJobSummary;
(function (AutoMLJobSummary) {
    AutoMLJobSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLJobSummary = exports.AutoMLJobSummary || (exports.AutoMLJobSummary = {}));
var AutoMLOutputDataConfig;
(function (AutoMLOutputDataConfig) {
    AutoMLOutputDataConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoMLOutputDataConfig = exports.AutoMLOutputDataConfig || (exports.AutoMLOutputDataConfig = {}));
var AutoMLSortBy;
(function (AutoMLSortBy) {
    AutoMLSortBy["CREATION_TIME"] = "CreationTime";
    AutoMLSortBy["NAME"] = "Name";
    AutoMLSortBy["STATUS"] = "Status";
})(AutoMLSortBy = exports.AutoMLSortBy || (exports.AutoMLSortBy = {}));
var AutoMLSortOrder;
(function (AutoMLSortOrder) {
    AutoMLSortOrder["ASCENDING"] = "Ascending";
    AutoMLSortOrder["DESCENDING"] = "Descending";
})(AutoMLSortOrder = exports.AutoMLSortOrder || (exports.AutoMLSortOrder = {}));
var AutoRollbackConfig;
(function (AutoRollbackConfig) {
    AutoRollbackConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AutoRollbackConfig = exports.AutoRollbackConfig || (exports.AutoRollbackConfig = {}));
var AwsManagedHumanLoopRequestSource;
(function (AwsManagedHumanLoopRequestSource) {
    AwsManagedHumanLoopRequestSource["REKOGNITION_DETECT_MODERATION_LABELS_IMAGE_V3"] = "AWS/Rekognition/DetectModerationLabels/Image/V3";
    AwsManagedHumanLoopRequestSource["TEXTRACT_ANALYZE_DOCUMENT_FORMS_V1"] = "AWS/Textract/AnalyzeDocument/Forms/V1";
})(AwsManagedHumanLoopRequestSource = exports.AwsManagedHumanLoopRequestSource || (exports.AwsManagedHumanLoopRequestSource = {}));
var BatchDescribeModelPackageInput;
(function (BatchDescribeModelPackageInput) {
    BatchDescribeModelPackageInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDescribeModelPackageInput = exports.BatchDescribeModelPackageInput || (exports.BatchDescribeModelPackageInput = {}));
var BatchDescribeModelPackageError;
(function (BatchDescribeModelPackageError) {
    BatchDescribeModelPackageError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDescribeModelPackageError = exports.BatchDescribeModelPackageError || (exports.BatchDescribeModelPackageError = {}));
var InferenceSpecification;
(function (InferenceSpecification) {
    InferenceSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InferenceSpecification = exports.InferenceSpecification || (exports.InferenceSpecification = {}));
var ModelApprovalStatus;
(function (ModelApprovalStatus) {
    ModelApprovalStatus["APPROVED"] = "Approved";
    ModelApprovalStatus["PENDING_MANUAL_APPROVAL"] = "PendingManualApproval";
    ModelApprovalStatus["REJECTED"] = "Rejected";
})(ModelApprovalStatus = exports.ModelApprovalStatus || (exports.ModelApprovalStatus = {}));
var ModelPackageStatus;
(function (ModelPackageStatus) {
    ModelPackageStatus["COMPLETED"] = "Completed";
    ModelPackageStatus["DELETING"] = "Deleting";
    ModelPackageStatus["FAILED"] = "Failed";
    ModelPackageStatus["IN_PROGRESS"] = "InProgress";
    ModelPackageStatus["PENDING"] = "Pending";
})(ModelPackageStatus = exports.ModelPackageStatus || (exports.ModelPackageStatus = {}));
var BatchDescribeModelPackageSummary;
(function (BatchDescribeModelPackageSummary) {
    BatchDescribeModelPackageSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDescribeModelPackageSummary = exports.BatchDescribeModelPackageSummary || (exports.BatchDescribeModelPackageSummary = {}));
var BatchDescribeModelPackageOutput;
(function (BatchDescribeModelPackageOutput) {
    BatchDescribeModelPackageOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDescribeModelPackageOutput = exports.BatchDescribeModelPackageOutput || (exports.BatchDescribeModelPackageOutput = {}));
var MetricsSource;
(function (MetricsSource) {
    MetricsSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MetricsSource = exports.MetricsSource || (exports.MetricsSource = {}));
var Bias;
(function (Bias) {
    Bias.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Bias = exports.Bias || (exports.Bias = {}));
var CapacitySizeType;
(function (CapacitySizeType) {
    CapacitySizeType["CAPACITY_PERCENT"] = "CAPACITY_PERCENT";
    CapacitySizeType["INSTANCE_COUNT"] = "INSTANCE_COUNT";
})(CapacitySizeType = exports.CapacitySizeType || (exports.CapacitySizeType = {}));
var CapacitySize;
(function (CapacitySize) {
    CapacitySize.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CapacitySize = exports.CapacitySize || (exports.CapacitySize = {}));
var TrafficRoutingConfigType;
(function (TrafficRoutingConfigType) {
    TrafficRoutingConfigType["ALL_AT_ONCE"] = "ALL_AT_ONCE";
    TrafficRoutingConfigType["CANARY"] = "CANARY";
    TrafficRoutingConfigType["LINEAR"] = "LINEAR";
})(TrafficRoutingConfigType = exports.TrafficRoutingConfigType || (exports.TrafficRoutingConfigType = {}));
var TrafficRoutingConfig;
(function (TrafficRoutingConfig) {
    TrafficRoutingConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrafficRoutingConfig = exports.TrafficRoutingConfig || (exports.TrafficRoutingConfig = {}));
var BlueGreenUpdatePolicy;
(function (BlueGreenUpdatePolicy) {
    BlueGreenUpdatePolicy.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BlueGreenUpdatePolicy = exports.BlueGreenUpdatePolicy || (exports.BlueGreenUpdatePolicy = {}));
var BooleanOperator;
(function (BooleanOperator) {
    BooleanOperator["AND"] = "And";
    BooleanOperator["OR"] = "Or";
})(BooleanOperator = exports.BooleanOperator || (exports.BooleanOperator = {}));
var CacheHitResult;
(function (CacheHitResult) {
    CacheHitResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CacheHitResult = exports.CacheHitResult || (exports.CacheHitResult = {}));
var OutputParameter;
(function (OutputParameter) {
    OutputParameter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OutputParameter = exports.OutputParameter || (exports.OutputParameter = {}));
var CallbackStepMetadata;
(function (CallbackStepMetadata) {
    CallbackStepMetadata.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CallbackStepMetadata = exports.CallbackStepMetadata || (exports.CallbackStepMetadata = {}));
var CandidateSortBy;
(function (CandidateSortBy) {
    CandidateSortBy["CreationTime"] = "CreationTime";
    CandidateSortBy["FinalObjectiveMetricValue"] = "FinalObjectiveMetricValue";
    CandidateSortBy["Status"] = "Status";
})(CandidateSortBy = exports.CandidateSortBy || (exports.CandidateSortBy = {}));
var CaptureContentTypeHeader;
(function (CaptureContentTypeHeader) {
    CaptureContentTypeHeader.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CaptureContentTypeHeader = exports.CaptureContentTypeHeader || (exports.CaptureContentTypeHeader = {}));
var CaptureMode;
(function (CaptureMode) {
    CaptureMode["INPUT"] = "Input";
    CaptureMode["OUTPUT"] = "Output";
})(CaptureMode = exports.CaptureMode || (exports.CaptureMode = {}));
var CaptureOption;
(function (CaptureOption) {
    CaptureOption.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CaptureOption = exports.CaptureOption || (exports.CaptureOption = {}));
var CaptureStatus;
(function (CaptureStatus) {
    CaptureStatus["STARTED"] = "Started";
    CaptureStatus["STOPPED"] = "Stopped";
})(CaptureStatus = exports.CaptureStatus || (exports.CaptureStatus = {}));
var CategoricalParameter;
(function (CategoricalParameter) {
    CategoricalParameter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CategoricalParameter = exports.CategoricalParameter || (exports.CategoricalParameter = {}));
var CategoricalParameterRange;
(function (CategoricalParameterRange) {
    CategoricalParameterRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CategoricalParameterRange = exports.CategoricalParameterRange || (exports.CategoricalParameterRange = {}));
var CategoricalParameterRangeSpecification;
(function (CategoricalParameterRangeSpecification) {
    CategoricalParameterRangeSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CategoricalParameterRangeSpecification = exports.CategoricalParameterRangeSpecification || (exports.CategoricalParameterRangeSpecification = {}));
var ChannelSpecification;
(function (ChannelSpecification) {
    ChannelSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ChannelSpecification = exports.ChannelSpecification || (exports.ChannelSpecification = {}));
var CheckpointConfig;
(function (CheckpointConfig) {
    CheckpointConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CheckpointConfig = exports.CheckpointConfig || (exports.CheckpointConfig = {}));
var ClarifyCheckStepMetadata;
(function (ClarifyCheckStepMetadata) {
    ClarifyCheckStepMetadata.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ClarifyCheckStepMetadata = exports.ClarifyCheckStepMetadata || (exports.ClarifyCheckStepMetadata = {}));
var CodeRepositorySortBy;
(function (CodeRepositorySortBy) {
    CodeRepositorySortBy["CREATION_TIME"] = "CreationTime";
    CodeRepositorySortBy["LAST_MODIFIED_TIME"] = "LastModifiedTime";
    CodeRepositorySortBy["NAME"] = "Name";
})(CodeRepositorySortBy = exports.CodeRepositorySortBy || (exports.CodeRepositorySortBy = {}));
var CodeRepositorySortOrder;
(function (CodeRepositorySortOrder) {
    CodeRepositorySortOrder["ASCENDING"] = "Ascending";
    CodeRepositorySortOrder["DESCENDING"] = "Descending";
})(CodeRepositorySortOrder = exports.CodeRepositorySortOrder || (exports.CodeRepositorySortOrder = {}));
var GitConfig;
(function (GitConfig) {
    GitConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GitConfig = exports.GitConfig || (exports.GitConfig = {}));
var CodeRepositorySummary;
(function (CodeRepositorySummary) {
    CodeRepositorySummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CodeRepositorySummary = exports.CodeRepositorySummary || (exports.CodeRepositorySummary = {}));
var CognitoConfig;
(function (CognitoConfig) {
    CognitoConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CognitoConfig = exports.CognitoConfig || (exports.CognitoConfig = {}));
var CognitoMemberDefinition;
(function (CognitoMemberDefinition) {
    CognitoMemberDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CognitoMemberDefinition = exports.CognitoMemberDefinition || (exports.CognitoMemberDefinition = {}));
var CollectionConfiguration;
(function (CollectionConfiguration) {
    CollectionConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CollectionConfiguration = exports.CollectionConfiguration || (exports.CollectionConfiguration = {}));
var CompilationJobStatus;
(function (CompilationJobStatus) {
    CompilationJobStatus["COMPLETED"] = "COMPLETED";
    CompilationJobStatus["FAILED"] = "FAILED";
    CompilationJobStatus["INPROGRESS"] = "INPROGRESS";
    CompilationJobStatus["STARTING"] = "STARTING";
    CompilationJobStatus["STOPPED"] = "STOPPED";
    CompilationJobStatus["STOPPING"] = "STOPPING";
})(CompilationJobStatus = exports.CompilationJobStatus || (exports.CompilationJobStatus = {}));
var TargetDevice;
(function (TargetDevice) {
    TargetDevice["AISAGE"] = "aisage";
    TargetDevice["AMBA_CV2"] = "amba_cv2";
    TargetDevice["AMBA_CV22"] = "amba_cv22";
    TargetDevice["AMBA_CV25"] = "amba_cv25";
    TargetDevice["COREML"] = "coreml";
    TargetDevice["DEEPLENS"] = "deeplens";
    TargetDevice["IMX8MPLUS"] = "imx8mplus";
    TargetDevice["IMX8QM"] = "imx8qm";
    TargetDevice["JACINTO_TDA4VM"] = "jacinto_tda4vm";
    TargetDevice["JETSON_NANO"] = "jetson_nano";
    TargetDevice["JETSON_TX1"] = "jetson_tx1";
    TargetDevice["JETSON_TX2"] = "jetson_tx2";
    TargetDevice["JETSON_XAVIER"] = "jetson_xavier";
    TargetDevice["LAMBDA"] = "lambda";
    TargetDevice["ML_C4"] = "ml_c4";
    TargetDevice["ML_C5"] = "ml_c5";
    TargetDevice["ML_EIA2"] = "ml_eia2";
    TargetDevice["ML_G4DN"] = "ml_g4dn";
    TargetDevice["ML_INF1"] = "ml_inf1";
    TargetDevice["ML_M4"] = "ml_m4";
    TargetDevice["ML_M5"] = "ml_m5";
    TargetDevice["ML_P2"] = "ml_p2";
    TargetDevice["ML_P3"] = "ml_p3";
    TargetDevice["QCS603"] = "qcs603";
    TargetDevice["QCS605"] = "qcs605";
    TargetDevice["RASP3B"] = "rasp3b";
    TargetDevice["RK3288"] = "rk3288";
    TargetDevice["RK3399"] = "rk3399";
    TargetDevice["SBE_C"] = "sbe_c";
    TargetDevice["SITARA_AM57X"] = "sitara_am57x";
    TargetDevice["X86_WIN32"] = "x86_win32";
    TargetDevice["X86_WIN64"] = "x86_win64";
})(TargetDevice = exports.TargetDevice || (exports.TargetDevice = {}));
var TargetPlatformAccelerator;
(function (TargetPlatformAccelerator) {
    TargetPlatformAccelerator["INTEL_GRAPHICS"] = "INTEL_GRAPHICS";
    TargetPlatformAccelerator["MALI"] = "MALI";
    TargetPlatformAccelerator["NNA"] = "NNA";
    TargetPlatformAccelerator["NVIDIA"] = "NVIDIA";
})(TargetPlatformAccelerator = exports.TargetPlatformAccelerator || (exports.TargetPlatformAccelerator = {}));
var TargetPlatformArch;
(function (TargetPlatformArch) {
    TargetPlatformArch["ARM64"] = "ARM64";
    TargetPlatformArch["ARM_EABI"] = "ARM_EABI";
    TargetPlatformArch["ARM_EABIHF"] = "ARM_EABIHF";
    TargetPlatformArch["X86"] = "X86";
    TargetPlatformArch["X86_64"] = "X86_64";
})(TargetPlatformArch = exports.TargetPlatformArch || (exports.TargetPlatformArch = {}));
var TargetPlatformOs;
(function (TargetPlatformOs) {
    TargetPlatformOs["ANDROID"] = "ANDROID";
    TargetPlatformOs["LINUX"] = "LINUX";
})(TargetPlatformOs = exports.TargetPlatformOs || (exports.TargetPlatformOs = {}));
var CompilationJobSummary;
(function (CompilationJobSummary) {
    CompilationJobSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CompilationJobSummary = exports.CompilationJobSummary || (exports.CompilationJobSummary = {}));
var ConditionOutcome;
(function (ConditionOutcome) {
    ConditionOutcome["FALSE"] = "False";
    ConditionOutcome["TRUE"] = "True";
})(ConditionOutcome = exports.ConditionOutcome || (exports.ConditionOutcome = {}));
var ConditionStepMetadata;
(function (ConditionStepMetadata) {
    ConditionStepMetadata.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ConditionStepMetadata = exports.ConditionStepMetadata || (exports.ConditionStepMetadata = {}));
class ConflictException extends SageMakerServiceException_1.SageMakerServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
    }
}
exports.ConflictException = ConflictException;
var RepositoryAccessMode;
(function (RepositoryAccessMode) {
    RepositoryAccessMode["PLATFORM"] = "Platform";
    RepositoryAccessMode["VPC"] = "Vpc";
})(RepositoryAccessMode = exports.RepositoryAccessMode || (exports.RepositoryAccessMode = {}));
var RepositoryAuthConfig;
(function (RepositoryAuthConfig) {
    RepositoryAuthConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RepositoryAuthConfig = exports.RepositoryAuthConfig || (exports.RepositoryAuthConfig = {}));
var ImageConfig;
(function (ImageConfig) {
    ImageConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ImageConfig = exports.ImageConfig || (exports.ImageConfig = {}));
var ContainerMode;
(function (ContainerMode) {
    ContainerMode["MULTI_MODEL"] = "MultiModel";
    ContainerMode["SINGLE_MODEL"] = "SingleModel";
})(ContainerMode = exports.ContainerMode || (exports.ContainerMode = {}));
var ModelCacheSetting;
(function (ModelCacheSetting) {
    ModelCacheSetting["DISABLED"] = "Disabled";
    ModelCacheSetting["ENABLED"] = "Enabled";
})(ModelCacheSetting = exports.ModelCacheSetting || (exports.ModelCacheSetting = {}));
var MultiModelConfig;
(function (MultiModelConfig) {
    MultiModelConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MultiModelConfig = exports.MultiModelConfig || (exports.MultiModelConfig = {}));
var ContainerDefinition;
(function (ContainerDefinition) {
    ContainerDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ContainerDefinition = exports.ContainerDefinition || (exports.ContainerDefinition = {}));
var ContentClassifier;
(function (ContentClassifier) {
    ContentClassifier["FREE_OF_ADULT_CONTENT"] = "FreeOfAdultContent";
    ContentClassifier["FREE_OF_PERSONALLY_IDENTIFIABLE_INFORMATION"] = "FreeOfPersonallyIdentifiableInformation";
})(ContentClassifier = exports.ContentClassifier || (exports.ContentClassifier = {}));
var ContextSource;
(function (ContextSource) {
    ContextSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ContextSource = exports.ContextSource || (exports.ContextSource = {}));
var ContextSummary;
(function (ContextSummary) {
    ContextSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ContextSummary = exports.ContextSummary || (exports.ContextSummary = {}));
var HyperParameterScalingType;
(function (HyperParameterScalingType) {
    HyperParameterScalingType["AUTO"] = "Auto";
    HyperParameterScalingType["LINEAR"] = "Linear";
    HyperParameterScalingType["LOGARITHMIC"] = "Logarithmic";
    HyperParameterScalingType["REVERSE_LOGARITHMIC"] = "ReverseLogarithmic";
})(HyperParameterScalingType = exports.HyperParameterScalingType || (exports.HyperParameterScalingType = {}));
var ContinuousParameterRange;
(function (ContinuousParameterRange) {
    ContinuousParameterRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ContinuousParameterRange = exports.ContinuousParameterRange || (exports.ContinuousParameterRange = {}));
var ContinuousParameterRangeSpecification;
(function (ContinuousParameterRangeSpecification) {
    ContinuousParameterRangeSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ContinuousParameterRangeSpecification = exports.ContinuousParameterRangeSpecification || (exports.ContinuousParameterRangeSpecification = {}));
var MetadataProperties;
(function (MetadataProperties) {
    MetadataProperties.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MetadataProperties = exports.MetadataProperties || (exports.MetadataProperties = {}));
var CreateActionRequest;
(function (CreateActionRequest) {
    CreateActionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateActionRequest = exports.CreateActionRequest || (exports.CreateActionRequest = {}));
var CreateActionResponse;
(function (CreateActionResponse) {
    CreateActionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateActionResponse = exports.CreateActionResponse || (exports.CreateActionResponse = {}));
var IntegerParameterRangeSpecification;
(function (IntegerParameterRangeSpecification) {
    IntegerParameterRangeSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(IntegerParameterRangeSpecification = exports.IntegerParameterRangeSpecification || (exports.IntegerParameterRangeSpecification = {}));
var ParameterRange;
(function (ParameterRange) {
    ParameterRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParameterRange = exports.ParameterRange || (exports.ParameterRange = {}));
var ParameterType;
(function (ParameterType) {
    ParameterType["CATEGORICAL"] = "Categorical";
    ParameterType["CONTINUOUS"] = "Continuous";
    ParameterType["FREE_TEXT"] = "FreeText";
    ParameterType["INTEGER"] = "Integer";
})(ParameterType = exports.ParameterType || (exports.ParameterType = {}));
var HyperParameterSpecification;
(function (HyperParameterSpecification) {
    HyperParameterSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HyperParameterSpecification = exports.HyperParameterSpecification || (exports.HyperParameterSpecification = {}));
var HyperParameterTuningJobObjectiveType;
(function (HyperParameterTuningJobObjectiveType) {
    HyperParameterTuningJobObjectiveType["MAXIMIZE"] = "Maximize";
    HyperParameterTuningJobObjectiveType["MINIMIZE"] = "Minimize";
})(HyperParameterTuningJobObjectiveType = exports.HyperParameterTuningJobObjectiveType || (exports.HyperParameterTuningJobObjectiveType = {}));
var HyperParameterTuningJobObjective;
(function (HyperParameterTuningJobObjective) {
    HyperParameterTuningJobObjective.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HyperParameterTuningJobObjective = exports.HyperParameterTuningJobObjective || (exports.HyperParameterTuningJobObjective = {}));
var TrainingSpecification;
(function (TrainingSpecification) {
    TrainingSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrainingSpecification = exports.TrainingSpecification || (exports.TrainingSpecification = {}));
var CreateAlgorithmInput;
(function (CreateAlgorithmInput) {
    CreateAlgorithmInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAlgorithmInput = exports.CreateAlgorithmInput || (exports.CreateAlgorithmInput = {}));
var CreateAlgorithmOutput;
(function (CreateAlgorithmOutput) {
    CreateAlgorithmOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAlgorithmOutput = exports.CreateAlgorithmOutput || (exports.CreateAlgorithmOutput = {}));
var ResourceSpec;
(function (ResourceSpec) {
    ResourceSpec.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResourceSpec = exports.ResourceSpec || (exports.ResourceSpec = {}));
var CreateAppRequest;
(function (CreateAppRequest) {
    CreateAppRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAppRequest = exports.CreateAppRequest || (exports.CreateAppRequest = {}));
var CreateAppResponse;
(function (CreateAppResponse) {
    CreateAppResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAppResponse = exports.CreateAppResponse || (exports.CreateAppResponse = {}));
class ResourceInUse extends SageMakerServiceException_1.SageMakerServiceException {
    constructor(opts) {
        super({
            name: "ResourceInUse",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceInUse";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceInUse.prototype);
        this.Message = opts.Message;
    }
}
exports.ResourceInUse = ResourceInUse;
var CreateAppImageConfigRequest;
(function (CreateAppImageConfigRequest) {
    CreateAppImageConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAppImageConfigRequest = exports.CreateAppImageConfigRequest || (exports.CreateAppImageConfigRequest = {}));
var CreateAppImageConfigResponse;
(function (CreateAppImageConfigResponse) {
    CreateAppImageConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAppImageConfigResponse = exports.CreateAppImageConfigResponse || (exports.CreateAppImageConfigResponse = {}));
var CreateArtifactRequest;
(function (CreateArtifactRequest) {
    CreateArtifactRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateArtifactRequest = exports.CreateArtifactRequest || (exports.CreateArtifactRequest = {}));
var CreateArtifactResponse;
(function (CreateArtifactResponse) {
    CreateArtifactResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateArtifactResponse = exports.CreateArtifactResponse || (exports.CreateArtifactResponse = {}));
var ModelDeployConfig;
(function (ModelDeployConfig) {
    ModelDeployConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelDeployConfig = exports.ModelDeployConfig || (exports.ModelDeployConfig = {}));
var ProblemType;
(function (ProblemType) {
    ProblemType["BINARY_CLASSIFICATION"] = "BinaryClassification";
    ProblemType["MULTICLASS_CLASSIFICATION"] = "MulticlassClassification";
    ProblemType["REGRESSION"] = "Regression";
})(ProblemType = exports.ProblemType || (exports.ProblemType = {}));
var CreateAutoMLJobRequest;
(function (CreateAutoMLJobRequest) {
    CreateAutoMLJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAutoMLJobRequest = exports.CreateAutoMLJobRequest || (exports.CreateAutoMLJobRequest = {}));
var CreateAutoMLJobResponse;
(function (CreateAutoMLJobResponse) {
    CreateAutoMLJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAutoMLJobResponse = exports.CreateAutoMLJobResponse || (exports.CreateAutoMLJobResponse = {}));
var CreateCodeRepositoryInput;
(function (CreateCodeRepositoryInput) {
    CreateCodeRepositoryInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateCodeRepositoryInput = exports.CreateCodeRepositoryInput || (exports.CreateCodeRepositoryInput = {}));
var CreateCodeRepositoryOutput;
(function (CreateCodeRepositoryOutput) {
    CreateCodeRepositoryOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateCodeRepositoryOutput = exports.CreateCodeRepositoryOutput || (exports.CreateCodeRepositoryOutput = {}));
var Framework;
(function (Framework) {
    Framework["DARKNET"] = "DARKNET";
    Framework["KERAS"] = "KERAS";
    Framework["MXNET"] = "MXNET";
    Framework["ONNX"] = "ONNX";
    Framework["PYTORCH"] = "PYTORCH";
    Framework["SKLEARN"] = "SKLEARN";
    Framework["TENSORFLOW"] = "TENSORFLOW";
    Framework["TFLITE"] = "TFLITE";
    Framework["XGBOOST"] = "XGBOOST";
})(Framework = exports.Framework || (exports.Framework = {}));
var InputConfig;
(function (InputConfig) {
    InputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InputConfig = exports.InputConfig || (exports.InputConfig = {}));
var TargetPlatform;
(function (TargetPlatform) {
    TargetPlatform.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TargetPlatform = exports.TargetPlatform || (exports.TargetPlatform = {}));
var OutputConfig;
(function (OutputConfig) {
    OutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OutputConfig = exports.OutputConfig || (exports.OutputConfig = {}));
var NeoVpcConfig;
(function (NeoVpcConfig) {
    NeoVpcConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NeoVpcConfig = exports.NeoVpcConfig || (exports.NeoVpcConfig = {}));
var CreateCompilationJobRequest;
(function (CreateCompilationJobRequest) {
    CreateCompilationJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateCompilationJobRequest = exports.CreateCompilationJobRequest || (exports.CreateCompilationJobRequest = {}));
var CreateCompilationJobResponse;
(function (CreateCompilationJobResponse) {
    CreateCompilationJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateCompilationJobResponse = exports.CreateCompilationJobResponse || (exports.CreateCompilationJobResponse = {}));
var CreateContextRequest;
(function (CreateContextRequest) {
    CreateContextRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateContextRequest = exports.CreateContextRequest || (exports.CreateContextRequest = {}));
var CreateContextResponse;
(function (CreateContextResponse) {
    CreateContextResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateContextResponse = exports.CreateContextResponse || (exports.CreateContextResponse = {}));
var DataQualityAppSpecification;
(function (DataQualityAppSpecification) {
    DataQualityAppSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataQualityAppSpecification = exports.DataQualityAppSpecification || (exports.DataQualityAppSpecification = {}));
var MonitoringConstraintsResource;
(function (MonitoringConstraintsResource) {
    MonitoringConstraintsResource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringConstraintsResource = exports.MonitoringConstraintsResource || (exports.MonitoringConstraintsResource = {}));
var MonitoringStatisticsResource;
(function (MonitoringStatisticsResource) {
    MonitoringStatisticsResource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringStatisticsResource = exports.MonitoringStatisticsResource || (exports.MonitoringStatisticsResource = {}));
var DataQualityBaselineConfig;
(function (DataQualityBaselineConfig) {
    DataQualityBaselineConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataQualityBaselineConfig = exports.DataQualityBaselineConfig || (exports.DataQualityBaselineConfig = {}));
var ProcessingS3DataDistributionType;
(function (ProcessingS3DataDistributionType) {
    ProcessingS3DataDistributionType["FULLYREPLICATED"] = "FullyReplicated";
    ProcessingS3DataDistributionType["SHARDEDBYS3KEY"] = "ShardedByS3Key";
})(ProcessingS3DataDistributionType = exports.ProcessingS3DataDistributionType || (exports.ProcessingS3DataDistributionType = {}));
var ProcessingS3InputMode;
(function (ProcessingS3InputMode) {
    ProcessingS3InputMode["FILE"] = "File";
    ProcessingS3InputMode["PIPE"] = "Pipe";
})(ProcessingS3InputMode = exports.ProcessingS3InputMode || (exports.ProcessingS3InputMode = {}));
var EndpointInput;
(function (EndpointInput) {
    EndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EndpointInput = exports.EndpointInput || (exports.EndpointInput = {}));
var DataQualityJobInput;
(function (DataQualityJobInput) {
    DataQualityJobInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataQualityJobInput = exports.DataQualityJobInput || (exports.DataQualityJobInput = {}));
var ProcessingS3UploadMode;
(function (ProcessingS3UploadMode) {
    ProcessingS3UploadMode["CONTINUOUS"] = "Continuous";
    ProcessingS3UploadMode["END_OF_JOB"] = "EndOfJob";
})(ProcessingS3UploadMode = exports.ProcessingS3UploadMode || (exports.ProcessingS3UploadMode = {}));
var MonitoringS3Output;
(function (MonitoringS3Output) {
    MonitoringS3Output.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringS3Output = exports.MonitoringS3Output || (exports.MonitoringS3Output = {}));
var MonitoringOutput;
(function (MonitoringOutput) {
    MonitoringOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringOutput = exports.MonitoringOutput || (exports.MonitoringOutput = {}));
var MonitoringOutputConfig;
(function (MonitoringOutputConfig) {
    MonitoringOutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringOutputConfig = exports.MonitoringOutputConfig || (exports.MonitoringOutputConfig = {}));
var ProcessingInstanceType;
(function (ProcessingInstanceType) {
    ProcessingInstanceType["ML_C4_2XLARGE"] = "ml.c4.2xlarge";
    ProcessingInstanceType["ML_C4_4XLARGE"] = "ml.c4.4xlarge";
    ProcessingInstanceType["ML_C4_8XLARGE"] = "ml.c4.8xlarge";
    ProcessingInstanceType["ML_C4_XLARGE"] = "ml.c4.xlarge";
    ProcessingInstanceType["ML_C5_18XLARGE"] = "ml.c5.18xlarge";
    ProcessingInstanceType["ML_C5_2XLARGE"] = "ml.c5.2xlarge";
    ProcessingInstanceType["ML_C5_4XLARGE"] = "ml.c5.4xlarge";
    ProcessingInstanceType["ML_C5_9XLARGE"] = "ml.c5.9xlarge";
    ProcessingInstanceType["ML_C5_XLARGE"] = "ml.c5.xlarge";
    ProcessingInstanceType["ML_G4DN_12XLARGE"] = "ml.g4dn.12xlarge";
    ProcessingInstanceType["ML_G4DN_16XLARGE"] = "ml.g4dn.16xlarge";
    ProcessingInstanceType["ML_G4DN_2XLARGE"] = "ml.g4dn.2xlarge";
    ProcessingInstanceType["ML_G4DN_4XLARGE"] = "ml.g4dn.4xlarge";
    ProcessingInstanceType["ML_G4DN_8XLARGE"] = "ml.g4dn.8xlarge";
    ProcessingInstanceType["ML_G4DN_XLARGE"] = "ml.g4dn.xlarge";
    ProcessingInstanceType["ML_M4_10XLARGE"] = "ml.m4.10xlarge";
    ProcessingInstanceType["ML_M4_16XLARGE"] = "ml.m4.16xlarge";
    ProcessingInstanceType["ML_M4_2XLARGE"] = "ml.m4.2xlarge";
    ProcessingInstanceType["ML_M4_4XLARGE"] = "ml.m4.4xlarge";
    ProcessingInstanceType["ML_M4_XLARGE"] = "ml.m4.xlarge";
    ProcessingInstanceType["ML_M5_12XLARGE"] = "ml.m5.12xlarge";
    ProcessingInstanceType["ML_M5_24XLARGE"] = "ml.m5.24xlarge";
    ProcessingInstanceType["ML_M5_2XLARGE"] = "ml.m5.2xlarge";
    ProcessingInstanceType["ML_M5_4XLARGE"] = "ml.m5.4xlarge";
    ProcessingInstanceType["ML_M5_LARGE"] = "ml.m5.large";
    ProcessingInstanceType["ML_M5_XLARGE"] = "ml.m5.xlarge";
    ProcessingInstanceType["ML_P2_16XLARGE"] = "ml.p2.16xlarge";
    ProcessingInstanceType["ML_P2_8XLARGE"] = "ml.p2.8xlarge";
    ProcessingInstanceType["ML_P2_XLARGE"] = "ml.p2.xlarge";
    ProcessingInstanceType["ML_P3_16XLARGE"] = "ml.p3.16xlarge";
    ProcessingInstanceType["ML_P3_2XLARGE"] = "ml.p3.2xlarge";
    ProcessingInstanceType["ML_P3_8XLARGE"] = "ml.p3.8xlarge";
    ProcessingInstanceType["ML_R5_12XLARGE"] = "ml.r5.12xlarge";
    ProcessingInstanceType["ML_R5_16XLARGE"] = "ml.r5.16xlarge";
    ProcessingInstanceType["ML_R5_24XLARGE"] = "ml.r5.24xlarge";
    ProcessingInstanceType["ML_R5_2XLARGE"] = "ml.r5.2xlarge";
    ProcessingInstanceType["ML_R5_4XLARGE"] = "ml.r5.4xlarge";
    ProcessingInstanceType["ML_R5_8XLARGE"] = "ml.r5.8xlarge";
    ProcessingInstanceType["ML_R5_LARGE"] = "ml.r5.large";
    ProcessingInstanceType["ML_R5_XLARGE"] = "ml.r5.xlarge";
    ProcessingInstanceType["ML_T3_2XLARGE"] = "ml.t3.2xlarge";
    ProcessingInstanceType["ML_T3_LARGE"] = "ml.t3.large";
    ProcessingInstanceType["ML_T3_MEDIUM"] = "ml.t3.medium";
    ProcessingInstanceType["ML_T3_XLARGE"] = "ml.t3.xlarge";
})(ProcessingInstanceType = exports.ProcessingInstanceType || (exports.ProcessingInstanceType = {}));
var MonitoringClusterConfig;
(function (MonitoringClusterConfig) {
    MonitoringClusterConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringClusterConfig = exports.MonitoringClusterConfig || (exports.MonitoringClusterConfig = {}));
var MonitoringResources;
(function (MonitoringResources) {
    MonitoringResources.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringResources = exports.MonitoringResources || (exports.MonitoringResources = {}));
var MonitoringNetworkConfig;
(function (MonitoringNetworkConfig) {
    MonitoringNetworkConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringNetworkConfig = exports.MonitoringNetworkConfig || (exports.MonitoringNetworkConfig = {}));
var MonitoringStoppingCondition;
(function (MonitoringStoppingCondition) {
    MonitoringStoppingCondition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringStoppingCondition = exports.MonitoringStoppingCondition || (exports.MonitoringStoppingCondition = {}));
var CreateDataQualityJobDefinitionRequest;
(function (CreateDataQualityJobDefinitionRequest) {
    CreateDataQualityJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDataQualityJobDefinitionRequest = exports.CreateDataQualityJobDefinitionRequest || (exports.CreateDataQualityJobDefinitionRequest = {}));
var CreateDataQualityJobDefinitionResponse;
(function (CreateDataQualityJobDefinitionResponse) {
    CreateDataQualityJobDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDataQualityJobDefinitionResponse = exports.CreateDataQualityJobDefinitionResponse || (exports.CreateDataQualityJobDefinitionResponse = {}));
var EdgePresetDeploymentType;
(function (EdgePresetDeploymentType) {
    EdgePresetDeploymentType["GreengrassV2Component"] = "GreengrassV2Component";
})(EdgePresetDeploymentType = exports.EdgePresetDeploymentType || (exports.EdgePresetDeploymentType = {}));
var EdgeOutputConfig;
(function (EdgeOutputConfig) {
    EdgeOutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EdgeOutputConfig = exports.EdgeOutputConfig || (exports.EdgeOutputConfig = {}));
var CreateDeviceFleetRequest;
(function (CreateDeviceFleetRequest) {
    CreateDeviceFleetRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDeviceFleetRequest = exports.CreateDeviceFleetRequest || (exports.CreateDeviceFleetRequest = {}));
var JupyterServerAppSettings;
(function (JupyterServerAppSettings) {
    JupyterServerAppSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(JupyterServerAppSettings = exports.JupyterServerAppSettings || (exports.JupyterServerAppSettings = {}));
var CustomImage;
(function (CustomImage) {
    CustomImage.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CustomImage = exports.CustomImage || (exports.CustomImage = {}));
var KernelGatewayAppSettings;
(function (KernelGatewayAppSettings) {
    KernelGatewayAppSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(KernelGatewayAppSettings = exports.KernelGatewayAppSettings || (exports.KernelGatewayAppSettings = {}));
var RSessionAppSettings;
(function (RSessionAppSettings) {
    RSessionAppSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RSessionAppSettings = exports.RSessionAppSettings || (exports.RSessionAppSettings = {}));
var RStudioServerProAccessStatus;
(function (RStudioServerProAccessStatus) {
    RStudioServerProAccessStatus["Disabled"] = "DISABLED";
    RStudioServerProAccessStatus["Enabled"] = "ENABLED";
})(RStudioServerProAccessStatus = exports.RStudioServerProAccessStatus || (exports.RStudioServerProAccessStatus = {}));
var RStudioServerProUserGroup;
(function (RStudioServerProUserGroup) {
    RStudioServerProUserGroup["Admin"] = "R_STUDIO_ADMIN";
    RStudioServerProUserGroup["User"] = "R_STUDIO_USER";
})(RStudioServerProUserGroup = exports.RStudioServerProUserGroup || (exports.RStudioServerProUserGroup = {}));
var RStudioServerProAppSettings;
(function (RStudioServerProAppSettings) {
    RStudioServerProAppSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RStudioServerProAppSettings = exports.RStudioServerProAppSettings || (exports.RStudioServerProAppSettings = {}));
var NotebookOutputOption;
(function (NotebookOutputOption) {
    NotebookOutputOption["Allowed"] = "Allowed";
    NotebookOutputOption["Disabled"] = "Disabled";
})(NotebookOutputOption = exports.NotebookOutputOption || (exports.NotebookOutputOption = {}));
var SharingSettings;
(function (SharingSettings) {
    SharingSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SharingSettings = exports.SharingSettings || (exports.SharingSettings = {}));
var TensorBoardAppSettings;
(function (TensorBoardAppSettings) {
    TensorBoardAppSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TensorBoardAppSettings = exports.TensorBoardAppSettings || (exports.TensorBoardAppSettings = {}));
var UserSettings;
(function (UserSettings) {
    UserSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UserSettings = exports.UserSettings || (exports.UserSettings = {}));
var RStudioServerProDomainSettings;
(function (RStudioServerProDomainSettings) {
    RStudioServerProDomainSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RStudioServerProDomainSettings = exports.RStudioServerProDomainSettings || (exports.RStudioServerProDomainSettings = {}));
var DomainSettings;
(function (DomainSettings) {
    DomainSettings.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DomainSettings = exports.DomainSettings || (exports.DomainSettings = {}));
var CreateDomainRequest;
(function (CreateDomainRequest) {
    CreateDomainRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDomainRequest = exports.CreateDomainRequest || (exports.CreateDomainRequest = {}));
var CreateDomainResponse;
(function (CreateDomainResponse) {
    CreateDomainResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateDomainResponse = exports.CreateDomainResponse || (exports.CreateDomainResponse = {}));
var CreateEdgePackagingJobRequest;
(function (CreateEdgePackagingJobRequest) {
    CreateEdgePackagingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateEdgePackagingJobRequest = exports.CreateEdgePackagingJobRequest || (exports.CreateEdgePackagingJobRequest = {}));
var DeploymentConfig;
(function (DeploymentConfig) {
    DeploymentConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeploymentConfig = exports.DeploymentConfig || (exports.DeploymentConfig = {}));
var CreateEndpointInput;
(function (CreateEndpointInput) {
    CreateEndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateEndpointInput = exports.CreateEndpointInput || (exports.CreateEndpointInput = {}));
var CreateEndpointOutput;
(function (CreateEndpointOutput) {
    CreateEndpointOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateEndpointOutput = exports.CreateEndpointOutput || (exports.CreateEndpointOutput = {}));
var DataCaptureConfig;
(function (DataCaptureConfig) {
    DataCaptureConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataCaptureConfig = exports.DataCaptureConfig || (exports.DataCaptureConfig = {}));
var ProductionVariantAcceleratorType;
(function (ProductionVariantAcceleratorType) {
    ProductionVariantAcceleratorType["ML_EIA1_LARGE"] = "ml.eia1.large";
    ProductionVariantAcceleratorType["ML_EIA1_MEDIUM"] = "ml.eia1.medium";
    ProductionVariantAcceleratorType["ML_EIA1_XLARGE"] = "ml.eia1.xlarge";
    ProductionVariantAcceleratorType["ML_EIA2_LARGE"] = "ml.eia2.large";
    ProductionVariantAcceleratorType["ML_EIA2_MEDIUM"] = "ml.eia2.medium";
    ProductionVariantAcceleratorType["ML_EIA2_XLARGE"] = "ml.eia2.xlarge";
})(ProductionVariantAcceleratorType = exports.ProductionVariantAcceleratorType || (exports.ProductionVariantAcceleratorType = {}));
var ProductionVariantCoreDumpConfig;
(function (ProductionVariantCoreDumpConfig) {
    ProductionVariantCoreDumpConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProductionVariantCoreDumpConfig = exports.ProductionVariantCoreDumpConfig || (exports.ProductionVariantCoreDumpConfig = {}));
var ProductionVariantServerlessConfig;
(function (ProductionVariantServerlessConfig) {
    ProductionVariantServerlessConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProductionVariantServerlessConfig = exports.ProductionVariantServerlessConfig || (exports.ProductionVariantServerlessConfig = {}));
var ProductionVariant;
(function (ProductionVariant) {
    ProductionVariant.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProductionVariant = exports.ProductionVariant || (exports.ProductionVariant = {}));
var CreateEndpointConfigInput;
(function (CreateEndpointConfigInput) {
    CreateEndpointConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateEndpointConfigInput = exports.CreateEndpointConfigInput || (exports.CreateEndpointConfigInput = {}));
var CreateEndpointConfigOutput;
(function (CreateEndpointConfigOutput) {
    CreateEndpointConfigOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateEndpointConfigOutput = exports.CreateEndpointConfigOutput || (exports.CreateEndpointConfigOutput = {}));
var CreateExperimentRequest;
(function (CreateExperimentRequest) {
    CreateExperimentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateExperimentRequest = exports.CreateExperimentRequest || (exports.CreateExperimentRequest = {}));
var CreateExperimentResponse;
(function (CreateExperimentResponse) {
    CreateExperimentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateExperimentResponse = exports.CreateExperimentResponse || (exports.CreateExperimentResponse = {}));
var FeatureType;
(function (FeatureType) {
    FeatureType["FRACTIONAL"] = "Fractional";
    FeatureType["INTEGRAL"] = "Integral";
    FeatureType["STRING"] = "String";
})(FeatureType = exports.FeatureType || (exports.FeatureType = {}));
var FeatureDefinition;
(function (FeatureDefinition) {
    FeatureDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FeatureDefinition = exports.FeatureDefinition || (exports.FeatureDefinition = {}));
var DataCatalogConfig;
(function (DataCatalogConfig) {
    DataCatalogConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataCatalogConfig = exports.DataCatalogConfig || (exports.DataCatalogConfig = {}));
var S3StorageConfig;
(function (S3StorageConfig) {
    S3StorageConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3StorageConfig = exports.S3StorageConfig || (exports.S3StorageConfig = {}));
var OfflineStoreConfig;
(function (OfflineStoreConfig) {
    OfflineStoreConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OfflineStoreConfig = exports.OfflineStoreConfig || (exports.OfflineStoreConfig = {}));
var OnlineStoreSecurityConfig;
(function (OnlineStoreSecurityConfig) {
    OnlineStoreSecurityConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OnlineStoreSecurityConfig = exports.OnlineStoreSecurityConfig || (exports.OnlineStoreSecurityConfig = {}));
var OnlineStoreConfig;
(function (OnlineStoreConfig) {
    OnlineStoreConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OnlineStoreConfig = exports.OnlineStoreConfig || (exports.OnlineStoreConfig = {}));
var CreateFeatureGroupRequest;
(function (CreateFeatureGroupRequest) {
    CreateFeatureGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFeatureGroupRequest = exports.CreateFeatureGroupRequest || (exports.CreateFeatureGroupRequest = {}));
var CreateFeatureGroupResponse;
(function (CreateFeatureGroupResponse) {
    CreateFeatureGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFeatureGroupResponse = exports.CreateFeatureGroupResponse || (exports.CreateFeatureGroupResponse = {}));
var HumanLoopActivationConditionsConfig;
(function (HumanLoopActivationConditionsConfig) {
    HumanLoopActivationConditionsConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HumanLoopActivationConditionsConfig = exports.HumanLoopActivationConditionsConfig || (exports.HumanLoopActivationConditionsConfig = {}));
var HumanLoopActivationConfig;
(function (HumanLoopActivationConfig) {
    HumanLoopActivationConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HumanLoopActivationConfig = exports.HumanLoopActivationConfig || (exports.HumanLoopActivationConfig = {}));
var USD;
(function (USD) {
    USD.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(USD = exports.USD || (exports.USD = {}));
var PublicWorkforceTaskPrice;
(function (PublicWorkforceTaskPrice) {
    PublicWorkforceTaskPrice.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PublicWorkforceTaskPrice = exports.PublicWorkforceTaskPrice || (exports.PublicWorkforceTaskPrice = {}));
var HumanLoopConfig;
(function (HumanLoopConfig) {
    HumanLoopConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HumanLoopConfig = exports.HumanLoopConfig || (exports.HumanLoopConfig = {}));
var HumanLoopRequestSource;
(function (HumanLoopRequestSource) {
    HumanLoopRequestSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HumanLoopRequestSource = exports.HumanLoopRequestSource || (exports.HumanLoopRequestSource = {}));
var FlowDefinitionOutputConfig;
(function (FlowDefinitionOutputConfig) {
    FlowDefinitionOutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FlowDefinitionOutputConfig = exports.FlowDefinitionOutputConfig || (exports.FlowDefinitionOutputConfig = {}));
var CreateFlowDefinitionRequest;
(function (CreateFlowDefinitionRequest) {
    CreateFlowDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFlowDefinitionRequest = exports.CreateFlowDefinitionRequest || (exports.CreateFlowDefinitionRequest = {}));
var CreateFlowDefinitionResponse;
(function (CreateFlowDefinitionResponse) {
    CreateFlowDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFlowDefinitionResponse = exports.CreateFlowDefinitionResponse || (exports.CreateFlowDefinitionResponse = {}));
var UiTemplate;
(function (UiTemplate) {
    UiTemplate.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UiTemplate = exports.UiTemplate || (exports.UiTemplate = {}));
var CreateHumanTaskUiRequest;
(function (CreateHumanTaskUiRequest) {
    CreateHumanTaskUiRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateHumanTaskUiRequest = exports.CreateHumanTaskUiRequest || (exports.CreateHumanTaskUiRequest = {}));
var CreateHumanTaskUiResponse;
(function (CreateHumanTaskUiResponse) {
    CreateHumanTaskUiResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateHumanTaskUiResponse = exports.CreateHumanTaskUiResponse || (exports.CreateHumanTaskUiResponse = {}));
var IntegerParameterRange;
(function (IntegerParameterRange) {
    IntegerParameterRange.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(IntegerParameterRange = exports.IntegerParameterRange || (exports.IntegerParameterRange = {}));
var ParameterRanges;
(function (ParameterRanges) {
    ParameterRanges.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParameterRanges = exports.ParameterRanges || (exports.ParameterRanges = {}));
var ResourceLimits;
(function (ResourceLimits) {
    ResourceLimits.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResourceLimits = exports.ResourceLimits || (exports.ResourceLimits = {}));
var HyperParameterTuningJobStrategyType;
(function (HyperParameterTuningJobStrategyType) {
    HyperParameterTuningJobStrategyType["BAYESIAN"] = "Bayesian";
    HyperParameterTuningJobStrategyType["RANDOM"] = "Random";
})(HyperParameterTuningJobStrategyType = exports.HyperParameterTuningJobStrategyType || (exports.HyperParameterTuningJobStrategyType = {}));
var TrainingJobEarlyStoppingType;
(function (TrainingJobEarlyStoppingType) {
    TrainingJobEarlyStoppingType["AUTO"] = "Auto";
    TrainingJobEarlyStoppingType["OFF"] = "Off";
})(TrainingJobEarlyStoppingType = exports.TrainingJobEarlyStoppingType || (exports.TrainingJobEarlyStoppingType = {}));
var TuningJobCompletionCriteria;
(function (TuningJobCompletionCriteria) {
    TuningJobCompletionCriteria.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TuningJobCompletionCriteria = exports.TuningJobCompletionCriteria || (exports.TuningJobCompletionCriteria = {}));
var HyperParameterTuningJobConfig;
(function (HyperParameterTuningJobConfig) {
    HyperParameterTuningJobConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HyperParameterTuningJobConfig = exports.HyperParameterTuningJobConfig || (exports.HyperParameterTuningJobConfig = {}));
var HyperParameterAlgorithmSpecification;
(function (HyperParameterAlgorithmSpecification) {
    HyperParameterAlgorithmSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HyperParameterAlgorithmSpecification = exports.HyperParameterAlgorithmSpecification || (exports.HyperParameterAlgorithmSpecification = {}));
var RetryStrategy;
(function (RetryStrategy) {
    RetryStrategy.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RetryStrategy = exports.RetryStrategy || (exports.RetryStrategy = {}));
var HyperParameterTrainingJobDefinition;
(function (HyperParameterTrainingJobDefinition) {
    HyperParameterTrainingJobDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HyperParameterTrainingJobDefinition = exports.HyperParameterTrainingJobDefinition || (exports.HyperParameterTrainingJobDefinition = {}));
var ParentHyperParameterTuningJob;
(function (ParentHyperParameterTuningJob) {
    ParentHyperParameterTuningJob.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParentHyperParameterTuningJob = exports.ParentHyperParameterTuningJob || (exports.ParentHyperParameterTuningJob = {}));
var HyperParameterTuningJobWarmStartType;
(function (HyperParameterTuningJobWarmStartType) {
    HyperParameterTuningJobWarmStartType["IDENTICAL_DATA_AND_ALGORITHM"] = "IdenticalDataAndAlgorithm";
    HyperParameterTuningJobWarmStartType["TRANSFER_LEARNING"] = "TransferLearning";
})(HyperParameterTuningJobWarmStartType = exports.HyperParameterTuningJobWarmStartType || (exports.HyperParameterTuningJobWarmStartType = {}));
var HyperParameterTuningJobWarmStartConfig;
(function (HyperParameterTuningJobWarmStartConfig) {
    HyperParameterTuningJobWarmStartConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HyperParameterTuningJobWarmStartConfig = exports.HyperParameterTuningJobWarmStartConfig || (exports.HyperParameterTuningJobWarmStartConfig = {}));
var CreateHyperParameterTuningJobRequest;
(function (CreateHyperParameterTuningJobRequest) {
    CreateHyperParameterTuningJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateHyperParameterTuningJobRequest = exports.CreateHyperParameterTuningJobRequest || (exports.CreateHyperParameterTuningJobRequest = {}));
var CreateHyperParameterTuningJobResponse;
(function (CreateHyperParameterTuningJobResponse) {
    CreateHyperParameterTuningJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateHyperParameterTuningJobResponse = exports.CreateHyperParameterTuningJobResponse || (exports.CreateHyperParameterTuningJobResponse = {}));
var CreateImageRequest;
(function (CreateImageRequest) {
    CreateImageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateImageRequest = exports.CreateImageRequest || (exports.CreateImageRequest = {}));
var CreateImageResponse;
(function (CreateImageResponse) {
    CreateImageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateImageResponse = exports.CreateImageResponse || (exports.CreateImageResponse = {}));
var CreateImageVersionRequest;
(function (CreateImageVersionRequest) {
    CreateImageVersionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateImageVersionRequest = exports.CreateImageVersionRequest || (exports.CreateImageVersionRequest = {}));
var CreateImageVersionResponse;
(function (CreateImageVersionResponse) {
    CreateImageVersionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateImageVersionResponse = exports.CreateImageVersionResponse || (exports.CreateImageVersionResponse = {}));
var EnvironmentParameterRanges;
(function (EnvironmentParameterRanges) {
    EnvironmentParameterRanges.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EnvironmentParameterRanges = exports.EnvironmentParameterRanges || (exports.EnvironmentParameterRanges = {}));
