"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceAlgorithm = exports.ModelMetrics = exports.ModelQuality = exports.ModelDataQuality = exports.Explainability = exports.DriftCheckBaselines = exports.DriftCheckModelQuality = exports.DriftCheckModelDataQuality = exports.DriftCheckExplainability = exports.DriftCheckBias = exports.FileSource = exports.CreateModelExplainabilityJobDefinitionResponse = exports.CreateModelExplainabilityJobDefinitionRequest = exports.ModelExplainabilityJobInput = exports.ModelExplainabilityBaselineConfig = exports.ModelExplainabilityAppSpecification = exports.CreateModelBiasJobDefinitionResponse = exports.CreateModelBiasJobDefinitionRequest = exports.ModelBiasJobInput = exports.MonitoringGroundTruthS3Input = exports.ModelBiasBaselineConfig = exports.ModelBiasAppSpecification = exports.CreateModelOutput = exports.CreateModelInput = exports.InferenceExecutionConfig = exports.InferenceExecutionMode = exports.CreateLabelingJobResponse = exports.CreateLabelingJobRequest = exports.LabelingJobStoppingConditions = exports.LabelingJobOutputConfig = exports.LabelingJobAlgorithmsConfig = exports.LabelingJobResourceConfig = exports.LabelingJobInputConfig = exports.LabelingJobDataSource = exports.LabelingJobSnsDataSource = exports.LabelingJobS3DataSource = exports.LabelingJobDataAttributes = exports.HumanTaskConfig = exports.UiConfig = exports.CreateInferenceRecommendationsJobResponse = exports.CreateInferenceRecommendationsJobRequest = exports.RecommendationJobStoppingConditions = exports.ModelLatencyThreshold = exports.RecommendationJobType = exports.RecommendationJobInputConfig = exports.TrafficPattern = exports.TrafficType = exports.Phase = exports.RecommendationJobResourceLimit = exports.EndpointInputConfiguration = void 0;
exports.ProcessingS3Input = exports.ProcessingS3DataType = exports.ProcessingS3CompressionType = exports.DatasetDefinition = exports.RedshiftDatasetDefinition = exports.RedshiftResultFormat = exports.RedshiftResultCompressionType = exports.InputMode = exports.DataDistributionType = exports.ExperimentConfig = exports.CreatePresignedNotebookInstanceUrlOutput = exports.CreatePresignedNotebookInstanceUrlInput = exports.CreatePresignedDomainUrlResponse = exports.CreatePresignedDomainUrlRequest = exports.CreatePipelineResponse = exports.CreatePipelineRequest = exports.PipelineDefinitionS3Location = exports.ParallelismConfiguration = exports.CreateNotebookInstanceLifecycleConfigOutput = exports.CreateNotebookInstanceLifecycleConfigInput = exports.NotebookInstanceLifecycleHook = exports.CreateNotebookInstanceOutput = exports.CreateNotebookInstanceInput = exports.RootAccess = exports._InstanceType = exports.DirectInternetAccess = exports.NotebookInstanceAcceleratorType = exports.CreateMonitoringScheduleResponse = exports.CreateMonitoringScheduleRequest = exports.MonitoringScheduleConfig = exports.ScheduleConfig = exports.MonitoringType = exports.MonitoringJobDefinition = exports.NetworkConfig = exports.MonitoringInput = exports.MonitoringAppSpecification = exports.MonitoringBaselineConfig = exports.CreateModelQualityJobDefinitionResponse = exports.CreateModelQualityJobDefinitionRequest = exports.ModelQualityJobInput = exports.ModelQualityBaselineConfig = exports.ModelQualityAppSpecification = exports.MonitoringProblemType = exports.CreateModelPackageGroupOutput = exports.CreateModelPackageGroupInput = exports.CreateModelPackageOutput = exports.CreateModelPackageInput = exports.ModelPackageValidationSpecification = exports.ModelPackageValidationProfile = exports.SourceAlgorithmSpecification = void 0;
exports.RuleEvaluationStatus = exports.DataCaptureConfigSummary = exports.CreateWorkteamResponse = exports.CreateWorkteamRequest = exports.NotificationConfiguration = exports.MemberDefinition = exports.OidcMemberDefinition = exports.CreateWorkforceResponse = exports.CreateWorkforceRequest = exports.SourceIpConfig = exports.OidcConfig = exports.CreateUserProfileResponse = exports.CreateUserProfileRequest = exports.CreateTrialComponentResponse = exports.CreateTrialComponentRequest = exports.TrialComponentStatus = exports.TrialComponentPrimaryStatus = exports.TrialComponentParameterValue = exports.TrialComponentArtifact = exports.CreateTrialResponse = exports.CreateTrialRequest = exports.CreateTransformJobResponse = exports.CreateTransformJobRequest = exports.ModelClientConfig = exports.DataProcessing = exports.JoinSource = exports.CreateTrainingJobResponse = exports.CreateTrainingJobRequest = exports.TensorBoardOutputConfig = exports.ProfilerRuleConfiguration = exports.ProfilerConfig = exports.DebugRuleConfiguration = exports.DebugHookConfig = exports.CreateStudioLifecycleConfigResponse = exports.CreateStudioLifecycleConfigRequest = exports.StudioLifecycleConfigAppType = exports.CreateProjectOutput = exports.CreateProjectInput = exports.ServiceCatalogProvisioningDetails = exports.ProvisioningParameter = exports.CreateProcessingJobResponse = exports.CreateProcessingJobRequest = exports.ProcessingStoppingCondition = exports.ProcessingResources = exports.ProcessingClusterConfig = exports.ProcessingOutputConfig = exports.ProcessingOutput = exports.ProcessingS3Output = exports.ProcessingFeatureStoreOutput = exports.ProcessingInput = void 0;
exports.DeleteTrialComponentRequest = exports.DeleteTrialResponse = exports.DeleteTrialRequest = exports.DeleteTagsOutput = exports.DeleteTagsInput = exports.DeleteStudioLifecycleConfigRequest = exports.DeleteProjectInput = exports.DeletePipelineResponse = exports.DeletePipelineRequest = exports.DeleteNotebookInstanceLifecycleConfigInput = exports.DeleteNotebookInstanceInput = exports.DeleteMonitoringScheduleRequest = exports.DeleteModelQualityJobDefinitionRequest = exports.DeleteModelPackageGroupPolicyInput = exports.DeleteModelPackageGroupInput = exports.DeleteModelPackageInput = exports.DeleteModelExplainabilityJobDefinitionRequest = exports.DeleteModelBiasJobDefinitionRequest = exports.DeleteModelInput = exports.DeleteImageVersionResponse = exports.DeleteImageVersionRequest = exports.DeleteImageResponse = exports.DeleteImageRequest = exports.DeleteHumanTaskUiResponse = exports.DeleteHumanTaskUiRequest = exports.DeleteFlowDefinitionResponse = exports.DeleteFlowDefinitionRequest = exports.DeleteFeatureGroupRequest = exports.DeleteExperimentResponse = exports.DeleteExperimentRequest = exports.DeleteEndpointConfigInput = exports.DeleteEndpointInput = exports.DeleteDomainRequest = exports.RetentionPolicy = exports.RetentionType = exports.DeleteDeviceFleetRequest = exports.DeleteDataQualityJobDefinitionRequest = exports.DeleteContextResponse = exports.DeleteContextRequest = exports.DeleteCodeRepositoryInput = exports.DeleteAssociationResponse = exports.DeleteAssociationRequest = exports.DeleteArtifactResponse = exports.DeleteArtifactRequest = exports.DeleteAppImageConfigRequest = exports.DeleteAppRequest = exports.DeleteAlgorithmInput = exports.DeleteActionResponse = exports.DeleteActionRequest = exports.DebugRuleEvaluationStatus = void 0;
exports.PendingProductionVariantSummary = exports.ProductionVariantStatus = exports.VariantStatus = exports.EndpointStatus = exports.DescribeEndpointInput = exports.DescribeEdgePackagingJobResponse = exports.EdgePresetDeploymentOutput = exports.EdgePresetDeploymentStatus = exports.EdgePackagingJobStatus = exports.DescribeEdgePackagingJobRequest = exports.DescribeDomainResponse = exports.DomainStatus = exports.DescribeDomainRequest = exports.DescribeDeviceFleetResponse = exports.DescribeDeviceFleetRequest = exports.DescribeDeviceResponse = exports.EdgeModel = exports.DescribeDeviceRequest = exports.DescribeDataQualityJobDefinitionResponse = exports.DescribeDataQualityJobDefinitionRequest = exports.DescribeContextResponse = exports.DescribeContextRequest = exports.DescribeCompilationJobResponse = exports.ModelDigests = exports.ModelArtifacts = exports.DescribeCompilationJobRequest = exports.DescribeCodeRepositoryOutput = exports.DescribeCodeRepositoryInput = exports.DescribeAutoMLJobResponse = exports.ResolvedAttributes = exports.ModelDeployResult = exports.DescribeAutoMLJobRequest = exports.DescribeArtifactResponse = exports.DescribeArtifactRequest = exports.DescribeAppImageConfigResponse = exports.DescribeAppImageConfigRequest = exports.DescribeAppResponse = exports.DescribeAppRequest = exports.DescribeAlgorithmOutput = exports.DescribeAlgorithmInput = exports.DescribeActionResponse = exports.DescribeActionRequest = exports.DeregisterDevicesRequest = exports.DeployedImage = exports.DeleteWorkteamResponse = exports.DeleteWorkteamRequest = exports.DeleteWorkforceResponse = exports.DeleteWorkforceRequest = exports.DeleteUserProfileRequest = exports.DeleteTrialComponentResponse = void 0;
exports.DescribeModelInput = exports.DescribeLineageGroupResponse = exports.DescribeLineageGroupRequest = exports.DescribeLabelingJobResponse = exports.LabelingJobStatus = exports.LabelingJobOutput = exports.LabelCounters = exports.DescribeLabelingJobRequest = exports.DescribeInferenceRecommendationsJobResponse = exports.RecommendationJobStatus = exports.InferenceRecommendation = exports.ModelConfiguration = exports.EnvironmentParameter = exports.RecommendationMetrics = exports.EndpointOutputConfiguration = exports.DescribeInferenceRecommendationsJobRequest = exports.DescribeImageVersionResponse = exports.ImageVersionStatus = exports.DescribeImageVersionRequest = exports.DescribeImageResponse = exports.ImageStatus = exports.DescribeImageRequest = exports.DescribeHyperParameterTuningJobResponse = exports.TrainingJobStatusCounters = exports.ObjectiveStatusCounters = exports.HyperParameterTuningJobStatus = exports.HyperParameterTrainingJobSummary = exports.TrainingJobStatus = exports.FinalHyperParameterTuningJobObjectiveMetric = exports.DescribeHyperParameterTuningJobRequest = exports.DescribeHumanTaskUiResponse = exports.UiTemplateInfo = exports.HumanTaskUiStatus = exports.DescribeHumanTaskUiRequest = exports.DescribeFlowDefinitionResponse = exports.FlowDefinitionStatus = exports.DescribeFlowDefinitionRequest = exports.DescribeFeatureGroupResponse = exports.OfflineStoreStatus = exports.OfflineStoreStatusValue = exports.FeatureGroupStatus = exports.DescribeFeatureGroupRequest = exports.DescribeExperimentResponse = exports.ExperimentSource = exports.DescribeExperimentRequest = exports.DescribeEndpointConfigOutput = exports.DescribeEndpointConfigInput = exports.DescribeEndpointOutput = exports.ProductionVariantSummary = exports.PendingDeploymentSummary = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
var EndpointInputConfiguration;
(function (EndpointInputConfiguration) {
    EndpointInputConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EndpointInputConfiguration = exports.EndpointInputConfiguration || (exports.EndpointInputConfiguration = {}));
var RecommendationJobResourceLimit;
(function (RecommendationJobResourceLimit) {
    RecommendationJobResourceLimit.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationJobResourceLimit = exports.RecommendationJobResourceLimit || (exports.RecommendationJobResourceLimit = {}));
var Phase;
(function (Phase) {
    Phase.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Phase = exports.Phase || (exports.Phase = {}));
var TrafficType;
(function (TrafficType) {
    TrafficType["PHASES"] = "PHASES";
})(TrafficType = exports.TrafficType || (exports.TrafficType = {}));
var TrafficPattern;
(function (TrafficPattern) {
    TrafficPattern.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrafficPattern = exports.TrafficPattern || (exports.TrafficPattern = {}));
var RecommendationJobInputConfig;
(function (RecommendationJobInputConfig) {
    RecommendationJobInputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationJobInputConfig = exports.RecommendationJobInputConfig || (exports.RecommendationJobInputConfig = {}));
var RecommendationJobType;
(function (RecommendationJobType) {
    RecommendationJobType["ADVANCED"] = "Advanced";
    RecommendationJobType["DEFAULT"] = "Default";
})(RecommendationJobType = exports.RecommendationJobType || (exports.RecommendationJobType = {}));
var ModelLatencyThreshold;
(function (ModelLatencyThreshold) {
    ModelLatencyThreshold.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelLatencyThreshold = exports.ModelLatencyThreshold || (exports.ModelLatencyThreshold = {}));
var RecommendationJobStoppingConditions;
(function (RecommendationJobStoppingConditions) {
    RecommendationJobStoppingConditions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationJobStoppingConditions = exports.RecommendationJobStoppingConditions || (exports.RecommendationJobStoppingConditions = {}));
var CreateInferenceRecommendationsJobRequest;
(function (CreateInferenceRecommendationsJobRequest) {
    CreateInferenceRecommendationsJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateInferenceRecommendationsJobRequest = exports.CreateInferenceRecommendationsJobRequest || (exports.CreateInferenceRecommendationsJobRequest = {}));
var CreateInferenceRecommendationsJobResponse;
(function (CreateInferenceRecommendationsJobResponse) {
    CreateInferenceRecommendationsJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateInferenceRecommendationsJobResponse = exports.CreateInferenceRecommendationsJobResponse || (exports.CreateInferenceRecommendationsJobResponse = {}));
var UiConfig;
(function (UiConfig) {
    UiConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UiConfig = exports.UiConfig || (exports.UiConfig = {}));
var HumanTaskConfig;
(function (HumanTaskConfig) {
    HumanTaskConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HumanTaskConfig = exports.HumanTaskConfig || (exports.HumanTaskConfig = {}));
var LabelingJobDataAttributes;
(function (LabelingJobDataAttributes) {
    LabelingJobDataAttributes.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobDataAttributes = exports.LabelingJobDataAttributes || (exports.LabelingJobDataAttributes = {}));
var LabelingJobS3DataSource;
(function (LabelingJobS3DataSource) {
    LabelingJobS3DataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobS3DataSource = exports.LabelingJobS3DataSource || (exports.LabelingJobS3DataSource = {}));
var LabelingJobSnsDataSource;
(function (LabelingJobSnsDataSource) {
    LabelingJobSnsDataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobSnsDataSource = exports.LabelingJobSnsDataSource || (exports.LabelingJobSnsDataSource = {}));
var LabelingJobDataSource;
(function (LabelingJobDataSource) {
    LabelingJobDataSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobDataSource = exports.LabelingJobDataSource || (exports.LabelingJobDataSource = {}));
var LabelingJobInputConfig;
(function (LabelingJobInputConfig) {
    LabelingJobInputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobInputConfig = exports.LabelingJobInputConfig || (exports.LabelingJobInputConfig = {}));
var LabelingJobResourceConfig;
(function (LabelingJobResourceConfig) {
    LabelingJobResourceConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobResourceConfig = exports.LabelingJobResourceConfig || (exports.LabelingJobResourceConfig = {}));
var LabelingJobAlgorithmsConfig;
(function (LabelingJobAlgorithmsConfig) {
    LabelingJobAlgorithmsConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobAlgorithmsConfig = exports.LabelingJobAlgorithmsConfig || (exports.LabelingJobAlgorithmsConfig = {}));
var LabelingJobOutputConfig;
(function (LabelingJobOutputConfig) {
    LabelingJobOutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobOutputConfig = exports.LabelingJobOutputConfig || (exports.LabelingJobOutputConfig = {}));
var LabelingJobStoppingConditions;
(function (LabelingJobStoppingConditions) {
    LabelingJobStoppingConditions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobStoppingConditions = exports.LabelingJobStoppingConditions || (exports.LabelingJobStoppingConditions = {}));
var CreateLabelingJobRequest;
(function (CreateLabelingJobRequest) {
    CreateLabelingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLabelingJobRequest = exports.CreateLabelingJobRequest || (exports.CreateLabelingJobRequest = {}));
var CreateLabelingJobResponse;
(function (CreateLabelingJobResponse) {
    CreateLabelingJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLabelingJobResponse = exports.CreateLabelingJobResponse || (exports.CreateLabelingJobResponse = {}));
var InferenceExecutionMode;
(function (InferenceExecutionMode) {
    InferenceExecutionMode["DIRECT"] = "Direct";
    InferenceExecutionMode["SERIAL"] = "Serial";
})(InferenceExecutionMode = exports.InferenceExecutionMode || (exports.InferenceExecutionMode = {}));
var InferenceExecutionConfig;
(function (InferenceExecutionConfig) {
    InferenceExecutionConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InferenceExecutionConfig = exports.InferenceExecutionConfig || (exports.InferenceExecutionConfig = {}));
var CreateModelInput;
(function (CreateModelInput) {
    CreateModelInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelInput = exports.CreateModelInput || (exports.CreateModelInput = {}));
var CreateModelOutput;
(function (CreateModelOutput) {
    CreateModelOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelOutput = exports.CreateModelOutput || (exports.CreateModelOutput = {}));
var ModelBiasAppSpecification;
(function (ModelBiasAppSpecification) {
    ModelBiasAppSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelBiasAppSpecification = exports.ModelBiasAppSpecification || (exports.ModelBiasAppSpecification = {}));
var ModelBiasBaselineConfig;
(function (ModelBiasBaselineConfig) {
    ModelBiasBaselineConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelBiasBaselineConfig = exports.ModelBiasBaselineConfig || (exports.ModelBiasBaselineConfig = {}));
var MonitoringGroundTruthS3Input;
(function (MonitoringGroundTruthS3Input) {
    MonitoringGroundTruthS3Input.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringGroundTruthS3Input = exports.MonitoringGroundTruthS3Input || (exports.MonitoringGroundTruthS3Input = {}));
var ModelBiasJobInput;
(function (ModelBiasJobInput) {
    ModelBiasJobInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelBiasJobInput = exports.ModelBiasJobInput || (exports.ModelBiasJobInput = {}));
var CreateModelBiasJobDefinitionRequest;
(function (CreateModelBiasJobDefinitionRequest) {
    CreateModelBiasJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelBiasJobDefinitionRequest = exports.CreateModelBiasJobDefinitionRequest || (exports.CreateModelBiasJobDefinitionRequest = {}));
var CreateModelBiasJobDefinitionResponse;
(function (CreateModelBiasJobDefinitionResponse) {
    CreateModelBiasJobDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelBiasJobDefinitionResponse = exports.CreateModelBiasJobDefinitionResponse || (exports.CreateModelBiasJobDefinitionResponse = {}));
var ModelExplainabilityAppSpecification;
(function (ModelExplainabilityAppSpecification) {
    ModelExplainabilityAppSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelExplainabilityAppSpecification = exports.ModelExplainabilityAppSpecification || (exports.ModelExplainabilityAppSpecification = {}));
var ModelExplainabilityBaselineConfig;
(function (ModelExplainabilityBaselineConfig) {
    ModelExplainabilityBaselineConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelExplainabilityBaselineConfig = exports.ModelExplainabilityBaselineConfig || (exports.ModelExplainabilityBaselineConfig = {}));
var ModelExplainabilityJobInput;
(function (ModelExplainabilityJobInput) {
    ModelExplainabilityJobInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelExplainabilityJobInput = exports.ModelExplainabilityJobInput || (exports.ModelExplainabilityJobInput = {}));
var CreateModelExplainabilityJobDefinitionRequest;
(function (CreateModelExplainabilityJobDefinitionRequest) {
    CreateModelExplainabilityJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelExplainabilityJobDefinitionRequest = exports.CreateModelExplainabilityJobDefinitionRequest || (exports.CreateModelExplainabilityJobDefinitionRequest = {}));
var CreateModelExplainabilityJobDefinitionResponse;
(function (CreateModelExplainabilityJobDefinitionResponse) {
    CreateModelExplainabilityJobDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelExplainabilityJobDefinitionResponse = exports.CreateModelExplainabilityJobDefinitionResponse || (exports.CreateModelExplainabilityJobDefinitionResponse = {}));
var FileSource;
(function (FileSource) {
    FileSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FileSource = exports.FileSource || (exports.FileSource = {}));
var DriftCheckBias;
(function (DriftCheckBias) {
    DriftCheckBias.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DriftCheckBias = exports.DriftCheckBias || (exports.DriftCheckBias = {}));
var DriftCheckExplainability;
(function (DriftCheckExplainability) {
    DriftCheckExplainability.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DriftCheckExplainability = exports.DriftCheckExplainability || (exports.DriftCheckExplainability = {}));
var DriftCheckModelDataQuality;
(function (DriftCheckModelDataQuality) {
    DriftCheckModelDataQuality.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DriftCheckModelDataQuality = exports.DriftCheckModelDataQuality || (exports.DriftCheckModelDataQuality = {}));
var DriftCheckModelQuality;
(function (DriftCheckModelQuality) {
    DriftCheckModelQuality.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DriftCheckModelQuality = exports.DriftCheckModelQuality || (exports.DriftCheckModelQuality = {}));
var DriftCheckBaselines;
(function (DriftCheckBaselines) {
    DriftCheckBaselines.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DriftCheckBaselines = exports.DriftCheckBaselines || (exports.DriftCheckBaselines = {}));
var Explainability;
(function (Explainability) {
    Explainability.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Explainability = exports.Explainability || (exports.Explainability = {}));
var ModelDataQuality;
(function (ModelDataQuality) {
    ModelDataQuality.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelDataQuality = exports.ModelDataQuality || (exports.ModelDataQuality = {}));
var ModelQuality;
(function (ModelQuality) {
    ModelQuality.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelQuality = exports.ModelQuality || (exports.ModelQuality = {}));
var ModelMetrics;
(function (ModelMetrics) {
    ModelMetrics.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelMetrics = exports.ModelMetrics || (exports.ModelMetrics = {}));
var SourceAlgorithm;
(function (SourceAlgorithm) {
    SourceAlgorithm.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SourceAlgorithm = exports.SourceAlgorithm || (exports.SourceAlgorithm = {}));
var SourceAlgorithmSpecification;
(function (SourceAlgorithmSpecification) {
    SourceAlgorithmSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SourceAlgorithmSpecification = exports.SourceAlgorithmSpecification || (exports.SourceAlgorithmSpecification = {}));
var ModelPackageValidationProfile;
(function (ModelPackageValidationProfile) {
    ModelPackageValidationProfile.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelPackageValidationProfile = exports.ModelPackageValidationProfile || (exports.ModelPackageValidationProfile = {}));
var ModelPackageValidationSpecification;
(function (ModelPackageValidationSpecification) {
    ModelPackageValidationSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelPackageValidationSpecification = exports.ModelPackageValidationSpecification || (exports.ModelPackageValidationSpecification = {}));
var CreateModelPackageInput;
(function (CreateModelPackageInput) {
    CreateModelPackageInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelPackageInput = exports.CreateModelPackageInput || (exports.CreateModelPackageInput = {}));
var CreateModelPackageOutput;
(function (CreateModelPackageOutput) {
    CreateModelPackageOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelPackageOutput = exports.CreateModelPackageOutput || (exports.CreateModelPackageOutput = {}));
var CreateModelPackageGroupInput;
(function (CreateModelPackageGroupInput) {
    CreateModelPackageGroupInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelPackageGroupInput = exports.CreateModelPackageGroupInput || (exports.CreateModelPackageGroupInput = {}));
var CreateModelPackageGroupOutput;
(function (CreateModelPackageGroupOutput) {
    CreateModelPackageGroupOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelPackageGroupOutput = exports.CreateModelPackageGroupOutput || (exports.CreateModelPackageGroupOutput = {}));
var MonitoringProblemType;
(function (MonitoringProblemType) {
    MonitoringProblemType["BINARY_CLASSIFICATION"] = "BinaryClassification";
    MonitoringProblemType["MULTICLASS_CLASSIFICATION"] = "MulticlassClassification";
    MonitoringProblemType["REGRESSION"] = "Regression";
})(MonitoringProblemType = exports.MonitoringProblemType || (exports.MonitoringProblemType = {}));
var ModelQualityAppSpecification;
(function (ModelQualityAppSpecification) {
    ModelQualityAppSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelQualityAppSpecification = exports.ModelQualityAppSpecification || (exports.ModelQualityAppSpecification = {}));
var ModelQualityBaselineConfig;
(function (ModelQualityBaselineConfig) {
    ModelQualityBaselineConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelQualityBaselineConfig = exports.ModelQualityBaselineConfig || (exports.ModelQualityBaselineConfig = {}));
var ModelQualityJobInput;
(function (ModelQualityJobInput) {
    ModelQualityJobInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelQualityJobInput = exports.ModelQualityJobInput || (exports.ModelQualityJobInput = {}));
var CreateModelQualityJobDefinitionRequest;
(function (CreateModelQualityJobDefinitionRequest) {
    CreateModelQualityJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelQualityJobDefinitionRequest = exports.CreateModelQualityJobDefinitionRequest || (exports.CreateModelQualityJobDefinitionRequest = {}));
var CreateModelQualityJobDefinitionResponse;
(function (CreateModelQualityJobDefinitionResponse) {
    CreateModelQualityJobDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateModelQualityJobDefinitionResponse = exports.CreateModelQualityJobDefinitionResponse || (exports.CreateModelQualityJobDefinitionResponse = {}));
var MonitoringBaselineConfig;
(function (MonitoringBaselineConfig) {
    MonitoringBaselineConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringBaselineConfig = exports.MonitoringBaselineConfig || (exports.MonitoringBaselineConfig = {}));
var MonitoringAppSpecification;
(function (MonitoringAppSpecification) {
    MonitoringAppSpecification.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringAppSpecification = exports.MonitoringAppSpecification || (exports.MonitoringAppSpecification = {}));
var MonitoringInput;
(function (MonitoringInput) {
    MonitoringInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringInput = exports.MonitoringInput || (exports.MonitoringInput = {}));
var NetworkConfig;
(function (NetworkConfig) {
    NetworkConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NetworkConfig = exports.NetworkConfig || (exports.NetworkConfig = {}));
var MonitoringJobDefinition;
(function (MonitoringJobDefinition) {
    MonitoringJobDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringJobDefinition = exports.MonitoringJobDefinition || (exports.MonitoringJobDefinition = {}));
var MonitoringType;
(function (MonitoringType) {
    MonitoringType["DATA_QUALITY"] = "DataQuality";
    MonitoringType["MODEL_BIAS"] = "ModelBias";
    MonitoringType["MODEL_EXPLAINABILITY"] = "ModelExplainability";
    MonitoringType["MODEL_QUALITY"] = "ModelQuality";
})(MonitoringType = exports.MonitoringType || (exports.MonitoringType = {}));
var ScheduleConfig;
(function (ScheduleConfig) {
    ScheduleConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ScheduleConfig = exports.ScheduleConfig || (exports.ScheduleConfig = {}));
var MonitoringScheduleConfig;
(function (MonitoringScheduleConfig) {
    MonitoringScheduleConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MonitoringScheduleConfig = exports.MonitoringScheduleConfig || (exports.MonitoringScheduleConfig = {}));
var CreateMonitoringScheduleRequest;
(function (CreateMonitoringScheduleRequest) {
    CreateMonitoringScheduleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateMonitoringScheduleRequest = exports.CreateMonitoringScheduleRequest || (exports.CreateMonitoringScheduleRequest = {}));
var CreateMonitoringScheduleResponse;
(function (CreateMonitoringScheduleResponse) {
    CreateMonitoringScheduleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateMonitoringScheduleResponse = exports.CreateMonitoringScheduleResponse || (exports.CreateMonitoringScheduleResponse = {}));
var NotebookInstanceAcceleratorType;
(function (NotebookInstanceAcceleratorType) {
    NotebookInstanceAcceleratorType["ML_EIA1_LARGE"] = "ml.eia1.large";
    NotebookInstanceAcceleratorType["ML_EIA1_MEDIUM"] = "ml.eia1.medium";
    NotebookInstanceAcceleratorType["ML_EIA1_XLARGE"] = "ml.eia1.xlarge";
    NotebookInstanceAcceleratorType["ML_EIA2_LARGE"] = "ml.eia2.large";
    NotebookInstanceAcceleratorType["ML_EIA2_MEDIUM"] = "ml.eia2.medium";
    NotebookInstanceAcceleratorType["ML_EIA2_XLARGE"] = "ml.eia2.xlarge";
})(NotebookInstanceAcceleratorType = exports.NotebookInstanceAcceleratorType || (exports.NotebookInstanceAcceleratorType = {}));
var DirectInternetAccess;
(function (DirectInternetAccess) {
    DirectInternetAccess["DISABLED"] = "Disabled";
    DirectInternetAccess["ENABLED"] = "Enabled";
})(DirectInternetAccess = exports.DirectInternetAccess || (exports.DirectInternetAccess = {}));
var _InstanceType;
(function (_InstanceType) {
    _InstanceType["ML_C4_2XLARGE"] = "ml.c4.2xlarge";
    _InstanceType["ML_C4_4XLARGE"] = "ml.c4.4xlarge";
    _InstanceType["ML_C4_8XLARGE"] = "ml.c4.8xlarge";
    _InstanceType["ML_C4_XLARGE"] = "ml.c4.xlarge";
    _InstanceType["ML_C5D_18XLARGE"] = "ml.c5d.18xlarge";
    _InstanceType["ML_C5D_2XLARGE"] = "ml.c5d.2xlarge";
    _InstanceType["ML_C5D_4XLARGE"] = "ml.c5d.4xlarge";
    _InstanceType["ML_C5D_9XLARGE"] = "ml.c5d.9xlarge";
    _InstanceType["ML_C5D_XLARGE"] = "ml.c5d.xlarge";
    _InstanceType["ML_C5_18XLARGE"] = "ml.c5.18xlarge";
    _InstanceType["ML_C5_2XLARGE"] = "ml.c5.2xlarge";
    _InstanceType["ML_C5_4XLARGE"] = "ml.c5.4xlarge";
    _InstanceType["ML_C5_9XLARGE"] = "ml.c5.9xlarge";
    _InstanceType["ML_C5_XLARGE"] = "ml.c5.xlarge";
    _InstanceType["ML_G4DN_12XLARGE"] = "ml.g4dn.12xlarge";
    _InstanceType["ML_G4DN_16XLARGE"] = "ml.g4dn.16xlarge";
    _InstanceType["ML_G4DN_2XLARGE"] = "ml.g4dn.2xlarge";
    _InstanceType["ML_G4DN_4XLARGE"] = "ml.g4dn.4xlarge";
    _InstanceType["ML_G4DN_8XLARGE"] = "ml.g4dn.8xlarge";
    _InstanceType["ML_G4DN_XLARGE"] = "ml.g4dn.xlarge";
    _InstanceType["ML_G5_12XLARGE"] = "ml.g5.12xlarge";
    _InstanceType["ML_G5_16XLARGE"] = "ml.g5.16xlarge";
    _InstanceType["ML_G5_24XLARGE"] = "ml.g5.24xlarge";
    _InstanceType["ML_G5_2XLARGE"] = "ml.g5.2xlarge";
    _InstanceType["ML_G5_48XLARGE"] = "ml.g5.48xlarge";
    _InstanceType["ML_G5_4XLARGE"] = "ml.g5.4xlarge";
    _InstanceType["ML_G5_8XLARGE"] = "ml.g5.8xlarge";
    _InstanceType["ML_G5_XLARGE"] = "ml.g5.xlarge";
    _InstanceType["ML_M4_10XLARGE"] = "ml.m4.10xlarge";
    _InstanceType["ML_M4_16XLARGE"] = "ml.m4.16xlarge";
    _InstanceType["ML_M4_2XLARGE"] = "ml.m4.2xlarge";
    _InstanceType["ML_M4_4XLARGE"] = "ml.m4.4xlarge";
    _InstanceType["ML_M4_XLARGE"] = "ml.m4.xlarge";
    _InstanceType["ML_M5D_12XLARGE"] = "ml.m5d.12xlarge";
    _InstanceType["ML_M5D_16XLARGE"] = "ml.m5d.16xlarge";
    _InstanceType["ML_M5D_24XLARGE"] = "ml.m5d.24xlarge";
    _InstanceType["ML_M5D_2XLARGE"] = "ml.m5d.2xlarge";
    _InstanceType["ML_M5D_4XLARGE"] = "ml.m5d.4xlarge";
    _InstanceType["ML_M5D_8XLARGE"] = "ml.m5d.8xlarge";
    _InstanceType["ML_M5D_LARGE"] = "ml.m5d.large";
    _InstanceType["ML_M5D_XLARGE"] = "ml.m5d.xlarge";
    _InstanceType["ML_M5_12XLARGE"] = "ml.m5.12xlarge";
    _InstanceType["ML_M5_24XLARGE"] = "ml.m5.24xlarge";
    _InstanceType["ML_M5_2XLARGE"] = "ml.m5.2xlarge";
    _InstanceType["ML_M5_4XLARGE"] = "ml.m5.4xlarge";
    _InstanceType["ML_M5_XLARGE"] = "ml.m5.xlarge";
    _InstanceType["ML_P2_16XLARGE"] = "ml.p2.16xlarge";
    _InstanceType["ML_P2_8XLARGE"] = "ml.p2.8xlarge";
    _InstanceType["ML_P2_XLARGE"] = "ml.p2.xlarge";
    _InstanceType["ML_P3DN_24XLARGE"] = "ml.p3dn.24xlarge";
    _InstanceType["ML_P3_16XLARGE"] = "ml.p3.16xlarge";
    _InstanceType["ML_P3_2XLARGE"] = "ml.p3.2xlarge";
    _InstanceType["ML_P3_8XLARGE"] = "ml.p3.8xlarge";
    _InstanceType["ML_R5_12XLARGE"] = "ml.r5.12xlarge";
    _InstanceType["ML_R5_16XLARGE"] = "ml.r5.16xlarge";
    _InstanceType["ML_R5_24XLARGE"] = "ml.r5.24xlarge";
    _InstanceType["ML_R5_2XLARGE"] = "ml.r5.2xlarge";
    _InstanceType["ML_R5_4XLARGE"] = "ml.r5.4xlarge";
    _InstanceType["ML_R5_8XLARGE"] = "ml.r5.8xlarge";
    _InstanceType["ML_R5_LARGE"] = "ml.r5.large";
    _InstanceType["ML_R5_XLARGE"] = "ml.r5.xlarge";
    _InstanceType["ML_T2_2XLARGE"] = "ml.t2.2xlarge";
    _InstanceType["ML_T2_LARGE"] = "ml.t2.large";
    _InstanceType["ML_T2_MEDIUM"] = "ml.t2.medium";
    _InstanceType["ML_T2_XLARGE"] = "ml.t2.xlarge";
    _InstanceType["ML_T3_2XLARGE"] = "ml.t3.2xlarge";
    _InstanceType["ML_T3_LARGE"] = "ml.t3.large";
    _InstanceType["ML_T3_MEDIUM"] = "ml.t3.medium";
    _InstanceType["ML_T3_XLARGE"] = "ml.t3.xlarge";
})(_InstanceType = exports._InstanceType || (exports._InstanceType = {}));
var RootAccess;
(function (RootAccess) {
    RootAccess["DISABLED"] = "Disabled";
    RootAccess["ENABLED"] = "Enabled";
})(RootAccess = exports.RootAccess || (exports.RootAccess = {}));
var CreateNotebookInstanceInput;
(function (CreateNotebookInstanceInput) {
    CreateNotebookInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateNotebookInstanceInput = exports.CreateNotebookInstanceInput || (exports.CreateNotebookInstanceInput = {}));
var CreateNotebookInstanceOutput;
(function (CreateNotebookInstanceOutput) {
    CreateNotebookInstanceOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateNotebookInstanceOutput = exports.CreateNotebookInstanceOutput || (exports.CreateNotebookInstanceOutput = {}));
var NotebookInstanceLifecycleHook;
(function (NotebookInstanceLifecycleHook) {
    NotebookInstanceLifecycleHook.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NotebookInstanceLifecycleHook = exports.NotebookInstanceLifecycleHook || (exports.NotebookInstanceLifecycleHook = {}));
var CreateNotebookInstanceLifecycleConfigInput;
(function (CreateNotebookInstanceLifecycleConfigInput) {
    CreateNotebookInstanceLifecycleConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateNotebookInstanceLifecycleConfigInput = exports.CreateNotebookInstanceLifecycleConfigInput || (exports.CreateNotebookInstanceLifecycleConfigInput = {}));
var CreateNotebookInstanceLifecycleConfigOutput;
(function (CreateNotebookInstanceLifecycleConfigOutput) {
    CreateNotebookInstanceLifecycleConfigOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateNotebookInstanceLifecycleConfigOutput = exports.CreateNotebookInstanceLifecycleConfigOutput || (exports.CreateNotebookInstanceLifecycleConfigOutput = {}));
var ParallelismConfiguration;
(function (ParallelismConfiguration) {
    ParallelismConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ParallelismConfiguration = exports.ParallelismConfiguration || (exports.ParallelismConfiguration = {}));
var PipelineDefinitionS3Location;
(function (PipelineDefinitionS3Location) {
    PipelineDefinitionS3Location.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PipelineDefinitionS3Location = exports.PipelineDefinitionS3Location || (exports.PipelineDefinitionS3Location = {}));
var CreatePipelineRequest;
(function (CreatePipelineRequest) {
    CreatePipelineRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePipelineRequest = exports.CreatePipelineRequest || (exports.CreatePipelineRequest = {}));
var CreatePipelineResponse;
(function (CreatePipelineResponse) {
    CreatePipelineResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePipelineResponse = exports.CreatePipelineResponse || (exports.CreatePipelineResponse = {}));
var CreatePresignedDomainUrlRequest;
(function (CreatePresignedDomainUrlRequest) {
    CreatePresignedDomainUrlRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePresignedDomainUrlRequest = exports.CreatePresignedDomainUrlRequest || (exports.CreatePresignedDomainUrlRequest = {}));
var CreatePresignedDomainUrlResponse;
(function (CreatePresignedDomainUrlResponse) {
    CreatePresignedDomainUrlResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePresignedDomainUrlResponse = exports.CreatePresignedDomainUrlResponse || (exports.CreatePresignedDomainUrlResponse = {}));
var CreatePresignedNotebookInstanceUrlInput;
(function (CreatePresignedNotebookInstanceUrlInput) {
    CreatePresignedNotebookInstanceUrlInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePresignedNotebookInstanceUrlInput = exports.CreatePresignedNotebookInstanceUrlInput || (exports.CreatePresignedNotebookInstanceUrlInput = {}));
var CreatePresignedNotebookInstanceUrlOutput;
(function (CreatePresignedNotebookInstanceUrlOutput) {
    CreatePresignedNotebookInstanceUrlOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePresignedNotebookInstanceUrlOutput = exports.CreatePresignedNotebookInstanceUrlOutput || (exports.CreatePresignedNotebookInstanceUrlOutput = {}));
var ExperimentConfig;
(function (ExperimentConfig) {
    ExperimentConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ExperimentConfig = exports.ExperimentConfig || (exports.ExperimentConfig = {}));
var DataDistributionType;
(function (DataDistributionType) {
    DataDistributionType["FULLYREPLICATED"] = "FullyReplicated";
    DataDistributionType["SHARDEDBYS3KEY"] = "ShardedByS3Key";
})(DataDistributionType = exports.DataDistributionType || (exports.DataDistributionType = {}));
var InputMode;
(function (InputMode) {
    InputMode["FILE"] = "File";
    InputMode["PIPE"] = "Pipe";
})(InputMode = exports.InputMode || (exports.InputMode = {}));
var RedshiftResultCompressionType;
(function (RedshiftResultCompressionType) {
    RedshiftResultCompressionType["BZIP2"] = "BZIP2";
    RedshiftResultCompressionType["GZIP"] = "GZIP";
    RedshiftResultCompressionType["NONE"] = "None";
    RedshiftResultCompressionType["SNAPPY"] = "SNAPPY";
    RedshiftResultCompressionType["ZSTD"] = "ZSTD";
})(RedshiftResultCompressionType = exports.RedshiftResultCompressionType || (exports.RedshiftResultCompressionType = {}));
var RedshiftResultFormat;
(function (RedshiftResultFormat) {
    RedshiftResultFormat["CSV"] = "CSV";
    RedshiftResultFormat["PARQUET"] = "PARQUET";
})(RedshiftResultFormat = exports.RedshiftResultFormat || (exports.RedshiftResultFormat = {}));
var RedshiftDatasetDefinition;
(function (RedshiftDatasetDefinition) {
    RedshiftDatasetDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RedshiftDatasetDefinition = exports.RedshiftDatasetDefinition || (exports.RedshiftDatasetDefinition = {}));
var DatasetDefinition;
(function (DatasetDefinition) {
    DatasetDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DatasetDefinition = exports.DatasetDefinition || (exports.DatasetDefinition = {}));
var ProcessingS3CompressionType;
(function (ProcessingS3CompressionType) {
    ProcessingS3CompressionType["GZIP"] = "Gzip";
    ProcessingS3CompressionType["NONE"] = "None";
})(ProcessingS3CompressionType = exports.ProcessingS3CompressionType || (exports.ProcessingS3CompressionType = {}));
var ProcessingS3DataType;
(function (ProcessingS3DataType) {
    ProcessingS3DataType["MANIFEST_FILE"] = "ManifestFile";
    ProcessingS3DataType["S3_PREFIX"] = "S3Prefix";
})(ProcessingS3DataType = exports.ProcessingS3DataType || (exports.ProcessingS3DataType = {}));
var ProcessingS3Input;
(function (ProcessingS3Input) {
    ProcessingS3Input.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingS3Input = exports.ProcessingS3Input || (exports.ProcessingS3Input = {}));
var ProcessingInput;
(function (ProcessingInput) {
    ProcessingInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingInput = exports.ProcessingInput || (exports.ProcessingInput = {}));
var ProcessingFeatureStoreOutput;
(function (ProcessingFeatureStoreOutput) {
    ProcessingFeatureStoreOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingFeatureStoreOutput = exports.ProcessingFeatureStoreOutput || (exports.ProcessingFeatureStoreOutput = {}));
var ProcessingS3Output;
(function (ProcessingS3Output) {
    ProcessingS3Output.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingS3Output = exports.ProcessingS3Output || (exports.ProcessingS3Output = {}));
var ProcessingOutput;
(function (ProcessingOutput) {
    ProcessingOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingOutput = exports.ProcessingOutput || (exports.ProcessingOutput = {}));
var ProcessingOutputConfig;
(function (ProcessingOutputConfig) {
    ProcessingOutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingOutputConfig = exports.ProcessingOutputConfig || (exports.ProcessingOutputConfig = {}));
var ProcessingClusterConfig;
(function (ProcessingClusterConfig) {
    ProcessingClusterConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingClusterConfig = exports.ProcessingClusterConfig || (exports.ProcessingClusterConfig = {}));
var ProcessingResources;
(function (ProcessingResources) {
    ProcessingResources.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingResources = exports.ProcessingResources || (exports.ProcessingResources = {}));
var ProcessingStoppingCondition;
(function (ProcessingStoppingCondition) {
    ProcessingStoppingCondition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProcessingStoppingCondition = exports.ProcessingStoppingCondition || (exports.ProcessingStoppingCondition = {}));
var CreateProcessingJobRequest;
(function (CreateProcessingJobRequest) {
    CreateProcessingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateProcessingJobRequest = exports.CreateProcessingJobRequest || (exports.CreateProcessingJobRequest = {}));
var CreateProcessingJobResponse;
(function (CreateProcessingJobResponse) {
    CreateProcessingJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateProcessingJobResponse = exports.CreateProcessingJobResponse || (exports.CreateProcessingJobResponse = {}));
var ProvisioningParameter;
(function (ProvisioningParameter) {
    ProvisioningParameter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProvisioningParameter = exports.ProvisioningParameter || (exports.ProvisioningParameter = {}));
var ServiceCatalogProvisioningDetails;
(function (ServiceCatalogProvisioningDetails) {
    ServiceCatalogProvisioningDetails.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ServiceCatalogProvisioningDetails = exports.ServiceCatalogProvisioningDetails || (exports.ServiceCatalogProvisioningDetails = {}));
var CreateProjectInput;
(function (CreateProjectInput) {
    CreateProjectInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateProjectInput = exports.CreateProjectInput || (exports.CreateProjectInput = {}));
var CreateProjectOutput;
(function (CreateProjectOutput) {
    CreateProjectOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateProjectOutput = exports.CreateProjectOutput || (exports.CreateProjectOutput = {}));
var StudioLifecycleConfigAppType;
(function (StudioLifecycleConfigAppType) {
    StudioLifecycleConfigAppType["JupyterServer"] = "JupyterServer";
    StudioLifecycleConfigAppType["KernelGateway"] = "KernelGateway";
})(StudioLifecycleConfigAppType = exports.StudioLifecycleConfigAppType || (exports.StudioLifecycleConfigAppType = {}));
var CreateStudioLifecycleConfigRequest;
(function (CreateStudioLifecycleConfigRequest) {
    CreateStudioLifecycleConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateStudioLifecycleConfigRequest = exports.CreateStudioLifecycleConfigRequest || (exports.CreateStudioLifecycleConfigRequest = {}));
var CreateStudioLifecycleConfigResponse;
(function (CreateStudioLifecycleConfigResponse) {
    CreateStudioLifecycleConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateStudioLifecycleConfigResponse = exports.CreateStudioLifecycleConfigResponse || (exports.CreateStudioLifecycleConfigResponse = {}));
var DebugHookConfig;
(function (DebugHookConfig) {
    DebugHookConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DebugHookConfig = exports.DebugHookConfig || (exports.DebugHookConfig = {}));
var DebugRuleConfiguration;
(function (DebugRuleConfiguration) {
    DebugRuleConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DebugRuleConfiguration = exports.DebugRuleConfiguration || (exports.DebugRuleConfiguration = {}));
var ProfilerConfig;
(function (ProfilerConfig) {
    ProfilerConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProfilerConfig = exports.ProfilerConfig || (exports.ProfilerConfig = {}));
var ProfilerRuleConfiguration;
(function (ProfilerRuleConfiguration) {
    ProfilerRuleConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProfilerRuleConfiguration = exports.ProfilerRuleConfiguration || (exports.ProfilerRuleConfiguration = {}));
var TensorBoardOutputConfig;
(function (TensorBoardOutputConfig) {
    TensorBoardOutputConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TensorBoardOutputConfig = exports.TensorBoardOutputConfig || (exports.TensorBoardOutputConfig = {}));
var CreateTrainingJobRequest;
(function (CreateTrainingJobRequest) {
    CreateTrainingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTrainingJobRequest = exports.CreateTrainingJobRequest || (exports.CreateTrainingJobRequest = {}));
var CreateTrainingJobResponse;
(function (CreateTrainingJobResponse) {
    CreateTrainingJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTrainingJobResponse = exports.CreateTrainingJobResponse || (exports.CreateTrainingJobResponse = {}));
var JoinSource;
(function (JoinSource) {
    JoinSource["INPUT"] = "Input";
    JoinSource["NONE"] = "None";
})(JoinSource = exports.JoinSource || (exports.JoinSource = {}));
var DataProcessing;
(function (DataProcessing) {
    DataProcessing.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataProcessing = exports.DataProcessing || (exports.DataProcessing = {}));
var ModelClientConfig;
(function (ModelClientConfig) {
    ModelClientConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelClientConfig = exports.ModelClientConfig || (exports.ModelClientConfig = {}));
var CreateTransformJobRequest;
(function (CreateTransformJobRequest) {
    CreateTransformJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTransformJobRequest = exports.CreateTransformJobRequest || (exports.CreateTransformJobRequest = {}));
var CreateTransformJobResponse;
(function (CreateTransformJobResponse) {
    CreateTransformJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTransformJobResponse = exports.CreateTransformJobResponse || (exports.CreateTransformJobResponse = {}));
var CreateTrialRequest;
(function (CreateTrialRequest) {
    CreateTrialRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTrialRequest = exports.CreateTrialRequest || (exports.CreateTrialRequest = {}));
var CreateTrialResponse;
(function (CreateTrialResponse) {
    CreateTrialResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTrialResponse = exports.CreateTrialResponse || (exports.CreateTrialResponse = {}));
var TrialComponentArtifact;
(function (TrialComponentArtifact) {
    TrialComponentArtifact.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrialComponentArtifact = exports.TrialComponentArtifact || (exports.TrialComponentArtifact = {}));
var TrialComponentParameterValue;
(function (TrialComponentParameterValue) {
    TrialComponentParameterValue.visit = (value, visitor) => {
        if (value.StringValue !== undefined)
            return visitor.StringValue(value.StringValue);
        if (value.NumberValue !== undefined)
            return visitor.NumberValue(value.NumberValue);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
    TrialComponentParameterValue.filterSensitiveLog = (obj) => {
        if (obj.StringValue !== undefined)
            return { StringValue: obj.StringValue };
        if (obj.NumberValue !== undefined)
            return { NumberValue: obj.NumberValue };
        if (obj.$unknown !== undefined)
            return { [obj.$unknown[0]]: "UNKNOWN" };
    };
})(TrialComponentParameterValue = exports.TrialComponentParameterValue || (exports.TrialComponentParameterValue = {}));
var TrialComponentPrimaryStatus;
(function (TrialComponentPrimaryStatus) {
    TrialComponentPrimaryStatus["COMPLETED"] = "Completed";
    TrialComponentPrimaryStatus["FAILED"] = "Failed";
    TrialComponentPrimaryStatus["IN_PROGRESS"] = "InProgress";
    TrialComponentPrimaryStatus["STOPPED"] = "Stopped";
    TrialComponentPrimaryStatus["STOPPING"] = "Stopping";
})(TrialComponentPrimaryStatus = exports.TrialComponentPrimaryStatus || (exports.TrialComponentPrimaryStatus = {}));
var TrialComponentStatus;
(function (TrialComponentStatus) {
    TrialComponentStatus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrialComponentStatus = exports.TrialComponentStatus || (exports.TrialComponentStatus = {}));
var CreateTrialComponentRequest;
(function (CreateTrialComponentRequest) {
    CreateTrialComponentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Parameters && {
            Parameters: Object.entries(obj.Parameters).reduce((acc, [key, value]) => ({
                ...acc,
                [key]: TrialComponentParameterValue.filterSensitiveLog(value),
            }), {}),
        }),
    });
})(CreateTrialComponentRequest = exports.CreateTrialComponentRequest || (exports.CreateTrialComponentRequest = {}));
var CreateTrialComponentResponse;
(function (CreateTrialComponentResponse) {
    CreateTrialComponentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTrialComponentResponse = exports.CreateTrialComponentResponse || (exports.CreateTrialComponentResponse = {}));
var CreateUserProfileRequest;
(function (CreateUserProfileRequest) {
    CreateUserProfileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateUserProfileRequest = exports.CreateUserProfileRequest || (exports.CreateUserProfileRequest = {}));
var CreateUserProfileResponse;
(function (CreateUserProfileResponse) {
    CreateUserProfileResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateUserProfileResponse = exports.CreateUserProfileResponse || (exports.CreateUserProfileResponse = {}));
var OidcConfig;
(function (OidcConfig) {
    OidcConfig.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.ClientSecret && { ClientSecret: smithy_client_1.SENSITIVE_STRING }),
    });
})(OidcConfig = exports.OidcConfig || (exports.OidcConfig = {}));
var SourceIpConfig;
(function (SourceIpConfig) {
    SourceIpConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SourceIpConfig = exports.SourceIpConfig || (exports.SourceIpConfig = {}));
var CreateWorkforceRequest;
(function (CreateWorkforceRequest) {
    CreateWorkforceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.OidcConfig && { OidcConfig: OidcConfig.filterSensitiveLog(obj.OidcConfig) }),
    });
})(CreateWorkforceRequest = exports.CreateWorkforceRequest || (exports.CreateWorkforceRequest = {}));
var CreateWorkforceResponse;
(function (CreateWorkforceResponse) {
    CreateWorkforceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateWorkforceResponse = exports.CreateWorkforceResponse || (exports.CreateWorkforceResponse = {}));
var OidcMemberDefinition;
(function (OidcMemberDefinition) {
    OidcMemberDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OidcMemberDefinition = exports.OidcMemberDefinition || (exports.OidcMemberDefinition = {}));
var MemberDefinition;
(function (MemberDefinition) {
    MemberDefinition.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MemberDefinition = exports.MemberDefinition || (exports.MemberDefinition = {}));
var NotificationConfiguration;
(function (NotificationConfiguration) {
    NotificationConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NotificationConfiguration = exports.NotificationConfiguration || (exports.NotificationConfiguration = {}));
var CreateWorkteamRequest;
(function (CreateWorkteamRequest) {
    CreateWorkteamRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateWorkteamRequest = exports.CreateWorkteamRequest || (exports.CreateWorkteamRequest = {}));
var CreateWorkteamResponse;
(function (CreateWorkteamResponse) {
    CreateWorkteamResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateWorkteamResponse = exports.CreateWorkteamResponse || (exports.CreateWorkteamResponse = {}));
var DataCaptureConfigSummary;
(function (DataCaptureConfigSummary) {
    DataCaptureConfigSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataCaptureConfigSummary = exports.DataCaptureConfigSummary || (exports.DataCaptureConfigSummary = {}));
var RuleEvaluationStatus;
(function (RuleEvaluationStatus) {
    RuleEvaluationStatus["ERROR"] = "Error";
    RuleEvaluationStatus["IN_PROGRESS"] = "InProgress";
    RuleEvaluationStatus["ISSUES_FOUND"] = "IssuesFound";
    RuleEvaluationStatus["NO_ISSUES_FOUND"] = "NoIssuesFound";
    RuleEvaluationStatus["STOPPED"] = "Stopped";
    RuleEvaluationStatus["STOPPING"] = "Stopping";
})(RuleEvaluationStatus = exports.RuleEvaluationStatus || (exports.RuleEvaluationStatus = {}));
var DebugRuleEvaluationStatus;
(function (DebugRuleEvaluationStatus) {
    DebugRuleEvaluationStatus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DebugRuleEvaluationStatus = exports.DebugRuleEvaluationStatus || (exports.DebugRuleEvaluationStatus = {}));
var DeleteActionRequest;
(function (DeleteActionRequest) {
    DeleteActionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteActionRequest = exports.DeleteActionRequest || (exports.DeleteActionRequest = {}));
var DeleteActionResponse;
(function (DeleteActionResponse) {
    DeleteActionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteActionResponse = exports.DeleteActionResponse || (exports.DeleteActionResponse = {}));
var DeleteAlgorithmInput;
(function (DeleteAlgorithmInput) {
    DeleteAlgorithmInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteAlgorithmInput = exports.DeleteAlgorithmInput || (exports.DeleteAlgorithmInput = {}));
var DeleteAppRequest;
(function (DeleteAppRequest) {
    DeleteAppRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteAppRequest = exports.DeleteAppRequest || (exports.DeleteAppRequest = {}));
var DeleteAppImageConfigRequest;
(function (DeleteAppImageConfigRequest) {
    DeleteAppImageConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteAppImageConfigRequest = exports.DeleteAppImageConfigRequest || (exports.DeleteAppImageConfigRequest = {}));
var DeleteArtifactRequest;
(function (DeleteArtifactRequest) {
    DeleteArtifactRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteArtifactRequest = exports.DeleteArtifactRequest || (exports.DeleteArtifactRequest = {}));
var DeleteArtifactResponse;
(function (DeleteArtifactResponse) {
    DeleteArtifactResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteArtifactResponse = exports.DeleteArtifactResponse || (exports.DeleteArtifactResponse = {}));
var DeleteAssociationRequest;
(function (DeleteAssociationRequest) {
    DeleteAssociationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteAssociationRequest = exports.DeleteAssociationRequest || (exports.DeleteAssociationRequest = {}));
var DeleteAssociationResponse;
(function (DeleteAssociationResponse) {
    DeleteAssociationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteAssociationResponse = exports.DeleteAssociationResponse || (exports.DeleteAssociationResponse = {}));
var DeleteCodeRepositoryInput;
(function (DeleteCodeRepositoryInput) {
    DeleteCodeRepositoryInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteCodeRepositoryInput = exports.DeleteCodeRepositoryInput || (exports.DeleteCodeRepositoryInput = {}));
var DeleteContextRequest;
(function (DeleteContextRequest) {
    DeleteContextRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteContextRequest = exports.DeleteContextRequest || (exports.DeleteContextRequest = {}));
var DeleteContextResponse;
(function (DeleteContextResponse) {
    DeleteContextResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteContextResponse = exports.DeleteContextResponse || (exports.DeleteContextResponse = {}));
var DeleteDataQualityJobDefinitionRequest;
(function (DeleteDataQualityJobDefinitionRequest) {
    DeleteDataQualityJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteDataQualityJobDefinitionRequest = exports.DeleteDataQualityJobDefinitionRequest || (exports.DeleteDataQualityJobDefinitionRequest = {}));
var DeleteDeviceFleetRequest;
(function (DeleteDeviceFleetRequest) {
    DeleteDeviceFleetRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteDeviceFleetRequest = exports.DeleteDeviceFleetRequest || (exports.DeleteDeviceFleetRequest = {}));
var RetentionType;
(function (RetentionType) {
    RetentionType["Delete"] = "Delete";
    RetentionType["Retain"] = "Retain";
})(RetentionType = exports.RetentionType || (exports.RetentionType = {}));
var RetentionPolicy;
(function (RetentionPolicy) {
    RetentionPolicy.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RetentionPolicy = exports.RetentionPolicy || (exports.RetentionPolicy = {}));
var DeleteDomainRequest;
(function (DeleteDomainRequest) {
    DeleteDomainRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteDomainRequest = exports.DeleteDomainRequest || (exports.DeleteDomainRequest = {}));
var DeleteEndpointInput;
(function (DeleteEndpointInput) {
    DeleteEndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteEndpointInput = exports.DeleteEndpointInput || (exports.DeleteEndpointInput = {}));
var DeleteEndpointConfigInput;
(function (DeleteEndpointConfigInput) {
    DeleteEndpointConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteEndpointConfigInput = exports.DeleteEndpointConfigInput || (exports.DeleteEndpointConfigInput = {}));
var DeleteExperimentRequest;
(function (DeleteExperimentRequest) {
    DeleteExperimentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteExperimentRequest = exports.DeleteExperimentRequest || (exports.DeleteExperimentRequest = {}));
var DeleteExperimentResponse;
(function (DeleteExperimentResponse) {
    DeleteExperimentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteExperimentResponse = exports.DeleteExperimentResponse || (exports.DeleteExperimentResponse = {}));
var DeleteFeatureGroupRequest;
(function (DeleteFeatureGroupRequest) {
    DeleteFeatureGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFeatureGroupRequest = exports.DeleteFeatureGroupRequest || (exports.DeleteFeatureGroupRequest = {}));
var DeleteFlowDefinitionRequest;
(function (DeleteFlowDefinitionRequest) {
    DeleteFlowDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFlowDefinitionRequest = exports.DeleteFlowDefinitionRequest || (exports.DeleteFlowDefinitionRequest = {}));
var DeleteFlowDefinitionResponse;
(function (DeleteFlowDefinitionResponse) {
    DeleteFlowDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFlowDefinitionResponse = exports.DeleteFlowDefinitionResponse || (exports.DeleteFlowDefinitionResponse = {}));
var DeleteHumanTaskUiRequest;
(function (DeleteHumanTaskUiRequest) {
    DeleteHumanTaskUiRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteHumanTaskUiRequest = exports.DeleteHumanTaskUiRequest || (exports.DeleteHumanTaskUiRequest = {}));
var DeleteHumanTaskUiResponse;
(function (DeleteHumanTaskUiResponse) {
    DeleteHumanTaskUiResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteHumanTaskUiResponse = exports.DeleteHumanTaskUiResponse || (exports.DeleteHumanTaskUiResponse = {}));
var DeleteImageRequest;
(function (DeleteImageRequest) {
    DeleteImageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteImageRequest = exports.DeleteImageRequest || (exports.DeleteImageRequest = {}));
var DeleteImageResponse;
(function (DeleteImageResponse) {
    DeleteImageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteImageResponse = exports.DeleteImageResponse || (exports.DeleteImageResponse = {}));
var DeleteImageVersionRequest;
(function (DeleteImageVersionRequest) {
    DeleteImageVersionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteImageVersionRequest = exports.DeleteImageVersionRequest || (exports.DeleteImageVersionRequest = {}));
var DeleteImageVersionResponse;
(function (DeleteImageVersionResponse) {
    DeleteImageVersionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteImageVersionResponse = exports.DeleteImageVersionResponse || (exports.DeleteImageVersionResponse = {}));
var DeleteModelInput;
(function (DeleteModelInput) {
    DeleteModelInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteModelInput = exports.DeleteModelInput || (exports.DeleteModelInput = {}));
var DeleteModelBiasJobDefinitionRequest;
(function (DeleteModelBiasJobDefinitionRequest) {
    DeleteModelBiasJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteModelBiasJobDefinitionRequest = exports.DeleteModelBiasJobDefinitionRequest || (exports.DeleteModelBiasJobDefinitionRequest = {}));
var DeleteModelExplainabilityJobDefinitionRequest;
(function (DeleteModelExplainabilityJobDefinitionRequest) {
    DeleteModelExplainabilityJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteModelExplainabilityJobDefinitionRequest = exports.DeleteModelExplainabilityJobDefinitionRequest || (exports.DeleteModelExplainabilityJobDefinitionRequest = {}));
var DeleteModelPackageInput;
(function (DeleteModelPackageInput) {
    DeleteModelPackageInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteModelPackageInput = exports.DeleteModelPackageInput || (exports.DeleteModelPackageInput = {}));
var DeleteModelPackageGroupInput;
(function (DeleteModelPackageGroupInput) {
    DeleteModelPackageGroupInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteModelPackageGroupInput = exports.DeleteModelPackageGroupInput || (exports.DeleteModelPackageGroupInput = {}));
var DeleteModelPackageGroupPolicyInput;
(function (DeleteModelPackageGroupPolicyInput) {
    DeleteModelPackageGroupPolicyInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteModelPackageGroupPolicyInput = exports.DeleteModelPackageGroupPolicyInput || (exports.DeleteModelPackageGroupPolicyInput = {}));
var DeleteModelQualityJobDefinitionRequest;
(function (DeleteModelQualityJobDefinitionRequest) {
    DeleteModelQualityJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteModelQualityJobDefinitionRequest = exports.DeleteModelQualityJobDefinitionRequest || (exports.DeleteModelQualityJobDefinitionRequest = {}));
var DeleteMonitoringScheduleRequest;
(function (DeleteMonitoringScheduleRequest) {
    DeleteMonitoringScheduleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteMonitoringScheduleRequest = exports.DeleteMonitoringScheduleRequest || (exports.DeleteMonitoringScheduleRequest = {}));
var DeleteNotebookInstanceInput;
(function (DeleteNotebookInstanceInput) {
    DeleteNotebookInstanceInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteNotebookInstanceInput = exports.DeleteNotebookInstanceInput || (exports.DeleteNotebookInstanceInput = {}));
var DeleteNotebookInstanceLifecycleConfigInput;
(function (DeleteNotebookInstanceLifecycleConfigInput) {
    DeleteNotebookInstanceLifecycleConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteNotebookInstanceLifecycleConfigInput = exports.DeleteNotebookInstanceLifecycleConfigInput || (exports.DeleteNotebookInstanceLifecycleConfigInput = {}));
var DeletePipelineRequest;
(function (DeletePipelineRequest) {
    DeletePipelineRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeletePipelineRequest = exports.DeletePipelineRequest || (exports.DeletePipelineRequest = {}));
var DeletePipelineResponse;
(function (DeletePipelineResponse) {
    DeletePipelineResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeletePipelineResponse = exports.DeletePipelineResponse || (exports.DeletePipelineResponse = {}));
var DeleteProjectInput;
(function (DeleteProjectInput) {
    DeleteProjectInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteProjectInput = exports.DeleteProjectInput || (exports.DeleteProjectInput = {}));
var DeleteStudioLifecycleConfigRequest;
(function (DeleteStudioLifecycleConfigRequest) {
    DeleteStudioLifecycleConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteStudioLifecycleConfigRequest = exports.DeleteStudioLifecycleConfigRequest || (exports.DeleteStudioLifecycleConfigRequest = {}));
var DeleteTagsInput;
(function (DeleteTagsInput) {
    DeleteTagsInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTagsInput = exports.DeleteTagsInput || (exports.DeleteTagsInput = {}));
var DeleteTagsOutput;
(function (DeleteTagsOutput) {
    DeleteTagsOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTagsOutput = exports.DeleteTagsOutput || (exports.DeleteTagsOutput = {}));
var DeleteTrialRequest;
(function (DeleteTrialRequest) {
    DeleteTrialRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTrialRequest = exports.DeleteTrialRequest || (exports.DeleteTrialRequest = {}));
var DeleteTrialResponse;
(function (DeleteTrialResponse) {
    DeleteTrialResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTrialResponse = exports.DeleteTrialResponse || (exports.DeleteTrialResponse = {}));
var DeleteTrialComponentRequest;
(function (DeleteTrialComponentRequest) {
    DeleteTrialComponentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTrialComponentRequest = exports.DeleteTrialComponentRequest || (exports.DeleteTrialComponentRequest = {}));
var DeleteTrialComponentResponse;
(function (DeleteTrialComponentResponse) {
    DeleteTrialComponentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTrialComponentResponse = exports.DeleteTrialComponentResponse || (exports.DeleteTrialComponentResponse = {}));
var DeleteUserProfileRequest;
(function (DeleteUserProfileRequest) {
    DeleteUserProfileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteUserProfileRequest = exports.DeleteUserProfileRequest || (exports.DeleteUserProfileRequest = {}));
var DeleteWorkforceRequest;
(function (DeleteWorkforceRequest) {
    DeleteWorkforceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteWorkforceRequest = exports.DeleteWorkforceRequest || (exports.DeleteWorkforceRequest = {}));
var DeleteWorkforceResponse;
(function (DeleteWorkforceResponse) {
    DeleteWorkforceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteWorkforceResponse = exports.DeleteWorkforceResponse || (exports.DeleteWorkforceResponse = {}));
var DeleteWorkteamRequest;
(function (DeleteWorkteamRequest) {
    DeleteWorkteamRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteWorkteamRequest = exports.DeleteWorkteamRequest || (exports.DeleteWorkteamRequest = {}));
var DeleteWorkteamResponse;
(function (DeleteWorkteamResponse) {
    DeleteWorkteamResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteWorkteamResponse = exports.DeleteWorkteamResponse || (exports.DeleteWorkteamResponse = {}));
var DeployedImage;
(function (DeployedImage) {
    DeployedImage.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeployedImage = exports.DeployedImage || (exports.DeployedImage = {}));
var DeregisterDevicesRequest;
(function (DeregisterDevicesRequest) {
    DeregisterDevicesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeregisterDevicesRequest = exports.DeregisterDevicesRequest || (exports.DeregisterDevicesRequest = {}));
var DescribeActionRequest;
(function (DescribeActionRequest) {
    DescribeActionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeActionRequest = exports.DescribeActionRequest || (exports.DescribeActionRequest = {}));
var DescribeActionResponse;
(function (DescribeActionResponse) {
    DescribeActionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeActionResponse = exports.DescribeActionResponse || (exports.DescribeActionResponse = {}));
var DescribeAlgorithmInput;
(function (DescribeAlgorithmInput) {
    DescribeAlgorithmInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAlgorithmInput = exports.DescribeAlgorithmInput || (exports.DescribeAlgorithmInput = {}));
var DescribeAlgorithmOutput;
(function (DescribeAlgorithmOutput) {
    DescribeAlgorithmOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAlgorithmOutput = exports.DescribeAlgorithmOutput || (exports.DescribeAlgorithmOutput = {}));
var DescribeAppRequest;
(function (DescribeAppRequest) {
    DescribeAppRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAppRequest = exports.DescribeAppRequest || (exports.DescribeAppRequest = {}));
var DescribeAppResponse;
(function (DescribeAppResponse) {
    DescribeAppResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAppResponse = exports.DescribeAppResponse || (exports.DescribeAppResponse = {}));
var DescribeAppImageConfigRequest;
(function (DescribeAppImageConfigRequest) {
    DescribeAppImageConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAppImageConfigRequest = exports.DescribeAppImageConfigRequest || (exports.DescribeAppImageConfigRequest = {}));
var DescribeAppImageConfigResponse;
(function (DescribeAppImageConfigResponse) {
    DescribeAppImageConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAppImageConfigResponse = exports.DescribeAppImageConfigResponse || (exports.DescribeAppImageConfigResponse = {}));
var DescribeArtifactRequest;
(function (DescribeArtifactRequest) {
    DescribeArtifactRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeArtifactRequest = exports.DescribeArtifactRequest || (exports.DescribeArtifactRequest = {}));
var DescribeArtifactResponse;
(function (DescribeArtifactResponse) {
    DescribeArtifactResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeArtifactResponse = exports.DescribeArtifactResponse || (exports.DescribeArtifactResponse = {}));
var DescribeAutoMLJobRequest;
(function (DescribeAutoMLJobRequest) {
    DescribeAutoMLJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAutoMLJobRequest = exports.DescribeAutoMLJobRequest || (exports.DescribeAutoMLJobRequest = {}));
var ModelDeployResult;
(function (ModelDeployResult) {
    ModelDeployResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelDeployResult = exports.ModelDeployResult || (exports.ModelDeployResult = {}));
var ResolvedAttributes;
(function (ResolvedAttributes) {
    ResolvedAttributes.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolvedAttributes = exports.ResolvedAttributes || (exports.ResolvedAttributes = {}));
var DescribeAutoMLJobResponse;
(function (DescribeAutoMLJobResponse) {
    DescribeAutoMLJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAutoMLJobResponse = exports.DescribeAutoMLJobResponse || (exports.DescribeAutoMLJobResponse = {}));
var DescribeCodeRepositoryInput;
(function (DescribeCodeRepositoryInput) {
    DescribeCodeRepositoryInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeCodeRepositoryInput = exports.DescribeCodeRepositoryInput || (exports.DescribeCodeRepositoryInput = {}));
var DescribeCodeRepositoryOutput;
(function (DescribeCodeRepositoryOutput) {
    DescribeCodeRepositoryOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeCodeRepositoryOutput = exports.DescribeCodeRepositoryOutput || (exports.DescribeCodeRepositoryOutput = {}));
var DescribeCompilationJobRequest;
(function (DescribeCompilationJobRequest) {
    DescribeCompilationJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeCompilationJobRequest = exports.DescribeCompilationJobRequest || (exports.DescribeCompilationJobRequest = {}));
var ModelArtifacts;
(function (ModelArtifacts) {
    ModelArtifacts.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelArtifacts = exports.ModelArtifacts || (exports.ModelArtifacts = {}));
var ModelDigests;
(function (ModelDigests) {
    ModelDigests.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelDigests = exports.ModelDigests || (exports.ModelDigests = {}));
var DescribeCompilationJobResponse;
(function (DescribeCompilationJobResponse) {
    DescribeCompilationJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeCompilationJobResponse = exports.DescribeCompilationJobResponse || (exports.DescribeCompilationJobResponse = {}));
var DescribeContextRequest;
(function (DescribeContextRequest) {
    DescribeContextRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeContextRequest = exports.DescribeContextRequest || (exports.DescribeContextRequest = {}));
var DescribeContextResponse;
(function (DescribeContextResponse) {
    DescribeContextResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeContextResponse = exports.DescribeContextResponse || (exports.DescribeContextResponse = {}));
var DescribeDataQualityJobDefinitionRequest;
(function (DescribeDataQualityJobDefinitionRequest) {
    DescribeDataQualityJobDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDataQualityJobDefinitionRequest = exports.DescribeDataQualityJobDefinitionRequest || (exports.DescribeDataQualityJobDefinitionRequest = {}));
var DescribeDataQualityJobDefinitionResponse;
(function (DescribeDataQualityJobDefinitionResponse) {
    DescribeDataQualityJobDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDataQualityJobDefinitionResponse = exports.DescribeDataQualityJobDefinitionResponse || (exports.DescribeDataQualityJobDefinitionResponse = {}));
var DescribeDeviceRequest;
(function (DescribeDeviceRequest) {
    DescribeDeviceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDeviceRequest = exports.DescribeDeviceRequest || (exports.DescribeDeviceRequest = {}));
var EdgeModel;
(function (EdgeModel) {
    EdgeModel.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EdgeModel = exports.EdgeModel || (exports.EdgeModel = {}));
var DescribeDeviceResponse;
(function (DescribeDeviceResponse) {
    DescribeDeviceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDeviceResponse = exports.DescribeDeviceResponse || (exports.DescribeDeviceResponse = {}));
var DescribeDeviceFleetRequest;
(function (DescribeDeviceFleetRequest) {
    DescribeDeviceFleetRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDeviceFleetRequest = exports.DescribeDeviceFleetRequest || (exports.DescribeDeviceFleetRequest = {}));
var DescribeDeviceFleetResponse;
(function (DescribeDeviceFleetResponse) {
    DescribeDeviceFleetResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDeviceFleetResponse = exports.DescribeDeviceFleetResponse || (exports.DescribeDeviceFleetResponse = {}));
var DescribeDomainRequest;
(function (DescribeDomainRequest) {
    DescribeDomainRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDomainRequest = exports.DescribeDomainRequest || (exports.DescribeDomainRequest = {}));
var DomainStatus;
(function (DomainStatus) {
    DomainStatus["Delete_Failed"] = "Delete_Failed";
    DomainStatus["Deleting"] = "Deleting";
    DomainStatus["Failed"] = "Failed";
    DomainStatus["InService"] = "InService";
    DomainStatus["Pending"] = "Pending";
    DomainStatus["Update_Failed"] = "Update_Failed";
    DomainStatus["Updating"] = "Updating";
})(DomainStatus = exports.DomainStatus || (exports.DomainStatus = {}));
var DescribeDomainResponse;
(function (DescribeDomainResponse) {
    DescribeDomainResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeDomainResponse = exports.DescribeDomainResponse || (exports.DescribeDomainResponse = {}));
var DescribeEdgePackagingJobRequest;
(function (DescribeEdgePackagingJobRequest) {
    DescribeEdgePackagingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEdgePackagingJobRequest = exports.DescribeEdgePackagingJobRequest || (exports.DescribeEdgePackagingJobRequest = {}));
var EdgePackagingJobStatus;
(function (EdgePackagingJobStatus) {
    EdgePackagingJobStatus["Completed"] = "COMPLETED";
    EdgePackagingJobStatus["Failed"] = "FAILED";
    EdgePackagingJobStatus["InProgress"] = "INPROGRESS";
    EdgePackagingJobStatus["Starting"] = "STARTING";
    EdgePackagingJobStatus["Stopped"] = "STOPPED";
    EdgePackagingJobStatus["Stopping"] = "STOPPING";
})(EdgePackagingJobStatus = exports.EdgePackagingJobStatus || (exports.EdgePackagingJobStatus = {}));
var EdgePresetDeploymentStatus;
(function (EdgePresetDeploymentStatus) {
    EdgePresetDeploymentStatus["Completed"] = "COMPLETED";
    EdgePresetDeploymentStatus["Failed"] = "FAILED";
})(EdgePresetDeploymentStatus = exports.EdgePresetDeploymentStatus || (exports.EdgePresetDeploymentStatus = {}));
var EdgePresetDeploymentOutput;
(function (EdgePresetDeploymentOutput) {
    EdgePresetDeploymentOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EdgePresetDeploymentOutput = exports.EdgePresetDeploymentOutput || (exports.EdgePresetDeploymentOutput = {}));
var DescribeEdgePackagingJobResponse;
(function (DescribeEdgePackagingJobResponse) {
    DescribeEdgePackagingJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEdgePackagingJobResponse = exports.DescribeEdgePackagingJobResponse || (exports.DescribeEdgePackagingJobResponse = {}));
var DescribeEndpointInput;
(function (DescribeEndpointInput) {
    DescribeEndpointInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEndpointInput = exports.DescribeEndpointInput || (exports.DescribeEndpointInput = {}));
var EndpointStatus;
(function (EndpointStatus) {
    EndpointStatus["CREATING"] = "Creating";
    EndpointStatus["DELETING"] = "Deleting";
    EndpointStatus["FAILED"] = "Failed";
    EndpointStatus["IN_SERVICE"] = "InService";
    EndpointStatus["OUT_OF_SERVICE"] = "OutOfService";
    EndpointStatus["ROLLING_BACK"] = "RollingBack";
    EndpointStatus["SYSTEM_UPDATING"] = "SystemUpdating";
    EndpointStatus["UPDATING"] = "Updating";
})(EndpointStatus = exports.EndpointStatus || (exports.EndpointStatus = {}));
var VariantStatus;
(function (VariantStatus) {
    VariantStatus["ACTIVATING_TRAFFIC"] = "ActivatingTraffic";
    VariantStatus["BAKING"] = "Baking";
    VariantStatus["CREATING"] = "Creating";
    VariantStatus["DELETING"] = "Deleting";
    VariantStatus["UPDATING"] = "Updating";
})(VariantStatus = exports.VariantStatus || (exports.VariantStatus = {}));
var ProductionVariantStatus;
(function (ProductionVariantStatus) {
    ProductionVariantStatus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProductionVariantStatus = exports.ProductionVariantStatus || (exports.ProductionVariantStatus = {}));
var PendingProductionVariantSummary;
(function (PendingProductionVariantSummary) {
    PendingProductionVariantSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PendingProductionVariantSummary = exports.PendingProductionVariantSummary || (exports.PendingProductionVariantSummary = {}));
var PendingDeploymentSummary;
(function (PendingDeploymentSummary) {
    PendingDeploymentSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PendingDeploymentSummary = exports.PendingDeploymentSummary || (exports.PendingDeploymentSummary = {}));
var ProductionVariantSummary;
(function (ProductionVariantSummary) {
    ProductionVariantSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProductionVariantSummary = exports.ProductionVariantSummary || (exports.ProductionVariantSummary = {}));
var DescribeEndpointOutput;
(function (DescribeEndpointOutput) {
    DescribeEndpointOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEndpointOutput = exports.DescribeEndpointOutput || (exports.DescribeEndpointOutput = {}));
var DescribeEndpointConfigInput;
(function (DescribeEndpointConfigInput) {
    DescribeEndpointConfigInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEndpointConfigInput = exports.DescribeEndpointConfigInput || (exports.DescribeEndpointConfigInput = {}));
var DescribeEndpointConfigOutput;
(function (DescribeEndpointConfigOutput) {
    DescribeEndpointConfigOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeEndpointConfigOutput = exports.DescribeEndpointConfigOutput || (exports.DescribeEndpointConfigOutput = {}));
var DescribeExperimentRequest;
(function (DescribeExperimentRequest) {
    DescribeExperimentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeExperimentRequest = exports.DescribeExperimentRequest || (exports.DescribeExperimentRequest = {}));
var ExperimentSource;
(function (ExperimentSource) {
    ExperimentSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ExperimentSource = exports.ExperimentSource || (exports.ExperimentSource = {}));
var DescribeExperimentResponse;
(function (DescribeExperimentResponse) {
    DescribeExperimentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeExperimentResponse = exports.DescribeExperimentResponse || (exports.DescribeExperimentResponse = {}));
var DescribeFeatureGroupRequest;
(function (DescribeFeatureGroupRequest) {
    DescribeFeatureGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeFeatureGroupRequest = exports.DescribeFeatureGroupRequest || (exports.DescribeFeatureGroupRequest = {}));
var FeatureGroupStatus;
(function (FeatureGroupStatus) {
    FeatureGroupStatus["CREATED"] = "Created";
    FeatureGroupStatus["CREATE_FAILED"] = "CreateFailed";
    FeatureGroupStatus["CREATING"] = "Creating";
    FeatureGroupStatus["DELETE_FAILED"] = "DeleteFailed";
    FeatureGroupStatus["DELETING"] = "Deleting";
})(FeatureGroupStatus = exports.FeatureGroupStatus || (exports.FeatureGroupStatus = {}));
var OfflineStoreStatusValue;
(function (OfflineStoreStatusValue) {
    OfflineStoreStatusValue["ACTIVE"] = "Active";
    OfflineStoreStatusValue["BLOCKED"] = "Blocked";
    OfflineStoreStatusValue["DISABLED"] = "Disabled";
})(OfflineStoreStatusValue = exports.OfflineStoreStatusValue || (exports.OfflineStoreStatusValue = {}));
var OfflineStoreStatus;
(function (OfflineStoreStatus) {
    OfflineStoreStatus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OfflineStoreStatus = exports.OfflineStoreStatus || (exports.OfflineStoreStatus = {}));
var DescribeFeatureGroupResponse;
(function (DescribeFeatureGroupResponse) {
    DescribeFeatureGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeFeatureGroupResponse = exports.DescribeFeatureGroupResponse || (exports.DescribeFeatureGroupResponse = {}));
var DescribeFlowDefinitionRequest;
(function (DescribeFlowDefinitionRequest) {
    DescribeFlowDefinitionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeFlowDefinitionRequest = exports.DescribeFlowDefinitionRequest || (exports.DescribeFlowDefinitionRequest = {}));
var FlowDefinitionStatus;
(function (FlowDefinitionStatus) {
    FlowDefinitionStatus["ACTIVE"] = "Active";
    FlowDefinitionStatus["DELETING"] = "Deleting";
    FlowDefinitionStatus["FAILED"] = "Failed";
    FlowDefinitionStatus["INITIALIZING"] = "Initializing";
})(FlowDefinitionStatus = exports.FlowDefinitionStatus || (exports.FlowDefinitionStatus = {}));
var DescribeFlowDefinitionResponse;
(function (DescribeFlowDefinitionResponse) {
    DescribeFlowDefinitionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeFlowDefinitionResponse = exports.DescribeFlowDefinitionResponse || (exports.DescribeFlowDefinitionResponse = {}));
var DescribeHumanTaskUiRequest;
(function (DescribeHumanTaskUiRequest) {
    DescribeHumanTaskUiRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeHumanTaskUiRequest = exports.DescribeHumanTaskUiRequest || (exports.DescribeHumanTaskUiRequest = {}));
var HumanTaskUiStatus;
(function (HumanTaskUiStatus) {
    HumanTaskUiStatus["ACTIVE"] = "Active";
    HumanTaskUiStatus["DELETING"] = "Deleting";
})(HumanTaskUiStatus = exports.HumanTaskUiStatus || (exports.HumanTaskUiStatus = {}));
var UiTemplateInfo;
(function (UiTemplateInfo) {
    UiTemplateInfo.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UiTemplateInfo = exports.UiTemplateInfo || (exports.UiTemplateInfo = {}));
var DescribeHumanTaskUiResponse;
(function (DescribeHumanTaskUiResponse) {
    DescribeHumanTaskUiResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeHumanTaskUiResponse = exports.DescribeHumanTaskUiResponse || (exports.DescribeHumanTaskUiResponse = {}));
var DescribeHyperParameterTuningJobRequest;
(function (DescribeHyperParameterTuningJobRequest) {
    DescribeHyperParameterTuningJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeHyperParameterTuningJobRequest = exports.DescribeHyperParameterTuningJobRequest || (exports.DescribeHyperParameterTuningJobRequest = {}));
var FinalHyperParameterTuningJobObjectiveMetric;
(function (FinalHyperParameterTuningJobObjectiveMetric) {
    FinalHyperParameterTuningJobObjectiveMetric.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FinalHyperParameterTuningJobObjectiveMetric = exports.FinalHyperParameterTuningJobObjectiveMetric || (exports.FinalHyperParameterTuningJobObjectiveMetric = {}));
var TrainingJobStatus;
(function (TrainingJobStatus) {
    TrainingJobStatus["COMPLETED"] = "Completed";
    TrainingJobStatus["FAILED"] = "Failed";
    TrainingJobStatus["IN_PROGRESS"] = "InProgress";
    TrainingJobStatus["STOPPED"] = "Stopped";
    TrainingJobStatus["STOPPING"] = "Stopping";
})(TrainingJobStatus = exports.TrainingJobStatus || (exports.TrainingJobStatus = {}));
var HyperParameterTrainingJobSummary;
(function (HyperParameterTrainingJobSummary) {
    HyperParameterTrainingJobSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HyperParameterTrainingJobSummary = exports.HyperParameterTrainingJobSummary || (exports.HyperParameterTrainingJobSummary = {}));
var HyperParameterTuningJobStatus;
(function (HyperParameterTuningJobStatus) {
    HyperParameterTuningJobStatus["COMPLETED"] = "Completed";
    HyperParameterTuningJobStatus["FAILED"] = "Failed";
    HyperParameterTuningJobStatus["IN_PROGRESS"] = "InProgress";
    HyperParameterTuningJobStatus["STOPPED"] = "Stopped";
    HyperParameterTuningJobStatus["STOPPING"] = "Stopping";
})(HyperParameterTuningJobStatus = exports.HyperParameterTuningJobStatus || (exports.HyperParameterTuningJobStatus = {}));
var ObjectiveStatusCounters;
(function (ObjectiveStatusCounters) {
    ObjectiveStatusCounters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ObjectiveStatusCounters = exports.ObjectiveStatusCounters || (exports.ObjectiveStatusCounters = {}));
var TrainingJobStatusCounters;
(function (TrainingJobStatusCounters) {
    TrainingJobStatusCounters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TrainingJobStatusCounters = exports.TrainingJobStatusCounters || (exports.TrainingJobStatusCounters = {}));
var DescribeHyperParameterTuningJobResponse;
(function (DescribeHyperParameterTuningJobResponse) {
    DescribeHyperParameterTuningJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeHyperParameterTuningJobResponse = exports.DescribeHyperParameterTuningJobResponse || (exports.DescribeHyperParameterTuningJobResponse = {}));
var DescribeImageRequest;
(function (DescribeImageRequest) {
    DescribeImageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeImageRequest = exports.DescribeImageRequest || (exports.DescribeImageRequest = {}));
var ImageStatus;
(function (ImageStatus) {
    ImageStatus["CREATED"] = "CREATED";
    ImageStatus["CREATE_FAILED"] = "CREATE_FAILED";
    ImageStatus["CREATING"] = "CREATING";
    ImageStatus["DELETE_FAILED"] = "DELETE_FAILED";
    ImageStatus["DELETING"] = "DELETING";
    ImageStatus["UPDATE_FAILED"] = "UPDATE_FAILED";
    ImageStatus["UPDATING"] = "UPDATING";
})(ImageStatus = exports.ImageStatus || (exports.ImageStatus = {}));
var DescribeImageResponse;
(function (DescribeImageResponse) {
    DescribeImageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeImageResponse = exports.DescribeImageResponse || (exports.DescribeImageResponse = {}));
var DescribeImageVersionRequest;
(function (DescribeImageVersionRequest) {
    DescribeImageVersionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeImageVersionRequest = exports.DescribeImageVersionRequest || (exports.DescribeImageVersionRequest = {}));
var ImageVersionStatus;
(function (ImageVersionStatus) {
    ImageVersionStatus["CREATED"] = "CREATED";
    ImageVersionStatus["CREATE_FAILED"] = "CREATE_FAILED";
    ImageVersionStatus["CREATING"] = "CREATING";
    ImageVersionStatus["DELETE_FAILED"] = "DELETE_FAILED";
    ImageVersionStatus["DELETING"] = "DELETING";
})(ImageVersionStatus = exports.ImageVersionStatus || (exports.ImageVersionStatus = {}));
var DescribeImageVersionResponse;
(function (DescribeImageVersionResponse) {
    DescribeImageVersionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeImageVersionResponse = exports.DescribeImageVersionResponse || (exports.DescribeImageVersionResponse = {}));
var DescribeInferenceRecommendationsJobRequest;
(function (DescribeInferenceRecommendationsJobRequest) {
    DescribeInferenceRecommendationsJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeInferenceRecommendationsJobRequest = exports.DescribeInferenceRecommendationsJobRequest || (exports.DescribeInferenceRecommendationsJobRequest = {}));
var EndpointOutputConfiguration;
(function (EndpointOutputConfiguration) {
    EndpointOutputConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EndpointOutputConfiguration = exports.EndpointOutputConfiguration || (exports.EndpointOutputConfiguration = {}));
var RecommendationMetrics;
(function (RecommendationMetrics) {
    RecommendationMetrics.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RecommendationMetrics = exports.RecommendationMetrics || (exports.RecommendationMetrics = {}));
var EnvironmentParameter;
(function (EnvironmentParameter) {
    EnvironmentParameter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(EnvironmentParameter = exports.EnvironmentParameter || (exports.EnvironmentParameter = {}));
var ModelConfiguration;
(function (ModelConfiguration) {
    ModelConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ModelConfiguration = exports.ModelConfiguration || (exports.ModelConfiguration = {}));
var InferenceRecommendation;
(function (InferenceRecommendation) {
    InferenceRecommendation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(InferenceRecommendation = exports.InferenceRecommendation || (exports.InferenceRecommendation = {}));
var RecommendationJobStatus;
(function (RecommendationJobStatus) {
    RecommendationJobStatus["COMPLETED"] = "COMPLETED";
    RecommendationJobStatus["FAILED"] = "FAILED";
    RecommendationJobStatus["IN_PROGRESS"] = "IN_PROGRESS";
    RecommendationJobStatus["PENDING"] = "PENDING";
    RecommendationJobStatus["STOPPED"] = "STOPPED";
    RecommendationJobStatus["STOPPING"] = "STOPPING";
})(RecommendationJobStatus = exports.RecommendationJobStatus || (exports.RecommendationJobStatus = {}));
var DescribeInferenceRecommendationsJobResponse;
(function (DescribeInferenceRecommendationsJobResponse) {
    DescribeInferenceRecommendationsJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeInferenceRecommendationsJobResponse = exports.DescribeInferenceRecommendationsJobResponse || (exports.DescribeInferenceRecommendationsJobResponse = {}));
var DescribeLabelingJobRequest;
(function (DescribeLabelingJobRequest) {
    DescribeLabelingJobRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLabelingJobRequest = exports.DescribeLabelingJobRequest || (exports.DescribeLabelingJobRequest = {}));
var LabelCounters;
(function (LabelCounters) {
    LabelCounters.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelCounters = exports.LabelCounters || (exports.LabelCounters = {}));
var LabelingJobOutput;
(function (LabelingJobOutput) {
    LabelingJobOutput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LabelingJobOutput = exports.LabelingJobOutput || (exports.LabelingJobOutput = {}));
var LabelingJobStatus;
(function (LabelingJobStatus) {
    LabelingJobStatus["COMPLETED"] = "Completed";
    LabelingJobStatus["FAILED"] = "Failed";
    LabelingJobStatus["INITIALIZING"] = "Initializing";
    LabelingJobStatus["IN_PROGRESS"] = "InProgress";
    LabelingJobStatus["STOPPED"] = "Stopped";
    LabelingJobStatus["STOPPING"] = "Stopping";
})(LabelingJobStatus = exports.LabelingJobStatus || (exports.LabelingJobStatus = {}));
var DescribeLabelingJobResponse;
(function (DescribeLabelingJobResponse) {
    DescribeLabelingJobResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLabelingJobResponse = exports.DescribeLabelingJobResponse || (exports.DescribeLabelingJobResponse = {}));
var DescribeLineageGroupRequest;
(function (DescribeLineageGroupRequest) {
    DescribeLineageGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLineageGroupRequest = exports.DescribeLineageGroupRequest || (exports.DescribeLineageGroupRequest = {}));
var DescribeLineageGroupResponse;
(function (DescribeLineageGroupResponse) {
    DescribeLineageGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLineageGroupResponse = exports.DescribeLineageGroupResponse || (exports.DescribeLineageGroupResponse = {}));
var DescribeModelInput;
(function (DescribeModelInput) {
    DescribeModelInput.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeModelInput = exports.DescribeModelInput || (exports.DescribeModelInput = {}));
