import { __assign, __read } from "tslib";
import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
export var EndpointInputConfiguration;
(function (EndpointInputConfiguration) {
    EndpointInputConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EndpointInputConfiguration || (EndpointInputConfiguration = {}));
export var RecommendationJobResourceLimit;
(function (RecommendationJobResourceLimit) {
    RecommendationJobResourceLimit.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationJobResourceLimit || (RecommendationJobResourceLimit = {}));
export var Phase;
(function (Phase) {
    Phase.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Phase || (Phase = {}));
export var TrafficType;
(function (TrafficType) {
    TrafficType["PHASES"] = "PHASES";
})(TrafficType || (TrafficType = {}));
export var TrafficPattern;
(function (TrafficPattern) {
    TrafficPattern.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrafficPattern || (TrafficPattern = {}));
export var RecommendationJobInputConfig;
(function (RecommendationJobInputConfig) {
    RecommendationJobInputConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationJobInputConfig || (RecommendationJobInputConfig = {}));
export var RecommendationJobType;
(function (RecommendationJobType) {
    RecommendationJobType["ADVANCED"] = "Advanced";
    RecommendationJobType["DEFAULT"] = "Default";
})(RecommendationJobType || (RecommendationJobType = {}));
export var ModelLatencyThreshold;
(function (ModelLatencyThreshold) {
    ModelLatencyThreshold.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelLatencyThreshold || (ModelLatencyThreshold = {}));
export var RecommendationJobStoppingConditions;
(function (RecommendationJobStoppingConditions) {
    RecommendationJobStoppingConditions.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationJobStoppingConditions || (RecommendationJobStoppingConditions = {}));
export var CreateInferenceRecommendationsJobRequest;
(function (CreateInferenceRecommendationsJobRequest) {
    CreateInferenceRecommendationsJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateInferenceRecommendationsJobRequest || (CreateInferenceRecommendationsJobRequest = {}));
export var CreateInferenceRecommendationsJobResponse;
(function (CreateInferenceRecommendationsJobResponse) {
    CreateInferenceRecommendationsJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateInferenceRecommendationsJobResponse || (CreateInferenceRecommendationsJobResponse = {}));
export var UiConfig;
(function (UiConfig) {
    UiConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UiConfig || (UiConfig = {}));
export var HumanTaskConfig;
(function (HumanTaskConfig) {
    HumanTaskConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HumanTaskConfig || (HumanTaskConfig = {}));
export var LabelingJobDataAttributes;
(function (LabelingJobDataAttributes) {
    LabelingJobDataAttributes.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobDataAttributes || (LabelingJobDataAttributes = {}));
export var LabelingJobS3DataSource;
(function (LabelingJobS3DataSource) {
    LabelingJobS3DataSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobS3DataSource || (LabelingJobS3DataSource = {}));
export var LabelingJobSnsDataSource;
(function (LabelingJobSnsDataSource) {
    LabelingJobSnsDataSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobSnsDataSource || (LabelingJobSnsDataSource = {}));
export var LabelingJobDataSource;
(function (LabelingJobDataSource) {
    LabelingJobDataSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobDataSource || (LabelingJobDataSource = {}));
export var LabelingJobInputConfig;
(function (LabelingJobInputConfig) {
    LabelingJobInputConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobInputConfig || (LabelingJobInputConfig = {}));
export var LabelingJobResourceConfig;
(function (LabelingJobResourceConfig) {
    LabelingJobResourceConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobResourceConfig || (LabelingJobResourceConfig = {}));
export var LabelingJobAlgorithmsConfig;
(function (LabelingJobAlgorithmsConfig) {
    LabelingJobAlgorithmsConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobAlgorithmsConfig || (LabelingJobAlgorithmsConfig = {}));
export var LabelingJobOutputConfig;
(function (LabelingJobOutputConfig) {
    LabelingJobOutputConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobOutputConfig || (LabelingJobOutputConfig = {}));
export var LabelingJobStoppingConditions;
(function (LabelingJobStoppingConditions) {
    LabelingJobStoppingConditions.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobStoppingConditions || (LabelingJobStoppingConditions = {}));
export var CreateLabelingJobRequest;
(function (CreateLabelingJobRequest) {
    CreateLabelingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateLabelingJobRequest || (CreateLabelingJobRequest = {}));
export var CreateLabelingJobResponse;
(function (CreateLabelingJobResponse) {
    CreateLabelingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateLabelingJobResponse || (CreateLabelingJobResponse = {}));
export var InferenceExecutionMode;
(function (InferenceExecutionMode) {
    InferenceExecutionMode["DIRECT"] = "Direct";
    InferenceExecutionMode["SERIAL"] = "Serial";
})(InferenceExecutionMode || (InferenceExecutionMode = {}));
export var InferenceExecutionConfig;
(function (InferenceExecutionConfig) {
    InferenceExecutionConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InferenceExecutionConfig || (InferenceExecutionConfig = {}));
export var CreateModelInput;
(function (CreateModelInput) {
    CreateModelInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelInput || (CreateModelInput = {}));
export var CreateModelOutput;
(function (CreateModelOutput) {
    CreateModelOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelOutput || (CreateModelOutput = {}));
export var ModelBiasAppSpecification;
(function (ModelBiasAppSpecification) {
    ModelBiasAppSpecification.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelBiasAppSpecification || (ModelBiasAppSpecification = {}));
export var ModelBiasBaselineConfig;
(function (ModelBiasBaselineConfig) {
    ModelBiasBaselineConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelBiasBaselineConfig || (ModelBiasBaselineConfig = {}));
export var MonitoringGroundTruthS3Input;
(function (MonitoringGroundTruthS3Input) {
    MonitoringGroundTruthS3Input.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringGroundTruthS3Input || (MonitoringGroundTruthS3Input = {}));
export var ModelBiasJobInput;
(function (ModelBiasJobInput) {
    ModelBiasJobInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelBiasJobInput || (ModelBiasJobInput = {}));
export var CreateModelBiasJobDefinitionRequest;
(function (CreateModelBiasJobDefinitionRequest) {
    CreateModelBiasJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelBiasJobDefinitionRequest || (CreateModelBiasJobDefinitionRequest = {}));
export var CreateModelBiasJobDefinitionResponse;
(function (CreateModelBiasJobDefinitionResponse) {
    CreateModelBiasJobDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelBiasJobDefinitionResponse || (CreateModelBiasJobDefinitionResponse = {}));
export var ModelExplainabilityAppSpecification;
(function (ModelExplainabilityAppSpecification) {
    ModelExplainabilityAppSpecification.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelExplainabilityAppSpecification || (ModelExplainabilityAppSpecification = {}));
export var ModelExplainabilityBaselineConfig;
(function (ModelExplainabilityBaselineConfig) {
    ModelExplainabilityBaselineConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelExplainabilityBaselineConfig || (ModelExplainabilityBaselineConfig = {}));
export var ModelExplainabilityJobInput;
(function (ModelExplainabilityJobInput) {
    ModelExplainabilityJobInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelExplainabilityJobInput || (ModelExplainabilityJobInput = {}));
export var CreateModelExplainabilityJobDefinitionRequest;
(function (CreateModelExplainabilityJobDefinitionRequest) {
    CreateModelExplainabilityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelExplainabilityJobDefinitionRequest || (CreateModelExplainabilityJobDefinitionRequest = {}));
export var CreateModelExplainabilityJobDefinitionResponse;
(function (CreateModelExplainabilityJobDefinitionResponse) {
    CreateModelExplainabilityJobDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelExplainabilityJobDefinitionResponse || (CreateModelExplainabilityJobDefinitionResponse = {}));
export var FileSource;
(function (FileSource) {
    FileSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FileSource || (FileSource = {}));
export var DriftCheckBias;
(function (DriftCheckBias) {
    DriftCheckBias.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DriftCheckBias || (DriftCheckBias = {}));
export var DriftCheckExplainability;
(function (DriftCheckExplainability) {
    DriftCheckExplainability.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DriftCheckExplainability || (DriftCheckExplainability = {}));
export var DriftCheckModelDataQuality;
(function (DriftCheckModelDataQuality) {
    DriftCheckModelDataQuality.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DriftCheckModelDataQuality || (DriftCheckModelDataQuality = {}));
export var DriftCheckModelQuality;
(function (DriftCheckModelQuality) {
    DriftCheckModelQuality.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DriftCheckModelQuality || (DriftCheckModelQuality = {}));
export var DriftCheckBaselines;
(function (DriftCheckBaselines) {
    DriftCheckBaselines.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DriftCheckBaselines || (DriftCheckBaselines = {}));
export var Explainability;
(function (Explainability) {
    Explainability.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Explainability || (Explainability = {}));
export var ModelDataQuality;
(function (ModelDataQuality) {
    ModelDataQuality.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelDataQuality || (ModelDataQuality = {}));
export var ModelQuality;
(function (ModelQuality) {
    ModelQuality.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelQuality || (ModelQuality = {}));
export var ModelMetrics;
(function (ModelMetrics) {
    ModelMetrics.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelMetrics || (ModelMetrics = {}));
export var SourceAlgorithm;
(function (SourceAlgorithm) {
    SourceAlgorithm.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SourceAlgorithm || (SourceAlgorithm = {}));
export var SourceAlgorithmSpecification;
(function (SourceAlgorithmSpecification) {
    SourceAlgorithmSpecification.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SourceAlgorithmSpecification || (SourceAlgorithmSpecification = {}));
export var ModelPackageValidationProfile;
(function (ModelPackageValidationProfile) {
    ModelPackageValidationProfile.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackageValidationProfile || (ModelPackageValidationProfile = {}));
export var ModelPackageValidationSpecification;
(function (ModelPackageValidationSpecification) {
    ModelPackageValidationSpecification.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelPackageValidationSpecification || (ModelPackageValidationSpecification = {}));
export var CreateModelPackageInput;
(function (CreateModelPackageInput) {
    CreateModelPackageInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelPackageInput || (CreateModelPackageInput = {}));
export var CreateModelPackageOutput;
(function (CreateModelPackageOutput) {
    CreateModelPackageOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelPackageOutput || (CreateModelPackageOutput = {}));
export var CreateModelPackageGroupInput;
(function (CreateModelPackageGroupInput) {
    CreateModelPackageGroupInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelPackageGroupInput || (CreateModelPackageGroupInput = {}));
export var CreateModelPackageGroupOutput;
(function (CreateModelPackageGroupOutput) {
    CreateModelPackageGroupOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelPackageGroupOutput || (CreateModelPackageGroupOutput = {}));
export var MonitoringProblemType;
(function (MonitoringProblemType) {
    MonitoringProblemType["BINARY_CLASSIFICATION"] = "BinaryClassification";
    MonitoringProblemType["MULTICLASS_CLASSIFICATION"] = "MulticlassClassification";
    MonitoringProblemType["REGRESSION"] = "Regression";
})(MonitoringProblemType || (MonitoringProblemType = {}));
export var ModelQualityAppSpecification;
(function (ModelQualityAppSpecification) {
    ModelQualityAppSpecification.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelQualityAppSpecification || (ModelQualityAppSpecification = {}));
export var ModelQualityBaselineConfig;
(function (ModelQualityBaselineConfig) {
    ModelQualityBaselineConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelQualityBaselineConfig || (ModelQualityBaselineConfig = {}));
export var ModelQualityJobInput;
(function (ModelQualityJobInput) {
    ModelQualityJobInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelQualityJobInput || (ModelQualityJobInput = {}));
export var CreateModelQualityJobDefinitionRequest;
(function (CreateModelQualityJobDefinitionRequest) {
    CreateModelQualityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelQualityJobDefinitionRequest || (CreateModelQualityJobDefinitionRequest = {}));
export var CreateModelQualityJobDefinitionResponse;
(function (CreateModelQualityJobDefinitionResponse) {
    CreateModelQualityJobDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateModelQualityJobDefinitionResponse || (CreateModelQualityJobDefinitionResponse = {}));
export var MonitoringBaselineConfig;
(function (MonitoringBaselineConfig) {
    MonitoringBaselineConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringBaselineConfig || (MonitoringBaselineConfig = {}));
export var MonitoringAppSpecification;
(function (MonitoringAppSpecification) {
    MonitoringAppSpecification.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringAppSpecification || (MonitoringAppSpecification = {}));
export var MonitoringInput;
(function (MonitoringInput) {
    MonitoringInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringInput || (MonitoringInput = {}));
export var NetworkConfig;
(function (NetworkConfig) {
    NetworkConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NetworkConfig || (NetworkConfig = {}));
export var MonitoringJobDefinition;
(function (MonitoringJobDefinition) {
    MonitoringJobDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringJobDefinition || (MonitoringJobDefinition = {}));
export var MonitoringType;
(function (MonitoringType) {
    MonitoringType["DATA_QUALITY"] = "DataQuality";
    MonitoringType["MODEL_BIAS"] = "ModelBias";
    MonitoringType["MODEL_EXPLAINABILITY"] = "ModelExplainability";
    MonitoringType["MODEL_QUALITY"] = "ModelQuality";
})(MonitoringType || (MonitoringType = {}));
export var ScheduleConfig;
(function (ScheduleConfig) {
    ScheduleConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ScheduleConfig || (ScheduleConfig = {}));
export var MonitoringScheduleConfig;
(function (MonitoringScheduleConfig) {
    MonitoringScheduleConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MonitoringScheduleConfig || (MonitoringScheduleConfig = {}));
export var CreateMonitoringScheduleRequest;
(function (CreateMonitoringScheduleRequest) {
    CreateMonitoringScheduleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateMonitoringScheduleRequest || (CreateMonitoringScheduleRequest = {}));
export var CreateMonitoringScheduleResponse;
(function (CreateMonitoringScheduleResponse) {
    CreateMonitoringScheduleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateMonitoringScheduleResponse || (CreateMonitoringScheduleResponse = {}));
export var NotebookInstanceAcceleratorType;
(function (NotebookInstanceAcceleratorType) {
    NotebookInstanceAcceleratorType["ML_EIA1_LARGE"] = "ml.eia1.large";
    NotebookInstanceAcceleratorType["ML_EIA1_MEDIUM"] = "ml.eia1.medium";
    NotebookInstanceAcceleratorType["ML_EIA1_XLARGE"] = "ml.eia1.xlarge";
    NotebookInstanceAcceleratorType["ML_EIA2_LARGE"] = "ml.eia2.large";
    NotebookInstanceAcceleratorType["ML_EIA2_MEDIUM"] = "ml.eia2.medium";
    NotebookInstanceAcceleratorType["ML_EIA2_XLARGE"] = "ml.eia2.xlarge";
})(NotebookInstanceAcceleratorType || (NotebookInstanceAcceleratorType = {}));
export var DirectInternetAccess;
(function (DirectInternetAccess) {
    DirectInternetAccess["DISABLED"] = "Disabled";
    DirectInternetAccess["ENABLED"] = "Enabled";
})(DirectInternetAccess || (DirectInternetAccess = {}));
export var _InstanceType;
(function (_InstanceType) {
    _InstanceType["ML_C4_2XLARGE"] = "ml.c4.2xlarge";
    _InstanceType["ML_C4_4XLARGE"] = "ml.c4.4xlarge";
    _InstanceType["ML_C4_8XLARGE"] = "ml.c4.8xlarge";
    _InstanceType["ML_C4_XLARGE"] = "ml.c4.xlarge";
    _InstanceType["ML_C5D_18XLARGE"] = "ml.c5d.18xlarge";
    _InstanceType["ML_C5D_2XLARGE"] = "ml.c5d.2xlarge";
    _InstanceType["ML_C5D_4XLARGE"] = "ml.c5d.4xlarge";
    _InstanceType["ML_C5D_9XLARGE"] = "ml.c5d.9xlarge";
    _InstanceType["ML_C5D_XLARGE"] = "ml.c5d.xlarge";
    _InstanceType["ML_C5_18XLARGE"] = "ml.c5.18xlarge";
    _InstanceType["ML_C5_2XLARGE"] = "ml.c5.2xlarge";
    _InstanceType["ML_C5_4XLARGE"] = "ml.c5.4xlarge";
    _InstanceType["ML_C5_9XLARGE"] = "ml.c5.9xlarge";
    _InstanceType["ML_C5_XLARGE"] = "ml.c5.xlarge";
    _InstanceType["ML_G4DN_12XLARGE"] = "ml.g4dn.12xlarge";
    _InstanceType["ML_G4DN_16XLARGE"] = "ml.g4dn.16xlarge";
    _InstanceType["ML_G4DN_2XLARGE"] = "ml.g4dn.2xlarge";
    _InstanceType["ML_G4DN_4XLARGE"] = "ml.g4dn.4xlarge";
    _InstanceType["ML_G4DN_8XLARGE"] = "ml.g4dn.8xlarge";
    _InstanceType["ML_G4DN_XLARGE"] = "ml.g4dn.xlarge";
    _InstanceType["ML_G5_12XLARGE"] = "ml.g5.12xlarge";
    _InstanceType["ML_G5_16XLARGE"] = "ml.g5.16xlarge";
    _InstanceType["ML_G5_24XLARGE"] = "ml.g5.24xlarge";
    _InstanceType["ML_G5_2XLARGE"] = "ml.g5.2xlarge";
    _InstanceType["ML_G5_48XLARGE"] = "ml.g5.48xlarge";
    _InstanceType["ML_G5_4XLARGE"] = "ml.g5.4xlarge";
    _InstanceType["ML_G5_8XLARGE"] = "ml.g5.8xlarge";
    _InstanceType["ML_G5_XLARGE"] = "ml.g5.xlarge";
    _InstanceType["ML_M4_10XLARGE"] = "ml.m4.10xlarge";
    _InstanceType["ML_M4_16XLARGE"] = "ml.m4.16xlarge";
    _InstanceType["ML_M4_2XLARGE"] = "ml.m4.2xlarge";
    _InstanceType["ML_M4_4XLARGE"] = "ml.m4.4xlarge";
    _InstanceType["ML_M4_XLARGE"] = "ml.m4.xlarge";
    _InstanceType["ML_M5D_12XLARGE"] = "ml.m5d.12xlarge";
    _InstanceType["ML_M5D_16XLARGE"] = "ml.m5d.16xlarge";
    _InstanceType["ML_M5D_24XLARGE"] = "ml.m5d.24xlarge";
    _InstanceType["ML_M5D_2XLARGE"] = "ml.m5d.2xlarge";
    _InstanceType["ML_M5D_4XLARGE"] = "ml.m5d.4xlarge";
    _InstanceType["ML_M5D_8XLARGE"] = "ml.m5d.8xlarge";
    _InstanceType["ML_M5D_LARGE"] = "ml.m5d.large";
    _InstanceType["ML_M5D_XLARGE"] = "ml.m5d.xlarge";
    _InstanceType["ML_M5_12XLARGE"] = "ml.m5.12xlarge";
    _InstanceType["ML_M5_24XLARGE"] = "ml.m5.24xlarge";
    _InstanceType["ML_M5_2XLARGE"] = "ml.m5.2xlarge";
    _InstanceType["ML_M5_4XLARGE"] = "ml.m5.4xlarge";
    _InstanceType["ML_M5_XLARGE"] = "ml.m5.xlarge";
    _InstanceType["ML_P2_16XLARGE"] = "ml.p2.16xlarge";
    _InstanceType["ML_P2_8XLARGE"] = "ml.p2.8xlarge";
    _InstanceType["ML_P2_XLARGE"] = "ml.p2.xlarge";
    _InstanceType["ML_P3DN_24XLARGE"] = "ml.p3dn.24xlarge";
    _InstanceType["ML_P3_16XLARGE"] = "ml.p3.16xlarge";
    _InstanceType["ML_P3_2XLARGE"] = "ml.p3.2xlarge";
    _InstanceType["ML_P3_8XLARGE"] = "ml.p3.8xlarge";
    _InstanceType["ML_R5_12XLARGE"] = "ml.r5.12xlarge";
    _InstanceType["ML_R5_16XLARGE"] = "ml.r5.16xlarge";
    _InstanceType["ML_R5_24XLARGE"] = "ml.r5.24xlarge";
    _InstanceType["ML_R5_2XLARGE"] = "ml.r5.2xlarge";
    _InstanceType["ML_R5_4XLARGE"] = "ml.r5.4xlarge";
    _InstanceType["ML_R5_8XLARGE"] = "ml.r5.8xlarge";
    _InstanceType["ML_R5_LARGE"] = "ml.r5.large";
    _InstanceType["ML_R5_XLARGE"] = "ml.r5.xlarge";
    _InstanceType["ML_T2_2XLARGE"] = "ml.t2.2xlarge";
    _InstanceType["ML_T2_LARGE"] = "ml.t2.large";
    _InstanceType["ML_T2_MEDIUM"] = "ml.t2.medium";
    _InstanceType["ML_T2_XLARGE"] = "ml.t2.xlarge";
    _InstanceType["ML_T3_2XLARGE"] = "ml.t3.2xlarge";
    _InstanceType["ML_T3_LARGE"] = "ml.t3.large";
    _InstanceType["ML_T3_MEDIUM"] = "ml.t3.medium";
    _InstanceType["ML_T3_XLARGE"] = "ml.t3.xlarge";
})(_InstanceType || (_InstanceType = {}));
export var RootAccess;
(function (RootAccess) {
    RootAccess["DISABLED"] = "Disabled";
    RootAccess["ENABLED"] = "Enabled";
})(RootAccess || (RootAccess = {}));
export var CreateNotebookInstanceInput;
(function (CreateNotebookInstanceInput) {
    CreateNotebookInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateNotebookInstanceInput || (CreateNotebookInstanceInput = {}));
export var CreateNotebookInstanceOutput;
(function (CreateNotebookInstanceOutput) {
    CreateNotebookInstanceOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateNotebookInstanceOutput || (CreateNotebookInstanceOutput = {}));
export var NotebookInstanceLifecycleHook;
(function (NotebookInstanceLifecycleHook) {
    NotebookInstanceLifecycleHook.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NotebookInstanceLifecycleHook || (NotebookInstanceLifecycleHook = {}));
export var CreateNotebookInstanceLifecycleConfigInput;
(function (CreateNotebookInstanceLifecycleConfigInput) {
    CreateNotebookInstanceLifecycleConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateNotebookInstanceLifecycleConfigInput || (CreateNotebookInstanceLifecycleConfigInput = {}));
export var CreateNotebookInstanceLifecycleConfigOutput;
(function (CreateNotebookInstanceLifecycleConfigOutput) {
    CreateNotebookInstanceLifecycleConfigOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateNotebookInstanceLifecycleConfigOutput || (CreateNotebookInstanceLifecycleConfigOutput = {}));
export var ParallelismConfiguration;
(function (ParallelismConfiguration) {
    ParallelismConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ParallelismConfiguration || (ParallelismConfiguration = {}));
export var PipelineDefinitionS3Location;
(function (PipelineDefinitionS3Location) {
    PipelineDefinitionS3Location.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PipelineDefinitionS3Location || (PipelineDefinitionS3Location = {}));
export var CreatePipelineRequest;
(function (CreatePipelineRequest) {
    CreatePipelineRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePipelineRequest || (CreatePipelineRequest = {}));
export var CreatePipelineResponse;
(function (CreatePipelineResponse) {
    CreatePipelineResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePipelineResponse || (CreatePipelineResponse = {}));
export var CreatePresignedDomainUrlRequest;
(function (CreatePresignedDomainUrlRequest) {
    CreatePresignedDomainUrlRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePresignedDomainUrlRequest || (CreatePresignedDomainUrlRequest = {}));
export var CreatePresignedDomainUrlResponse;
(function (CreatePresignedDomainUrlResponse) {
    CreatePresignedDomainUrlResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePresignedDomainUrlResponse || (CreatePresignedDomainUrlResponse = {}));
export var CreatePresignedNotebookInstanceUrlInput;
(function (CreatePresignedNotebookInstanceUrlInput) {
    CreatePresignedNotebookInstanceUrlInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePresignedNotebookInstanceUrlInput || (CreatePresignedNotebookInstanceUrlInput = {}));
export var CreatePresignedNotebookInstanceUrlOutput;
(function (CreatePresignedNotebookInstanceUrlOutput) {
    CreatePresignedNotebookInstanceUrlOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreatePresignedNotebookInstanceUrlOutput || (CreatePresignedNotebookInstanceUrlOutput = {}));
export var ExperimentConfig;
(function (ExperimentConfig) {
    ExperimentConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ExperimentConfig || (ExperimentConfig = {}));
export var DataDistributionType;
(function (DataDistributionType) {
    DataDistributionType["FULLYREPLICATED"] = "FullyReplicated";
    DataDistributionType["SHARDEDBYS3KEY"] = "ShardedByS3Key";
})(DataDistributionType || (DataDistributionType = {}));
export var InputMode;
(function (InputMode) {
    InputMode["FILE"] = "File";
    InputMode["PIPE"] = "Pipe";
})(InputMode || (InputMode = {}));
export var RedshiftResultCompressionType;
(function (RedshiftResultCompressionType) {
    RedshiftResultCompressionType["BZIP2"] = "BZIP2";
    RedshiftResultCompressionType["GZIP"] = "GZIP";
    RedshiftResultCompressionType["NONE"] = "None";
    RedshiftResultCompressionType["SNAPPY"] = "SNAPPY";
    RedshiftResultCompressionType["ZSTD"] = "ZSTD";
})(RedshiftResultCompressionType || (RedshiftResultCompressionType = {}));
export var RedshiftResultFormat;
(function (RedshiftResultFormat) {
    RedshiftResultFormat["CSV"] = "CSV";
    RedshiftResultFormat["PARQUET"] = "PARQUET";
})(RedshiftResultFormat || (RedshiftResultFormat = {}));
export var RedshiftDatasetDefinition;
(function (RedshiftDatasetDefinition) {
    RedshiftDatasetDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RedshiftDatasetDefinition || (RedshiftDatasetDefinition = {}));
export var DatasetDefinition;
(function (DatasetDefinition) {
    DatasetDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DatasetDefinition || (DatasetDefinition = {}));
export var ProcessingS3CompressionType;
(function (ProcessingS3CompressionType) {
    ProcessingS3CompressionType["GZIP"] = "Gzip";
    ProcessingS3CompressionType["NONE"] = "None";
})(ProcessingS3CompressionType || (ProcessingS3CompressionType = {}));
export var ProcessingS3DataType;
(function (ProcessingS3DataType) {
    ProcessingS3DataType["MANIFEST_FILE"] = "ManifestFile";
    ProcessingS3DataType["S3_PREFIX"] = "S3Prefix";
})(ProcessingS3DataType || (ProcessingS3DataType = {}));
export var ProcessingS3Input;
(function (ProcessingS3Input) {
    ProcessingS3Input.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingS3Input || (ProcessingS3Input = {}));
export var ProcessingInput;
(function (ProcessingInput) {
    ProcessingInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingInput || (ProcessingInput = {}));
export var ProcessingFeatureStoreOutput;
(function (ProcessingFeatureStoreOutput) {
    ProcessingFeatureStoreOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingFeatureStoreOutput || (ProcessingFeatureStoreOutput = {}));
export var ProcessingS3Output;
(function (ProcessingS3Output) {
    ProcessingS3Output.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingS3Output || (ProcessingS3Output = {}));
export var ProcessingOutput;
(function (ProcessingOutput) {
    ProcessingOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingOutput || (ProcessingOutput = {}));
export var ProcessingOutputConfig;
(function (ProcessingOutputConfig) {
    ProcessingOutputConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingOutputConfig || (ProcessingOutputConfig = {}));
export var ProcessingClusterConfig;
(function (ProcessingClusterConfig) {
    ProcessingClusterConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingClusterConfig || (ProcessingClusterConfig = {}));
export var ProcessingResources;
(function (ProcessingResources) {
    ProcessingResources.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingResources || (ProcessingResources = {}));
export var ProcessingStoppingCondition;
(function (ProcessingStoppingCondition) {
    ProcessingStoppingCondition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProcessingStoppingCondition || (ProcessingStoppingCondition = {}));
export var CreateProcessingJobRequest;
(function (CreateProcessingJobRequest) {
    CreateProcessingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateProcessingJobRequest || (CreateProcessingJobRequest = {}));
export var CreateProcessingJobResponse;
(function (CreateProcessingJobResponse) {
    CreateProcessingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateProcessingJobResponse || (CreateProcessingJobResponse = {}));
export var ProvisioningParameter;
(function (ProvisioningParameter) {
    ProvisioningParameter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProvisioningParameter || (ProvisioningParameter = {}));
export var ServiceCatalogProvisioningDetails;
(function (ServiceCatalogProvisioningDetails) {
    ServiceCatalogProvisioningDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ServiceCatalogProvisioningDetails || (ServiceCatalogProvisioningDetails = {}));
export var CreateProjectInput;
(function (CreateProjectInput) {
    CreateProjectInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateProjectInput || (CreateProjectInput = {}));
export var CreateProjectOutput;
(function (CreateProjectOutput) {
    CreateProjectOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateProjectOutput || (CreateProjectOutput = {}));
export var StudioLifecycleConfigAppType;
(function (StudioLifecycleConfigAppType) {
    StudioLifecycleConfigAppType["JupyterServer"] = "JupyterServer";
    StudioLifecycleConfigAppType["KernelGateway"] = "KernelGateway";
})(StudioLifecycleConfigAppType || (StudioLifecycleConfigAppType = {}));
export var CreateStudioLifecycleConfigRequest;
(function (CreateStudioLifecycleConfigRequest) {
    CreateStudioLifecycleConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateStudioLifecycleConfigRequest || (CreateStudioLifecycleConfigRequest = {}));
export var CreateStudioLifecycleConfigResponse;
(function (CreateStudioLifecycleConfigResponse) {
    CreateStudioLifecycleConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateStudioLifecycleConfigResponse || (CreateStudioLifecycleConfigResponse = {}));
export var DebugHookConfig;
(function (DebugHookConfig) {
    DebugHookConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DebugHookConfig || (DebugHookConfig = {}));
export var DebugRuleConfiguration;
(function (DebugRuleConfiguration) {
    DebugRuleConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DebugRuleConfiguration || (DebugRuleConfiguration = {}));
export var ProfilerConfig;
(function (ProfilerConfig) {
    ProfilerConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProfilerConfig || (ProfilerConfig = {}));
export var ProfilerRuleConfiguration;
(function (ProfilerRuleConfiguration) {
    ProfilerRuleConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProfilerRuleConfiguration || (ProfilerRuleConfiguration = {}));
export var TensorBoardOutputConfig;
(function (TensorBoardOutputConfig) {
    TensorBoardOutputConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TensorBoardOutputConfig || (TensorBoardOutputConfig = {}));
export var CreateTrainingJobRequest;
(function (CreateTrainingJobRequest) {
    CreateTrainingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateTrainingJobRequest || (CreateTrainingJobRequest = {}));
export var CreateTrainingJobResponse;
(function (CreateTrainingJobResponse) {
    CreateTrainingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateTrainingJobResponse || (CreateTrainingJobResponse = {}));
export var JoinSource;
(function (JoinSource) {
    JoinSource["INPUT"] = "Input";
    JoinSource["NONE"] = "None";
})(JoinSource || (JoinSource = {}));
export var DataProcessing;
(function (DataProcessing) {
    DataProcessing.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DataProcessing || (DataProcessing = {}));
export var ModelClientConfig;
(function (ModelClientConfig) {
    ModelClientConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelClientConfig || (ModelClientConfig = {}));
export var CreateTransformJobRequest;
(function (CreateTransformJobRequest) {
    CreateTransformJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateTransformJobRequest || (CreateTransformJobRequest = {}));
export var CreateTransformJobResponse;
(function (CreateTransformJobResponse) {
    CreateTransformJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateTransformJobResponse || (CreateTransformJobResponse = {}));
export var CreateTrialRequest;
(function (CreateTrialRequest) {
    CreateTrialRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateTrialRequest || (CreateTrialRequest = {}));
export var CreateTrialResponse;
(function (CreateTrialResponse) {
    CreateTrialResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateTrialResponse || (CreateTrialResponse = {}));
export var TrialComponentArtifact;
(function (TrialComponentArtifact) {
    TrialComponentArtifact.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialComponentArtifact || (TrialComponentArtifact = {}));
export var TrialComponentParameterValue;
(function (TrialComponentParameterValue) {
    TrialComponentParameterValue.visit = function (value, visitor) {
        if (value.StringValue !== undefined)
            return visitor.StringValue(value.StringValue);
        if (value.NumberValue !== undefined)
            return visitor.NumberValue(value.NumberValue);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
    TrialComponentParameterValue.filterSensitiveLog = function (obj) {
        var _a;
        if (obj.StringValue !== undefined)
            return { StringValue: obj.StringValue };
        if (obj.NumberValue !== undefined)
            return { NumberValue: obj.NumberValue };
        if (obj.$unknown !== undefined)
            return _a = {}, _a[obj.$unknown[0]] = "UNKNOWN", _a;
    };
})(TrialComponentParameterValue || (TrialComponentParameterValue = {}));
export var TrialComponentPrimaryStatus;
(function (TrialComponentPrimaryStatus) {
    TrialComponentPrimaryStatus["COMPLETED"] = "Completed";
    TrialComponentPrimaryStatus["FAILED"] = "Failed";
    TrialComponentPrimaryStatus["IN_PROGRESS"] = "InProgress";
    TrialComponentPrimaryStatus["STOPPED"] = "Stopped";
    TrialComponentPrimaryStatus["STOPPING"] = "Stopping";
})(TrialComponentPrimaryStatus || (TrialComponentPrimaryStatus = {}));
export var TrialComponentStatus;
(function (TrialComponentStatus) {
    TrialComponentStatus.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrialComponentStatus || (TrialComponentStatus = {}));
export var CreateTrialComponentRequest;
(function (CreateTrialComponentRequest) {
    CreateTrialComponentRequest.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.Parameters && {
        Parameters: Object.entries(obj.Parameters).reduce(function (acc, _a) {
            var _b;
            var _c = __read(_a, 2), key = _c[0], value = _c[1];
            return (__assign(__assign({}, acc), (_b = {}, _b[key] = TrialComponentParameterValue.filterSensitiveLog(value), _b)));
        }, {}),
    }))); };
})(CreateTrialComponentRequest || (CreateTrialComponentRequest = {}));
export var CreateTrialComponentResponse;
(function (CreateTrialComponentResponse) {
    CreateTrialComponentResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateTrialComponentResponse || (CreateTrialComponentResponse = {}));
export var CreateUserProfileRequest;
(function (CreateUserProfileRequest) {
    CreateUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateUserProfileRequest || (CreateUserProfileRequest = {}));
export var CreateUserProfileResponse;
(function (CreateUserProfileResponse) {
    CreateUserProfileResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateUserProfileResponse || (CreateUserProfileResponse = {}));
export var OidcConfig;
(function (OidcConfig) {
    OidcConfig.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.ClientSecret && { ClientSecret: SENSITIVE_STRING }))); };
})(OidcConfig || (OidcConfig = {}));
export var SourceIpConfig;
(function (SourceIpConfig) {
    SourceIpConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(SourceIpConfig || (SourceIpConfig = {}));
export var CreateWorkforceRequest;
(function (CreateWorkforceRequest) {
    CreateWorkforceRequest.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.OidcConfig && { OidcConfig: OidcConfig.filterSensitiveLog(obj.OidcConfig) }))); };
})(CreateWorkforceRequest || (CreateWorkforceRequest = {}));
export var CreateWorkforceResponse;
(function (CreateWorkforceResponse) {
    CreateWorkforceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateWorkforceResponse || (CreateWorkforceResponse = {}));
export var OidcMemberDefinition;
(function (OidcMemberDefinition) {
    OidcMemberDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OidcMemberDefinition || (OidcMemberDefinition = {}));
export var MemberDefinition;
(function (MemberDefinition) {
    MemberDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(MemberDefinition || (MemberDefinition = {}));
export var NotificationConfiguration;
(function (NotificationConfiguration) {
    NotificationConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(NotificationConfiguration || (NotificationConfiguration = {}));
export var CreateWorkteamRequest;
(function (CreateWorkteamRequest) {
    CreateWorkteamRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateWorkteamRequest || (CreateWorkteamRequest = {}));
export var CreateWorkteamResponse;
(function (CreateWorkteamResponse) {
    CreateWorkteamResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateWorkteamResponse || (CreateWorkteamResponse = {}));
export var DataCaptureConfigSummary;
(function (DataCaptureConfigSummary) {
    DataCaptureConfigSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DataCaptureConfigSummary || (DataCaptureConfigSummary = {}));
export var RuleEvaluationStatus;
(function (RuleEvaluationStatus) {
    RuleEvaluationStatus["ERROR"] = "Error";
    RuleEvaluationStatus["IN_PROGRESS"] = "InProgress";
    RuleEvaluationStatus["ISSUES_FOUND"] = "IssuesFound";
    RuleEvaluationStatus["NO_ISSUES_FOUND"] = "NoIssuesFound";
    RuleEvaluationStatus["STOPPED"] = "Stopped";
    RuleEvaluationStatus["STOPPING"] = "Stopping";
})(RuleEvaluationStatus || (RuleEvaluationStatus = {}));
export var DebugRuleEvaluationStatus;
(function (DebugRuleEvaluationStatus) {
    DebugRuleEvaluationStatus.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DebugRuleEvaluationStatus || (DebugRuleEvaluationStatus = {}));
export var DeleteActionRequest;
(function (DeleteActionRequest) {
    DeleteActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteActionRequest || (DeleteActionRequest = {}));
export var DeleteActionResponse;
(function (DeleteActionResponse) {
    DeleteActionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteActionResponse || (DeleteActionResponse = {}));
export var DeleteAlgorithmInput;
(function (DeleteAlgorithmInput) {
    DeleteAlgorithmInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteAlgorithmInput || (DeleteAlgorithmInput = {}));
export var DeleteAppRequest;
(function (DeleteAppRequest) {
    DeleteAppRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteAppRequest || (DeleteAppRequest = {}));
export var DeleteAppImageConfigRequest;
(function (DeleteAppImageConfigRequest) {
    DeleteAppImageConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteAppImageConfigRequest || (DeleteAppImageConfigRequest = {}));
export var DeleteArtifactRequest;
(function (DeleteArtifactRequest) {
    DeleteArtifactRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteArtifactRequest || (DeleteArtifactRequest = {}));
export var DeleteArtifactResponse;
(function (DeleteArtifactResponse) {
    DeleteArtifactResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteArtifactResponse || (DeleteArtifactResponse = {}));
export var DeleteAssociationRequest;
(function (DeleteAssociationRequest) {
    DeleteAssociationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteAssociationRequest || (DeleteAssociationRequest = {}));
export var DeleteAssociationResponse;
(function (DeleteAssociationResponse) {
    DeleteAssociationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteAssociationResponse || (DeleteAssociationResponse = {}));
export var DeleteCodeRepositoryInput;
(function (DeleteCodeRepositoryInput) {
    DeleteCodeRepositoryInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteCodeRepositoryInput || (DeleteCodeRepositoryInput = {}));
export var DeleteContextRequest;
(function (DeleteContextRequest) {
    DeleteContextRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteContextRequest || (DeleteContextRequest = {}));
export var DeleteContextResponse;
(function (DeleteContextResponse) {
    DeleteContextResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteContextResponse || (DeleteContextResponse = {}));
export var DeleteDataQualityJobDefinitionRequest;
(function (DeleteDataQualityJobDefinitionRequest) {
    DeleteDataQualityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteDataQualityJobDefinitionRequest || (DeleteDataQualityJobDefinitionRequest = {}));
export var DeleteDeviceFleetRequest;
(function (DeleteDeviceFleetRequest) {
    DeleteDeviceFleetRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteDeviceFleetRequest || (DeleteDeviceFleetRequest = {}));
export var RetentionType;
(function (RetentionType) {
    RetentionType["Delete"] = "Delete";
    RetentionType["Retain"] = "Retain";
})(RetentionType || (RetentionType = {}));
export var RetentionPolicy;
(function (RetentionPolicy) {
    RetentionPolicy.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RetentionPolicy || (RetentionPolicy = {}));
export var DeleteDomainRequest;
(function (DeleteDomainRequest) {
    DeleteDomainRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteDomainRequest || (DeleteDomainRequest = {}));
export var DeleteEndpointInput;
(function (DeleteEndpointInput) {
    DeleteEndpointInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteEndpointInput || (DeleteEndpointInput = {}));
export var DeleteEndpointConfigInput;
(function (DeleteEndpointConfigInput) {
    DeleteEndpointConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteEndpointConfigInput || (DeleteEndpointConfigInput = {}));
export var DeleteExperimentRequest;
(function (DeleteExperimentRequest) {
    DeleteExperimentRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteExperimentRequest || (DeleteExperimentRequest = {}));
export var DeleteExperimentResponse;
(function (DeleteExperimentResponse) {
    DeleteExperimentResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteExperimentResponse || (DeleteExperimentResponse = {}));
export var DeleteFeatureGroupRequest;
(function (DeleteFeatureGroupRequest) {
    DeleteFeatureGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFeatureGroupRequest || (DeleteFeatureGroupRequest = {}));
export var DeleteFlowDefinitionRequest;
(function (DeleteFlowDefinitionRequest) {
    DeleteFlowDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFlowDefinitionRequest || (DeleteFlowDefinitionRequest = {}));
export var DeleteFlowDefinitionResponse;
(function (DeleteFlowDefinitionResponse) {
    DeleteFlowDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFlowDefinitionResponse || (DeleteFlowDefinitionResponse = {}));
export var DeleteHumanTaskUiRequest;
(function (DeleteHumanTaskUiRequest) {
    DeleteHumanTaskUiRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteHumanTaskUiRequest || (DeleteHumanTaskUiRequest = {}));
export var DeleteHumanTaskUiResponse;
(function (DeleteHumanTaskUiResponse) {
    DeleteHumanTaskUiResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteHumanTaskUiResponse || (DeleteHumanTaskUiResponse = {}));
export var DeleteImageRequest;
(function (DeleteImageRequest) {
    DeleteImageRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteImageRequest || (DeleteImageRequest = {}));
export var DeleteImageResponse;
(function (DeleteImageResponse) {
    DeleteImageResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteImageResponse || (DeleteImageResponse = {}));
export var DeleteImageVersionRequest;
(function (DeleteImageVersionRequest) {
    DeleteImageVersionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteImageVersionRequest || (DeleteImageVersionRequest = {}));
export var DeleteImageVersionResponse;
(function (DeleteImageVersionResponse) {
    DeleteImageVersionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteImageVersionResponse || (DeleteImageVersionResponse = {}));
export var DeleteModelInput;
(function (DeleteModelInput) {
    DeleteModelInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteModelInput || (DeleteModelInput = {}));
export var DeleteModelBiasJobDefinitionRequest;
(function (DeleteModelBiasJobDefinitionRequest) {
    DeleteModelBiasJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteModelBiasJobDefinitionRequest || (DeleteModelBiasJobDefinitionRequest = {}));
export var DeleteModelExplainabilityJobDefinitionRequest;
(function (DeleteModelExplainabilityJobDefinitionRequest) {
    DeleteModelExplainabilityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteModelExplainabilityJobDefinitionRequest || (DeleteModelExplainabilityJobDefinitionRequest = {}));
export var DeleteModelPackageInput;
(function (DeleteModelPackageInput) {
    DeleteModelPackageInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteModelPackageInput || (DeleteModelPackageInput = {}));
export var DeleteModelPackageGroupInput;
(function (DeleteModelPackageGroupInput) {
    DeleteModelPackageGroupInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteModelPackageGroupInput || (DeleteModelPackageGroupInput = {}));
export var DeleteModelPackageGroupPolicyInput;
(function (DeleteModelPackageGroupPolicyInput) {
    DeleteModelPackageGroupPolicyInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteModelPackageGroupPolicyInput || (DeleteModelPackageGroupPolicyInput = {}));
export var DeleteModelQualityJobDefinitionRequest;
(function (DeleteModelQualityJobDefinitionRequest) {
    DeleteModelQualityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteModelQualityJobDefinitionRequest || (DeleteModelQualityJobDefinitionRequest = {}));
export var DeleteMonitoringScheduleRequest;
(function (DeleteMonitoringScheduleRequest) {
    DeleteMonitoringScheduleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteMonitoringScheduleRequest || (DeleteMonitoringScheduleRequest = {}));
export var DeleteNotebookInstanceInput;
(function (DeleteNotebookInstanceInput) {
    DeleteNotebookInstanceInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteNotebookInstanceInput || (DeleteNotebookInstanceInput = {}));
export var DeleteNotebookInstanceLifecycleConfigInput;
(function (DeleteNotebookInstanceLifecycleConfigInput) {
    DeleteNotebookInstanceLifecycleConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteNotebookInstanceLifecycleConfigInput || (DeleteNotebookInstanceLifecycleConfigInput = {}));
export var DeletePipelineRequest;
(function (DeletePipelineRequest) {
    DeletePipelineRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeletePipelineRequest || (DeletePipelineRequest = {}));
export var DeletePipelineResponse;
(function (DeletePipelineResponse) {
    DeletePipelineResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeletePipelineResponse || (DeletePipelineResponse = {}));
export var DeleteProjectInput;
(function (DeleteProjectInput) {
    DeleteProjectInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteProjectInput || (DeleteProjectInput = {}));
export var DeleteStudioLifecycleConfigRequest;
(function (DeleteStudioLifecycleConfigRequest) {
    DeleteStudioLifecycleConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteStudioLifecycleConfigRequest || (DeleteStudioLifecycleConfigRequest = {}));
export var DeleteTagsInput;
(function (DeleteTagsInput) {
    DeleteTagsInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteTagsInput || (DeleteTagsInput = {}));
export var DeleteTagsOutput;
(function (DeleteTagsOutput) {
    DeleteTagsOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteTagsOutput || (DeleteTagsOutput = {}));
export var DeleteTrialRequest;
(function (DeleteTrialRequest) {
    DeleteTrialRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteTrialRequest || (DeleteTrialRequest = {}));
export var DeleteTrialResponse;
(function (DeleteTrialResponse) {
    DeleteTrialResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteTrialResponse || (DeleteTrialResponse = {}));
export var DeleteTrialComponentRequest;
(function (DeleteTrialComponentRequest) {
    DeleteTrialComponentRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteTrialComponentRequest || (DeleteTrialComponentRequest = {}));
export var DeleteTrialComponentResponse;
(function (DeleteTrialComponentResponse) {
    DeleteTrialComponentResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteTrialComponentResponse || (DeleteTrialComponentResponse = {}));
export var DeleteUserProfileRequest;
(function (DeleteUserProfileRequest) {
    DeleteUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteUserProfileRequest || (DeleteUserProfileRequest = {}));
export var DeleteWorkforceRequest;
(function (DeleteWorkforceRequest) {
    DeleteWorkforceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteWorkforceRequest || (DeleteWorkforceRequest = {}));
export var DeleteWorkforceResponse;
(function (DeleteWorkforceResponse) {
    DeleteWorkforceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteWorkforceResponse || (DeleteWorkforceResponse = {}));
export var DeleteWorkteamRequest;
(function (DeleteWorkteamRequest) {
    DeleteWorkteamRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteWorkteamRequest || (DeleteWorkteamRequest = {}));
export var DeleteWorkteamResponse;
(function (DeleteWorkteamResponse) {
    DeleteWorkteamResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteWorkteamResponse || (DeleteWorkteamResponse = {}));
export var DeployedImage;
(function (DeployedImage) {
    DeployedImage.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeployedImage || (DeployedImage = {}));
export var DeregisterDevicesRequest;
(function (DeregisterDevicesRequest) {
    DeregisterDevicesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeregisterDevicesRequest || (DeregisterDevicesRequest = {}));
export var DescribeActionRequest;
(function (DescribeActionRequest) {
    DescribeActionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeActionRequest || (DescribeActionRequest = {}));
export var DescribeActionResponse;
(function (DescribeActionResponse) {
    DescribeActionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeActionResponse || (DescribeActionResponse = {}));
export var DescribeAlgorithmInput;
(function (DescribeAlgorithmInput) {
    DescribeAlgorithmInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAlgorithmInput || (DescribeAlgorithmInput = {}));
export var DescribeAlgorithmOutput;
(function (DescribeAlgorithmOutput) {
    DescribeAlgorithmOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAlgorithmOutput || (DescribeAlgorithmOutput = {}));
export var DescribeAppRequest;
(function (DescribeAppRequest) {
    DescribeAppRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAppRequest || (DescribeAppRequest = {}));
export var DescribeAppResponse;
(function (DescribeAppResponse) {
    DescribeAppResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAppResponse || (DescribeAppResponse = {}));
export var DescribeAppImageConfigRequest;
(function (DescribeAppImageConfigRequest) {
    DescribeAppImageConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAppImageConfigRequest || (DescribeAppImageConfigRequest = {}));
export var DescribeAppImageConfigResponse;
(function (DescribeAppImageConfigResponse) {
    DescribeAppImageConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAppImageConfigResponse || (DescribeAppImageConfigResponse = {}));
export var DescribeArtifactRequest;
(function (DescribeArtifactRequest) {
    DescribeArtifactRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeArtifactRequest || (DescribeArtifactRequest = {}));
export var DescribeArtifactResponse;
(function (DescribeArtifactResponse) {
    DescribeArtifactResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeArtifactResponse || (DescribeArtifactResponse = {}));
export var DescribeAutoMLJobRequest;
(function (DescribeAutoMLJobRequest) {
    DescribeAutoMLJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAutoMLJobRequest || (DescribeAutoMLJobRequest = {}));
export var ModelDeployResult;
(function (ModelDeployResult) {
    ModelDeployResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelDeployResult || (ModelDeployResult = {}));
export var ResolvedAttributes;
(function (ResolvedAttributes) {
    ResolvedAttributes.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolvedAttributes || (ResolvedAttributes = {}));
export var DescribeAutoMLJobResponse;
(function (DescribeAutoMLJobResponse) {
    DescribeAutoMLJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeAutoMLJobResponse || (DescribeAutoMLJobResponse = {}));
export var DescribeCodeRepositoryInput;
(function (DescribeCodeRepositoryInput) {
    DescribeCodeRepositoryInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeCodeRepositoryInput || (DescribeCodeRepositoryInput = {}));
export var DescribeCodeRepositoryOutput;
(function (DescribeCodeRepositoryOutput) {
    DescribeCodeRepositoryOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeCodeRepositoryOutput || (DescribeCodeRepositoryOutput = {}));
export var DescribeCompilationJobRequest;
(function (DescribeCompilationJobRequest) {
    DescribeCompilationJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeCompilationJobRequest || (DescribeCompilationJobRequest = {}));
export var ModelArtifacts;
(function (ModelArtifacts) {
    ModelArtifacts.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelArtifacts || (ModelArtifacts = {}));
export var ModelDigests;
(function (ModelDigests) {
    ModelDigests.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelDigests || (ModelDigests = {}));
export var DescribeCompilationJobResponse;
(function (DescribeCompilationJobResponse) {
    DescribeCompilationJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeCompilationJobResponse || (DescribeCompilationJobResponse = {}));
export var DescribeContextRequest;
(function (DescribeContextRequest) {
    DescribeContextRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeContextRequest || (DescribeContextRequest = {}));
export var DescribeContextResponse;
(function (DescribeContextResponse) {
    DescribeContextResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeContextResponse || (DescribeContextResponse = {}));
export var DescribeDataQualityJobDefinitionRequest;
(function (DescribeDataQualityJobDefinitionRequest) {
    DescribeDataQualityJobDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDataQualityJobDefinitionRequest || (DescribeDataQualityJobDefinitionRequest = {}));
export var DescribeDataQualityJobDefinitionResponse;
(function (DescribeDataQualityJobDefinitionResponse) {
    DescribeDataQualityJobDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDataQualityJobDefinitionResponse || (DescribeDataQualityJobDefinitionResponse = {}));
export var DescribeDeviceRequest;
(function (DescribeDeviceRequest) {
    DescribeDeviceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDeviceRequest || (DescribeDeviceRequest = {}));
export var EdgeModel;
(function (EdgeModel) {
    EdgeModel.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EdgeModel || (EdgeModel = {}));
export var DescribeDeviceResponse;
(function (DescribeDeviceResponse) {
    DescribeDeviceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDeviceResponse || (DescribeDeviceResponse = {}));
export var DescribeDeviceFleetRequest;
(function (DescribeDeviceFleetRequest) {
    DescribeDeviceFleetRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDeviceFleetRequest || (DescribeDeviceFleetRequest = {}));
export var DescribeDeviceFleetResponse;
(function (DescribeDeviceFleetResponse) {
    DescribeDeviceFleetResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDeviceFleetResponse || (DescribeDeviceFleetResponse = {}));
export var DescribeDomainRequest;
(function (DescribeDomainRequest) {
    DescribeDomainRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDomainRequest || (DescribeDomainRequest = {}));
export var DomainStatus;
(function (DomainStatus) {
    DomainStatus["Delete_Failed"] = "Delete_Failed";
    DomainStatus["Deleting"] = "Deleting";
    DomainStatus["Failed"] = "Failed";
    DomainStatus["InService"] = "InService";
    DomainStatus["Pending"] = "Pending";
    DomainStatus["Update_Failed"] = "Update_Failed";
    DomainStatus["Updating"] = "Updating";
})(DomainStatus || (DomainStatus = {}));
export var DescribeDomainResponse;
(function (DescribeDomainResponse) {
    DescribeDomainResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeDomainResponse || (DescribeDomainResponse = {}));
export var DescribeEdgePackagingJobRequest;
(function (DescribeEdgePackagingJobRequest) {
    DescribeEdgePackagingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEdgePackagingJobRequest || (DescribeEdgePackagingJobRequest = {}));
export var EdgePackagingJobStatus;
(function (EdgePackagingJobStatus) {
    EdgePackagingJobStatus["Completed"] = "COMPLETED";
    EdgePackagingJobStatus["Failed"] = "FAILED";
    EdgePackagingJobStatus["InProgress"] = "INPROGRESS";
    EdgePackagingJobStatus["Starting"] = "STARTING";
    EdgePackagingJobStatus["Stopped"] = "STOPPED";
    EdgePackagingJobStatus["Stopping"] = "STOPPING";
})(EdgePackagingJobStatus || (EdgePackagingJobStatus = {}));
export var EdgePresetDeploymentStatus;
(function (EdgePresetDeploymentStatus) {
    EdgePresetDeploymentStatus["Completed"] = "COMPLETED";
    EdgePresetDeploymentStatus["Failed"] = "FAILED";
})(EdgePresetDeploymentStatus || (EdgePresetDeploymentStatus = {}));
export var EdgePresetDeploymentOutput;
(function (EdgePresetDeploymentOutput) {
    EdgePresetDeploymentOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EdgePresetDeploymentOutput || (EdgePresetDeploymentOutput = {}));
export var DescribeEdgePackagingJobResponse;
(function (DescribeEdgePackagingJobResponse) {
    DescribeEdgePackagingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEdgePackagingJobResponse || (DescribeEdgePackagingJobResponse = {}));
export var DescribeEndpointInput;
(function (DescribeEndpointInput) {
    DescribeEndpointInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEndpointInput || (DescribeEndpointInput = {}));
export var EndpointStatus;
(function (EndpointStatus) {
    EndpointStatus["CREATING"] = "Creating";
    EndpointStatus["DELETING"] = "Deleting";
    EndpointStatus["FAILED"] = "Failed";
    EndpointStatus["IN_SERVICE"] = "InService";
    EndpointStatus["OUT_OF_SERVICE"] = "OutOfService";
    EndpointStatus["ROLLING_BACK"] = "RollingBack";
    EndpointStatus["SYSTEM_UPDATING"] = "SystemUpdating";
    EndpointStatus["UPDATING"] = "Updating";
})(EndpointStatus || (EndpointStatus = {}));
export var VariantStatus;
(function (VariantStatus) {
    VariantStatus["ACTIVATING_TRAFFIC"] = "ActivatingTraffic";
    VariantStatus["BAKING"] = "Baking";
    VariantStatus["CREATING"] = "Creating";
    VariantStatus["DELETING"] = "Deleting";
    VariantStatus["UPDATING"] = "Updating";
})(VariantStatus || (VariantStatus = {}));
export var ProductionVariantStatus;
(function (ProductionVariantStatus) {
    ProductionVariantStatus.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProductionVariantStatus || (ProductionVariantStatus = {}));
export var PendingProductionVariantSummary;
(function (PendingProductionVariantSummary) {
    PendingProductionVariantSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PendingProductionVariantSummary || (PendingProductionVariantSummary = {}));
export var PendingDeploymentSummary;
(function (PendingDeploymentSummary) {
    PendingDeploymentSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PendingDeploymentSummary || (PendingDeploymentSummary = {}));
export var ProductionVariantSummary;
(function (ProductionVariantSummary) {
    ProductionVariantSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProductionVariantSummary || (ProductionVariantSummary = {}));
export var DescribeEndpointOutput;
(function (DescribeEndpointOutput) {
    DescribeEndpointOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEndpointOutput || (DescribeEndpointOutput = {}));
export var DescribeEndpointConfigInput;
(function (DescribeEndpointConfigInput) {
    DescribeEndpointConfigInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEndpointConfigInput || (DescribeEndpointConfigInput = {}));
export var DescribeEndpointConfigOutput;
(function (DescribeEndpointConfigOutput) {
    DescribeEndpointConfigOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeEndpointConfigOutput || (DescribeEndpointConfigOutput = {}));
export var DescribeExperimentRequest;
(function (DescribeExperimentRequest) {
    DescribeExperimentRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeExperimentRequest || (DescribeExperimentRequest = {}));
export var ExperimentSource;
(function (ExperimentSource) {
    ExperimentSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ExperimentSource || (ExperimentSource = {}));
export var DescribeExperimentResponse;
(function (DescribeExperimentResponse) {
    DescribeExperimentResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeExperimentResponse || (DescribeExperimentResponse = {}));
export var DescribeFeatureGroupRequest;
(function (DescribeFeatureGroupRequest) {
    DescribeFeatureGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeFeatureGroupRequest || (DescribeFeatureGroupRequest = {}));
export var FeatureGroupStatus;
(function (FeatureGroupStatus) {
    FeatureGroupStatus["CREATED"] = "Created";
    FeatureGroupStatus["CREATE_FAILED"] = "CreateFailed";
    FeatureGroupStatus["CREATING"] = "Creating";
    FeatureGroupStatus["DELETE_FAILED"] = "DeleteFailed";
    FeatureGroupStatus["DELETING"] = "Deleting";
})(FeatureGroupStatus || (FeatureGroupStatus = {}));
export var OfflineStoreStatusValue;
(function (OfflineStoreStatusValue) {
    OfflineStoreStatusValue["ACTIVE"] = "Active";
    OfflineStoreStatusValue["BLOCKED"] = "Blocked";
    OfflineStoreStatusValue["DISABLED"] = "Disabled";
})(OfflineStoreStatusValue || (OfflineStoreStatusValue = {}));
export var OfflineStoreStatus;
(function (OfflineStoreStatus) {
    OfflineStoreStatus.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(OfflineStoreStatus || (OfflineStoreStatus = {}));
export var DescribeFeatureGroupResponse;
(function (DescribeFeatureGroupResponse) {
    DescribeFeatureGroupResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeFeatureGroupResponse || (DescribeFeatureGroupResponse = {}));
export var DescribeFlowDefinitionRequest;
(function (DescribeFlowDefinitionRequest) {
    DescribeFlowDefinitionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeFlowDefinitionRequest || (DescribeFlowDefinitionRequest = {}));
export var FlowDefinitionStatus;
(function (FlowDefinitionStatus) {
    FlowDefinitionStatus["ACTIVE"] = "Active";
    FlowDefinitionStatus["DELETING"] = "Deleting";
    FlowDefinitionStatus["FAILED"] = "Failed";
    FlowDefinitionStatus["INITIALIZING"] = "Initializing";
})(FlowDefinitionStatus || (FlowDefinitionStatus = {}));
export var DescribeFlowDefinitionResponse;
(function (DescribeFlowDefinitionResponse) {
    DescribeFlowDefinitionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeFlowDefinitionResponse || (DescribeFlowDefinitionResponse = {}));
export var DescribeHumanTaskUiRequest;
(function (DescribeHumanTaskUiRequest) {
    DescribeHumanTaskUiRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeHumanTaskUiRequest || (DescribeHumanTaskUiRequest = {}));
export var HumanTaskUiStatus;
(function (HumanTaskUiStatus) {
    HumanTaskUiStatus["ACTIVE"] = "Active";
    HumanTaskUiStatus["DELETING"] = "Deleting";
})(HumanTaskUiStatus || (HumanTaskUiStatus = {}));
export var UiTemplateInfo;
(function (UiTemplateInfo) {
    UiTemplateInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UiTemplateInfo || (UiTemplateInfo = {}));
export var DescribeHumanTaskUiResponse;
(function (DescribeHumanTaskUiResponse) {
    DescribeHumanTaskUiResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeHumanTaskUiResponse || (DescribeHumanTaskUiResponse = {}));
export var DescribeHyperParameterTuningJobRequest;
(function (DescribeHyperParameterTuningJobRequest) {
    DescribeHyperParameterTuningJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeHyperParameterTuningJobRequest || (DescribeHyperParameterTuningJobRequest = {}));
export var FinalHyperParameterTuningJobObjectiveMetric;
(function (FinalHyperParameterTuningJobObjectiveMetric) {
    FinalHyperParameterTuningJobObjectiveMetric.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FinalHyperParameterTuningJobObjectiveMetric || (FinalHyperParameterTuningJobObjectiveMetric = {}));
export var TrainingJobStatus;
(function (TrainingJobStatus) {
    TrainingJobStatus["COMPLETED"] = "Completed";
    TrainingJobStatus["FAILED"] = "Failed";
    TrainingJobStatus["IN_PROGRESS"] = "InProgress";
    TrainingJobStatus["STOPPED"] = "Stopped";
    TrainingJobStatus["STOPPING"] = "Stopping";
})(TrainingJobStatus || (TrainingJobStatus = {}));
export var HyperParameterTrainingJobSummary;
(function (HyperParameterTrainingJobSummary) {
    HyperParameterTrainingJobSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(HyperParameterTrainingJobSummary || (HyperParameterTrainingJobSummary = {}));
export var HyperParameterTuningJobStatus;
(function (HyperParameterTuningJobStatus) {
    HyperParameterTuningJobStatus["COMPLETED"] = "Completed";
    HyperParameterTuningJobStatus["FAILED"] = "Failed";
    HyperParameterTuningJobStatus["IN_PROGRESS"] = "InProgress";
    HyperParameterTuningJobStatus["STOPPED"] = "Stopped";
    HyperParameterTuningJobStatus["STOPPING"] = "Stopping";
})(HyperParameterTuningJobStatus || (HyperParameterTuningJobStatus = {}));
export var ObjectiveStatusCounters;
(function (ObjectiveStatusCounters) {
    ObjectiveStatusCounters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ObjectiveStatusCounters || (ObjectiveStatusCounters = {}));
export var TrainingJobStatusCounters;
(function (TrainingJobStatusCounters) {
    TrainingJobStatusCounters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TrainingJobStatusCounters || (TrainingJobStatusCounters = {}));
export var DescribeHyperParameterTuningJobResponse;
(function (DescribeHyperParameterTuningJobResponse) {
    DescribeHyperParameterTuningJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeHyperParameterTuningJobResponse || (DescribeHyperParameterTuningJobResponse = {}));
export var DescribeImageRequest;
(function (DescribeImageRequest) {
    DescribeImageRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeImageRequest || (DescribeImageRequest = {}));
export var ImageStatus;
(function (ImageStatus) {
    ImageStatus["CREATED"] = "CREATED";
    ImageStatus["CREATE_FAILED"] = "CREATE_FAILED";
    ImageStatus["CREATING"] = "CREATING";
    ImageStatus["DELETE_FAILED"] = "DELETE_FAILED";
    ImageStatus["DELETING"] = "DELETING";
    ImageStatus["UPDATE_FAILED"] = "UPDATE_FAILED";
    ImageStatus["UPDATING"] = "UPDATING";
})(ImageStatus || (ImageStatus = {}));
export var DescribeImageResponse;
(function (DescribeImageResponse) {
    DescribeImageResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeImageResponse || (DescribeImageResponse = {}));
export var DescribeImageVersionRequest;
(function (DescribeImageVersionRequest) {
    DescribeImageVersionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeImageVersionRequest || (DescribeImageVersionRequest = {}));
export var ImageVersionStatus;
(function (ImageVersionStatus) {
    ImageVersionStatus["CREATED"] = "CREATED";
    ImageVersionStatus["CREATE_FAILED"] = "CREATE_FAILED";
    ImageVersionStatus["CREATING"] = "CREATING";
    ImageVersionStatus["DELETE_FAILED"] = "DELETE_FAILED";
    ImageVersionStatus["DELETING"] = "DELETING";
})(ImageVersionStatus || (ImageVersionStatus = {}));
export var DescribeImageVersionResponse;
(function (DescribeImageVersionResponse) {
    DescribeImageVersionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeImageVersionResponse || (DescribeImageVersionResponse = {}));
export var DescribeInferenceRecommendationsJobRequest;
(function (DescribeInferenceRecommendationsJobRequest) {
    DescribeInferenceRecommendationsJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeInferenceRecommendationsJobRequest || (DescribeInferenceRecommendationsJobRequest = {}));
export var EndpointOutputConfiguration;
(function (EndpointOutputConfiguration) {
    EndpointOutputConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EndpointOutputConfiguration || (EndpointOutputConfiguration = {}));
export var RecommendationMetrics;
(function (RecommendationMetrics) {
    RecommendationMetrics.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RecommendationMetrics || (RecommendationMetrics = {}));
export var EnvironmentParameter;
(function (EnvironmentParameter) {
    EnvironmentParameter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(EnvironmentParameter || (EnvironmentParameter = {}));
export var ModelConfiguration;
(function (ModelConfiguration) {
    ModelConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ModelConfiguration || (ModelConfiguration = {}));
export var InferenceRecommendation;
(function (InferenceRecommendation) {
    InferenceRecommendation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(InferenceRecommendation || (InferenceRecommendation = {}));
export var RecommendationJobStatus;
(function (RecommendationJobStatus) {
    RecommendationJobStatus["COMPLETED"] = "COMPLETED";
    RecommendationJobStatus["FAILED"] = "FAILED";
    RecommendationJobStatus["IN_PROGRESS"] = "IN_PROGRESS";
    RecommendationJobStatus["PENDING"] = "PENDING";
    RecommendationJobStatus["STOPPED"] = "STOPPED";
    RecommendationJobStatus["STOPPING"] = "STOPPING";
})(RecommendationJobStatus || (RecommendationJobStatus = {}));
export var DescribeInferenceRecommendationsJobResponse;
(function (DescribeInferenceRecommendationsJobResponse) {
    DescribeInferenceRecommendationsJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeInferenceRecommendationsJobResponse || (DescribeInferenceRecommendationsJobResponse = {}));
export var DescribeLabelingJobRequest;
(function (DescribeLabelingJobRequest) {
    DescribeLabelingJobRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeLabelingJobRequest || (DescribeLabelingJobRequest = {}));
export var LabelCounters;
(function (LabelCounters) {
    LabelCounters.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelCounters || (LabelCounters = {}));
export var LabelingJobOutput;
(function (LabelingJobOutput) {
    LabelingJobOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(LabelingJobOutput || (LabelingJobOutput = {}));
export var LabelingJobStatus;
(function (LabelingJobStatus) {
    LabelingJobStatus["COMPLETED"] = "Completed";
    LabelingJobStatus["FAILED"] = "Failed";
    LabelingJobStatus["INITIALIZING"] = "Initializing";
    LabelingJobStatus["IN_PROGRESS"] = "InProgress";
    LabelingJobStatus["STOPPED"] = "Stopped";
    LabelingJobStatus["STOPPING"] = "Stopping";
})(LabelingJobStatus || (LabelingJobStatus = {}));
export var DescribeLabelingJobResponse;
(function (DescribeLabelingJobResponse) {
    DescribeLabelingJobResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeLabelingJobResponse || (DescribeLabelingJobResponse = {}));
export var DescribeLineageGroupRequest;
(function (DescribeLineageGroupRequest) {
    DescribeLineageGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeLineageGroupRequest || (DescribeLineageGroupRequest = {}));
export var DescribeLineageGroupResponse;
(function (DescribeLineageGroupResponse) {
    DescribeLineageGroupResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeLineageGroupResponse || (DescribeLineageGroupResponse = {}));
export var DescribeModelInput;
(function (DescribeModelInput) {
    DescribeModelInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeModelInput || (DescribeModelInput = {}));
