import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateModelQualityJobDefinitionRequest, CreateModelQualityJobDefinitionResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateModelQualityJobDefinitionCommandInput extends CreateModelQualityJobDefinitionRequest {
}
export interface CreateModelQualityJobDefinitionCommandOutput extends CreateModelQualityJobDefinitionResponse, __MetadataBearer {
}

export declare class CreateModelQualityJobDefinitionCommand extends $Command<CreateModelQualityJobDefinitionCommandInput, CreateModelQualityJobDefinitionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateModelQualityJobDefinitionCommandInput;
    constructor(input: CreateModelQualityJobDefinitionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateModelQualityJobDefinitionCommandInput, CreateModelQualityJobDefinitionCommandOutput>;
    private serialize;
    private deserialize;
}
