import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteNotebookInstanceInput } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteNotebookInstanceCommandInput extends DeleteNotebookInstanceInput {
}
export interface DeleteNotebookInstanceCommandOutput extends __MetadataBearer {
}

export declare class DeleteNotebookInstanceCommand extends $Command<DeleteNotebookInstanceCommandInput, DeleteNotebookInstanceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteNotebookInstanceCommandInput;
    constructor(input: DeleteNotebookInstanceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteNotebookInstanceCommandInput, DeleteNotebookInstanceCommandOutput>;
    private serialize;
    private deserialize;
}
