import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListModelPackageGroupsInput, ListModelPackageGroupsOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListModelPackageGroupsCommandInput extends ListModelPackageGroupsInput {
}
export interface ListModelPackageGroupsCommandOutput extends ListModelPackageGroupsOutput, __MetadataBearer {
}

export declare class ListModelPackageGroupsCommand extends $Command<ListModelPackageGroupsCommandInput, ListModelPackageGroupsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListModelPackageGroupsCommandInput;
    constructor(input: ListModelPackageGroupsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListModelPackageGroupsCommandInput, ListModelPackageGroupsCommandOutput>;
    private serialize;
    private deserialize;
}
