import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StartNotebookInstanceInput } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StartNotebookInstanceCommandInput extends StartNotebookInstanceInput {
}
export interface StartNotebookInstanceCommandOutput extends __MetadataBearer {
}

export declare class StartNotebookInstanceCommand extends $Command<StartNotebookInstanceCommandInput, StartNotebookInstanceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StartNotebookInstanceCommandInput;
    constructor(input: StartNotebookInstanceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartNotebookInstanceCommandInput, StartNotebookInstanceCommandOutput>;
    private serialize;
    private deserialize;
}
