import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateDeviceFleetRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateDeviceFleetCommandInput extends UpdateDeviceFleetRequest {
}
export interface UpdateDeviceFleetCommandOutput extends __MetadataBearer {
}

export declare class UpdateDeviceFleetCommand extends $Command<UpdateDeviceFleetCommandInput, UpdateDeviceFleetCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateDeviceFleetCommandInput;
    constructor(input: UpdateDeviceFleetCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateDeviceFleetCommandInput, UpdateDeviceFleetCommandOutput>;
    private serialize;
    private deserialize;
}
